Introduction to R-Studio

R-Studio is a family of powerful and cost-effective undelete and data recovery software. Empowered by new unique data recovery technologies, it is the most comprehensive data recovery solution for recovering files from FAT12/16/32, exFAT, NTFS, NTFS5 (created or updated by Windows 2000/XP/2003/Vista/2008/7/8/8.1/10), ReFS (Resilient File System, a new local file system Microsoft has introduced in its Windows 2012 Server), HFS/HFS+ (Macintosh), Little and Big Endian variants of UFS1/UFS2 (FreeBSD/OpenBSD/NetBSD/Solaris), Ext2/3/4FS (Linux), and exFAT partitions. It functions on local and network disks, even if such partitions are formatted, damaged or deleted. Flexible parameter settings give you absolute control over the data recovery.

R-Studio Features

System Requirements

Contact Information and Technical Support

Data Recovery Using R-Studio

Basic File Recovery

Advanced Data Recovery

Mass File Recovery

Volume Sets and RAIDs

Data Recovery over Network

Text/hexadecimal editor

Technical Information and Troubleshooting

Working with the Third-Party Hardware

R-Studio Emergency

R-Studio Agent Emergency

Windows 9x/ME/NT4.0/2000/XP/2003/Vista/7/8/2012 Server/8.1/10 are registered trademarks of Microsoft Corporation.

OS X is a registered trademark of Apple Inc.

All other trademarks are the property of their respective owners.


R-Studio Features

R-Studio is a family of file restoring utilities. It recovers files both on local disks and on disks on remote computers over network, even if their partition structures are damaged. A unique IntelligentScan technology and flexible parameter settings give you real control over the fastest data recovery ever seen.

R-Studio features:

·Standard "Windows Explorer" - style interface.

·Host OS: Windows 2000, XP, 2003, Vista, 2008, 7, Windows 2012 Server, Windows 8/8.1/10.

·Remotely recovers data over network. Data can be recovered on network computers running Windows, MacOS X, Linux, and some other UNIX OS.

·Supported file systems: FAT12, FAT16, FAT32, NTFS, NTFS5 (created and updated by Windows 2000/XP/2003/Vista/7/8/8.1/10), exFAT, ReFS/2+ file system (Resilient File System, Windows 2012/2016 Server), Ext2/3/4FS (created by Linux or other OS), HFS, HFS+, HFSX, and UFS1, UFS2, UFS BigEndian (used by the FreeBSD, OpenBSD, and NetBSD operating systems).

Please note, that when a file is being deleted on the HFS, HFS+, HFSX file systems, the computer completely removes all system information on it, and there is no way to recover the deleted file except by using the Extra Search for Known File Types option. Nevertheless, R-Studio is able to read existing files from HFS, HFS+, and HFSX disks.

·Support for known file types. R-Studio searches for files with known typical features of their structures allowing the user to search for files on devices with unknown files systems, including an HD, CD, DVD, floppy disk, Compact Flash Card, USB drive, ZIP drive, Memory Sticks, and other removable media.

·Scan process visualization. While scanning an object, R-Studio graphically shows items that have been found, including files of known types, FAT and NTFS MFT records, boot records, etc.

·Mass file recovery support.

·Support for file recovery lists - lists of files that can be exported from R-Studio, manually edited, and then loaded back. Files from such lists will be automatically marked for recovery.

·Dynamic disk support.

·Software RAID, volume set, and stripe set support. Support for RAID 6, RAID 5, and RAID 4 layouts. Support for custom RAID layouts. Parameters like block size and order, offsets, and even the number of stripe blocks can be explicitly specified. Custom RAID configurations can be saved.

·Support for Windows Storage Spaces, created by Windows 8/8.1 and Windows 10/Anniversary update.

·Support for Apple software RAIDs

·Support for Linux LVM/LVM2

·RAID consistency check (check for valid data parity values).

·Hardware RAID, volume set, and stripe set support.

·Automatic RAID parameter recognition.

·Reverse RAIDs: A technique that decomposes real disk objects into virtual RAIDs. Then those components of reverse RAID scan be processed like real objects. They can be viewed, edited, imaged, copied to physical drives, etc. This technique also can re-construct data on the real parents of a virtual RAID. For example, it becomes possible to re-construct data on a missing disk.

·Creates image files for an entire hard drive, logical disk, or its part. Such image files can be processed like regular disks. Images can be either simple exact object copies (Plain images) compatible with the previous versions of R-Studio, or compressed images that can be compressed, split into several parts, and password-protected. Such images are fully compatible with the images created by R-Drive Image, but incompatible with the previous versions of R-Studio. Images may be saved either on the local or remote computer. R-Studio can scan objects while creating their images.

·Advanced object copy. In addition to byte to byte copy of any object visible in the Drives panel, smart copy of partitions and hard drives is available.

·Recovers files on damaged or deleted partitions.

·Recovers compressed files (NTFS, NTFS5).

·Recovers encrypted files (NTFS5).

·Recovers alternative data streams (NTFS, NTFS5).

·Support for NTFS deduplication.

·Support for Symbolic links. Symbolic link recovery options in the Technician version.

·Support for file system journal on the HFS+ and Ext3/4fs file systems.

·Support for soft updates journal on the UFS file system.

·Support for extended attributes on the HFS+, Ext3/4fs, and UFS file systems.

·Support for compressed files on the HFS+ file system.

·Recognizes localized names.

·Recovered files can be saved on any (including network) disks visible to the host operating system.

·A hexadecimal disk and file editor supporting NTFS file non-resident attribute editing.

·Patterns (or templates) in the hexadecimal editor allowing for parsing the data according to specific data structure. Such patterns may be custom-created.

·File preview. Most of the file types can be previewed to estimate recovery chances.

·Enhanced remote host scanning procedure. In the R-Studio network versions, data is analyzed on the remote host rather than on the home host, thereby the speed of recovery procedure greatly increases. The scan information may be saved either on the local or remote computer.

·Recovered files may be saved on a disk on a connected remote computer rather than be transferred over network to the local one. Saving recovered files on a remote computer may be useful when the remote computer has a healthy disk because you do not have to transfer files over network. It may be an external USB hard drive, for example.

·Support for S.M.A.R.T. (Self-Monitoring, Analysis and Reporting Technology) attribute monitoring.

·Forensic mode. (For the Technician version only).

·Support for third-party hardware. (For the Technician version only).

·R-Studio Emergency*. The R-Studio Emergency version starts from a floppy or compact disk when it is necessary to recover data on a computer, on which Windows cannot start up because its system files are corrupted or deleted.

*The R-Studio Emergency is a part of the R-Studio software package. When you buy an R-Studio single license you may run the R-Studio Emergency or/and install the R-Studio Windows version on one PC only and you may not transfer the licensed software to another PC.

R-Studio recovers files:

·That have been removed without the Recycle Bin, or when the Recycle Bin has been emptied;

·Removed by virus attack or power failure;

·After the partition with the files was reformatted, even for a different file system;

·When the partition structure on a hard drive was changed or damaged. In this case, R-Studio can scan the drive trying to find previously existed partitions and recover files from found partitions.

·From disks with bad sectors. In this case, R-Studio can first copy the entire disk or its part into an image file and then process such image file.

R-Studio can create image files for an entire hard drive, logical disk, or its part. Such image files can be processed like regular disks. Images are very useful if there is a risk of total data loss due to hardware malfunction. If bad blocks are constantly appearing on a hard drive, the only way to save the data is to immediately create an image of that drive. All data search, scan and recovery can be done from this image.

To learn more about the IntelligentScan technology, go to the IntelligentScan topic .


System Requirements

·An Intel-compatible platform running Windows 2000, XP/2003/Vista/7/8/2012 Server/8.1/10.

·At least 32 MB of RAM, a mouse, and enough disk space for recovered files, image files, etc.

·The administrative privileges are required to install and run R-Studio utilities under Windows 2000/XP/2003/Vista/7/8/2012 Server/8.1/10.

·A network connection for data recovering over network.


Contact Information and Technical Support

To obtain the latest version of R-Studio, go to:

Product Site: http://www.r-tt.com

Sales Department: sales@r-tt.com

R-Studio Technical Support Team is available 24 hours a day, seven days a week, and has an average response time less than 4 hours.

Tech. Support: support@r-tt.com

Send your support request to: http://www.r-tt.com/SupportRequest.shtml

File Recovery FAQ: http://www.r-tt.com/File_Recovery_FAQ.shtml

R-tt Forum: http://forum.r-tt.com


R-Studio Main Panel

When R-Studio starts, its main panel appears on the Windows desktop. Click the panel regions to learn their functions.

S.M.A.R.T. Info for a Hard Drive

R-Studio shows hard drive S.M.A.R.T. states using their icons.

Click to expand/collapse Hard drive S.M.A.R.T. states and icons
Normal: This state indicates that the hard drive is in good conditions. | Click to see the S.M.A.R.T. tab
Warning: This state indicates that some small problems with the disk are possible in the future, you may work with it but with cautions and regular check of these parameters. Disk imaging is strongly recommended. | Click to see the S.M.A.R.T. tab
Critical: This state indicates that the hard drive conditions are critical and chances of hardware failure are great. The best recommendation for this case is to stop working with the disk and bring it to professional data recovery specialists. You may though continue to work with the disk at your own risk, but disk imaging is very strongly recommended. | Click to see the S.M.A.R.T. tab

When a hard drive is selected on the R-Studio main panel, an additional S.M.A.R.T. tab will appear. You may view the detailed S.M.A.R.T. data of the drive.

S.M.A.R.T. (Self-Monitoring, Analysis and Reporting Technology) is a technology widely-used in hard drives and solid-state devices that monitors their reliability conditions to predict possible hardware failures.

Changing the program language

You may select the language of R-Studio main panel and its help. To do so, select an available language on Change Language on the Help menu.

Panel view options

You may set which panels and bars to enable/disable.

Click to expand/collapse To enable/disable:
Toolbar | Select/clear Toolbar on the View menu
Status bar | Select/clear Status bar on the View menu
Drive pane | Select/clear Device View on the View menu
Properties pane | Select/clear Properties View on the View menu
Log panel | Select/clear Event Log on the View menu
If you have several tabs in the right pane, you may easily switch to any of the tab by selecting on the View menu
Properties Tab | to view the Properties tab
Scan Information Tab | to view the Scan Information Tab tab
Parents Tab | to view the Parents tab
Properties | Select data types in which the data will be represented

Sometimes, there may be a lot of similar objects on the Drives panel. Those may be components of a RAID, for example. You may turn numerical indexes for such objects to distinguish them better. Those indexes will appear before the object names on the Drives panel.

To turn the numerical indexes on/off, go to the Device item on the View menu, and select/clear:

Show Physical Drives Indexes | to display the indexes only for hard drives
Show All Objects Indexes | to display the indexes for all objects on the Drives panel

You may select the units in which object's start and size are displayed

To select the units

1 Select Devices on the View menu
2 Select the units in which you want to see object sizes.

You may select

Show as Bytes

Show as Sectors

Show as Bytes and Sectors

Depending on the task R-Studio performs, its panel may vary. Those panels are described in appropriate topics. The Properties tab names and values are described in detail on the Properties tab topic.

The general settings can be set on the Settings dialog box.

You may also copy the object's information displayed on the Drives panel. Right-click the object on the necessary column and select Copy Device/Disk, Copy Label, and so on.

R-Studio has two operation modes:

File search on a partition (including recently found during disk scan).

In this mode, R-Studio analyzes MFTs on NTFS partitions, FATs on FAT partitions, and SuperBlocks on Ext2/3/4FS partitions. Then it displays all files which records have been found in the analyzed tables. Then recently deleted files, which records still remain, can be recovered. If files have not been found, that means that their records have been deleted. In this case, the disk must be scanned.

File search supports file masks and regular expressions. Multiple files in different folders can be found and recovered in one recover session.

R-Studio supports mass file recovery. There is no limit in the number of files that may be recovered during one session.

File content may be previewed before recovery.

File or disk binary data can be viewed and edited in the text/hexadecimal editor. Also can be viewed and changed all attributes for NTFS files.

Disk scan, searching for partitions.

In this mode, R-Studio scans the entire disk or its part. Using a number of statistic and deterministic criteria known as IntelligentScan technology, it determines existing or existed partitions on the disk, and their file systems. It is also possible to add new partitions, by setting manually all required parameters.

A disk can be scanned through several successive scans, each with its own parameters. R-Studio accumulates the information from successive scans and keeps track of changes in the information obtained from different scans. The information obtained from the disc scan can be stored in a file. It may be loaded and processed later at any convenient time.


R-Studio Settings

You may specify some global setting for R-Studio on the Settings dialog box. You may reach it by selecting Settings on the Tools menu.

Main

Click to enlarge

Main dialog box

Click to expand/collapse Main settings
System Options
Enable Write | If this check box is selected, R-Studio enables you to write any changes made in the Text/hexadecimal editor.
Debug Mode | If this check box is selected, R-Studio displays an additional command Create FS Snapshot on the shortcut menu for an object with a file system. An FS Snapshot contains system data for the file system only (file descriptions without file contents). If a problem appears, this snapshot can be sent to R-Studio technical support to identify the problem. This option greatly slows R-Studio.
Notifications
Reset all hidden notifications | This button enables all previously disabled notification and warning messages.
User's file types
File name | Specifies a file name and path to the file where the descriptions of user's known file types are stored. You need to re-start R-Studio or click the Reload User's File Types button on the Known File Types tab for the new file to take effect.
User's RAID layout
File name | Specifies a file name and path to the file where the descriptions of user's RAID layouts are stored
User's Text/hexadecimal editor templates
Location | Specifies the path for pattern description files for Text/Hexadecimal editor.
User's file mask presets
File name: | Specifies a file name and path to the file with file mask presets.

File Systems

Click to enlarge

File Systems dialog box

Click to expand/collapse File Systems
Default encoding for HFS volumes | Select the national encoding for the HFS partitions.
Default encoding for Ext2/Ext3/Ext4/UFS volumes | Select the national encoding for the Ext2, Ext3, Ext4, and UFS partitions.
Disable any sorting | Select this option if the number of files on the disk is so large that R-Studio sorts files in selected folders for too long time.
Minimize disk access | Select this option if a lot of bad sectors are on the hard drive. R-Studio will reduce access to internal files in the file system to speed up the interpretation of file system data.
Show deleted empty folders | Select this option if you want to view empty deleted folders.

Symbolic Links

Settings are available in the Technician version only!

Symbolic links (of symlinks for short) are object that contains references to other files or folders directory in the form of absolute or relative paths and that affect pathname resolution. For example, if a symlink C:\ProgramData\Documents points to D:\Recovered Files\Root\Users\Public\Documents, entering it will result in entering D:\Recovered Files\Root\Users\Public\Documents.

Click to enlarge

Symbolic Links dialog box

Click to expand/collapse Symbolic Links

Automatic recovery (Default)

Both an object and its symlink are selected for recovery:

If both an object and its symlink are selected for recovery, both the object and its symlink will be recovered. The file path in that symlink will be converted from absolute to relative. Example: If the object C:\ProgramData\Documents is a symlink to C:\Users\Public\Documents, it will be converted to a symlink to ..\Users\Public\Documents. Therefore, the symlink will point to its object regardless of the place to which the object has been recovered.

Only an object is selected for recovery:

Only the selected object will be recovered.

Only a symlink is selected for recovery:

The selected symlink will be recovered as a real object.

Automatic recovery without symlink object path conversion

Both an object and its symlink are selected for recovery:

If both an object and its symlink are selected for recovery, both the object and its symlink will be recovered. The file path in that symlink will remain the same.

Example:

The place to store recovered data: D:\Recovered Files.

The object to recover: C:\Users\Public\Documents

The symlink: C:\ProgramData\Documents

After recovery:

The recovered object: D:\Recovered Files\Root\Users\Public\Documents

The recovered symlink: D:\Recovered Files\Root\ProgramData\Documents pointing to C:\Users\Public\Documents.

Therefore, if someone tries to enter the symlink, the system will open the object C:\Users\Public\Documents, rather than recovered D:\Recovered Files\Root\Users\Public\Documents.

Only an object is selected for recovery:

Only the selected object will be recovered.

Only a symlink is selected for recovery:

The selected symlink will be recovered as a real object.

Recovery as it is

Both an object and its symlink are selected for recovery:

If both an object and its symlink are selected for recovery, both the object and its symlink will be recovered. The file path in that symlink will remain the same.

Example:

The place to store recovered data: D:\Recovered Files.

The object to recover: C:\Users\Public\Documents

The symlink: C:\ProgramData\Documents

After recovery:

The recovered object: D:\Recovered Files\Root\Users\Public\Documents

The recovered symlink: D:\Recovered Files\Root\ProgramData\Documents pointing to C:\Users\Public\Documents.

Therefore, if someone tries to enter to the symlink, the system will open the object C:\Users\Public\Documents, rather than recovered D:\Recovered Files\Root\Users\Public\Documents.

Only an object is selected for recovery:

Only the selected object will be recovered.

Only a symlink is selected for recovery:

The symlink will be recovered as a symlink containing a path to a nonexistent object.

Log

Click to enlarge

Log dialog box

Click to expand/collapse Log options

Logging |
Maximum messages in the Event Log | Specifies the maximum number of messages R-Studio will keep in the event log
Save log to file | If this check box is selected, R-Studio writes its log into a log file specified in the File name field.
File name | Specifies the file name in which the log will be saved.
Type |
File | If this check box is selected, R-Studio logs all events with recovered files.
File System | If this check box is selected, R-Studio logs all events with the file system.
Partition | If this check box selected, R-Studio logs all events with partitions.
Recover | If this check box is selected, R-Studio logs all events with the recovering processes.
Disk | If this check box is selected, R-Studio logs all events with disks.
Network | If this check box is selected, R-Studio logs all events with network operation.
Severity |
Error | If this check box is selected, R-Studio adds error messages into its log.
Warning | If this check box is selected, R-Studio adds warning messages into its log.
Information | If this check box is selected, R-Studio adds information messages into its log.
Success | If this check box is selected, R-Studio adds success messages into its log.
NEVER WRITE A LOG FILE ON THE DISK FROM WHICH YOU RECOVER DATA!!! Or you may obtain unpredictable results and lose all your data.
Note: If in the Recover dialog box the Condense successful restoration events check box is selected, the Log will display only Error, Warning, and Information event messages.

Known File Types

Click to enlarge

Known File Types dialog box

You may specify which Known File Types will be enabled/disabled by default. You may also specify know file types to search for during a specific scan session on the Scan dialog box.

Click to expand/collapse Known File Types
Reset | Click this button to reset the settings to the previous state. Active until the Apply button is clicked.
Select All | Click this button to select all file types in the list.
Clear All | Click this button to clear all file types in the list except some predefined ones.
Reload User's File Types | Click this button to apply new file types after the user's file types file has been changes from the Main tab.
Edit User's File Types | Click this button to add a new customer's Known File Type, or to edit already existing ones. See the Customizing File Types help page for more details.

Bad Sectors

Click to enlarge

Bad Sectors dialog box

Click to expand/collapse Bad Sectors settings

Default read attempts

Specifies a default value for I/O Tries, or how many times R-Studio will try to read a bad sector. You may specify this parameter for each drive separately on the Properties tab.

R-Studio treats bad sectors in the following way:

It reads a certain part of disk (predefined by Windows) and

·If Default read attempts is set to 0, the entire part with bad sectors will be filled with the specified pattern.

·If Default read attempts is set to a non-zero value, R-Studio reads again that part sector by sector, repeating the attempts the specified number of times. If R-Studio still cannot read a bad sector, it fills the sectors with the specified pattern. In this case only the bad sectors will be filled with the pattern, but that extremely slows the disk read process.

For example, if you set Default read attempts to 1, a bad sector will be read 2 times.

Set for all drives

Click this button to reset I/O Tries for all drives to the default value.

Pattern to fill bad blocks

Specifies a default pattern R-Studio will use to fill bad sectors in files to recover, in images, or when showing data in the Text/hexadecimal editor. You may specify the pattern either in the ANSI or Hex data format.

Note: R-Studio will never ever try to write anything on the disk from which data is to recover or an image is to create.

Memory Usage

Click to enlarge

Memory Usage dialog box

These settings control how much memory R-Studio uses for its work. They help preventing R-Studio from locking when trying to perform very memory-consuming tasks like scanning large disks or processing file systems with a lot of files.

Click to expand/collapse Memory Usage settings
Disable memory control | If this option is selected, the memory control is disabled.
Automatic | If this option is selected, R-Studio will automatically stop performing the task when the amount of used memory reaches the specified value. You may specify the limit for either the virtual or physical memory.

You may see how much memory R-Studio actually uses on the Memory Usage dialog box.


Data Recovery Using R-Studio

Many specific data recovery cases are discussed in the R-TT's Data Recovery Guide.

Depending on the situation, data recovery may vary:

1. Recovery of deleted files that have resided on an existing logical disk

This can be done using Basic File Recovery.

2. Recovery of files that have resided on a data disk with a damaged file system, or on a previously deleted or re-formatted partition

If the file system on such logical disk is damaged, the operating system sees that logical disk as a partition without a valid file system. Such partition should be previously scanned. Also, it should be scanned if you want to recover data on a previously deleted or re-formatted partition.

When the partition is scanned, a number of recognized partitions will appear. R-Studio shows them in different colors depending on which elements of the partition have been found.

An existing logical disk or partition

Both boot records and file entries are found for this partition

Only file entries are found for this partition

Only boot records are found for this partition

Empty space on the object

Files that have been found using scan for known file types (raw file search).

Although such recognized partitions are virtual objects, files can be searched for and recovered from recognized partitions as from real logical disks using Basic File Recovery.

To successfully recover files from a recognized partition, it is necessary to find a right one which corresponds to the real logical disk on which the files resided. No strict rules can be applied to that, but the following considerations should be taken into account:

·If you are going to recover files from a disk with a damaged file system, most likely the right recognized partition will be a green one.

·If you are going to recover files from a previously deleted or re-formatted partition, most likely the right recognized partition will be a yellow one.

Also always check the recognized partition's file system, start point, and size. They should be the same for the recognized partition and real logical disk/partition. When in doubt, try to preview a couple of files from the recognized partition. If the files are seen correctly, this is the right partition.

3. Data recovery from a damaged system disk. The computer does not start up.

·If this computer is on a network, create an R-Studio Agent Emergency startup disk for the computer, install R-Studio on another computer on the network, and recover data over network.

·If this computer is stand-alone, create an R-Studio Emergency startup disk and use it to start up the computer and recover data. You may use external USB hard disks to store recovered files.

R-Studio Features

Contact Information and Technical Support

Basic File Recovery

Advanced Data Recovery

Mass File Recovery

Volume Sets and RAIDs

Data Recovery over Network

Text/hexadecimal editor

Technical Information and Troubleshooting

R-Studio Emergency

R-Studio Agent Emergency


Basic File Recovery

NEVER TRY TO SAVE RECOVERED FILES/FOLDERS TO THE SAME LOGICAL DISK WHERE THEY RESIDE!!!

Or you may obtain unpredictable results and lose all of your data.

See the Data Recovery Issues topic for details.

Basic file recovery can be made for deleted files that has resided on an existing logical disk visible to the operating system. In all other cases, Advanced Data Recovery is required.

To recover deleted files from a logical disk (recognized partition),

1 Double-click a logical disk on the R-Studio's Drives panel to enumerate files on the disk

Click to expand/collapse Other ways to enumerate files

·Select the disk and click the Open Drive Files button,

or

·Right-click the selected disk and select Open Drive Files on the shortcut menu,

or

·Select the disk and press the F5 key.

or

·Select Open Drive Files on the Drive menu

If you try to enumerate files on a hard drive or another object without a valid file system on it, a Double-click a logical disk... message will appear. Select a logical disk on the object or scan the object.

> R-Studio will change its panel showing the disk's folders/files structure

R-Studio analyzes data on the object and displays all files for which records have been found in the analyzed tables. If files have not been found, that means that their records have been deleted. To find such files, Advanced Data Recovery is required.

Please note that R-Studio shows only those files/folders that match a specified file mask.

Click to expand/collapse R-Studio Main panel

Click the panel regions to learn their functions.

Panel view options

You may set which panels and bars to enable/disable. To enable/disable

The Toolbar

Select/clear Toolbar on the View menu

The Status bar

Select/clear Status bar on the View menu

The Folders panel

Select/clear Folders View on the View menu

The Files panel

Select/clear Contents View on the View menu

The Log panel

Select/clear Event Log on the View menu

The Find Results panel

Select/clear Find Results on the View menu

You may also arrange the data as required. On the View menu, select Arrange and them a required arrangement.

You may specify which columns will be visible on the Files panel. On the View menu, select Contents Columns, and select the columns you want to see.

The Log panel will show how many files and folders are on the object, and their size. You may specify which events will be shown in the log pane by setting a log filter.

Note: Metafiles are the file system's internal files invisible to any user, or file system data, which R-Studio represents as files. These files do not contain user data directly. Unless you want to scrutinize a disk file system, do not restore them.

If the Too many files... message appears, you may temporally stop file listing and browse through found files. Then you can resume file listing. You also may skip this file topic and continue. R-Studio will keep information about the entire file structure.

You may also copy the information about folders and files.

Click to expand For the folder (the Folders pane):
Click Copy Folder: | To copy the folder's name
Click Copy Path: | To copy the path to the folder
Click to expand For the file (the Contents pane):
Click Copy (Column Name): | To copy the file's Name, Size, Created, etc., depending on which column is selected
Click Copy Path: | To copy the file path.
Click Copy Selected Text: | To copy all the columns of the selected file.
2 Select a file/folder to recover

You may select several files/folders in the same parent folder by pressing the Shift button and clicking the objects simultaneously.

Click to expand/collapse Marking multiple files/folders from different parent folders manually:

Mark a file/folder to recover by clicking the box left to the object, or select Mark on the shortcut menu. You may mark several files/folders in different parent folders. You may mark all objects in the folder by selecting Mark All on the Tools or shortcut menu. To unmark an object, click the box left to the object once more or select Unmark on the shortcut menu. You may unmark all objects in the folder by selecting Unmark All on the Tools or shortcut menu.

The Log panel will show how many files and folders you have marked, and their total size.

R-Studio can search for a particular file. Go to the Searching for a File topic for details. If you need to find and mark many files, go to the Find and Mark Multiple Files topic for details.

File content may be previewed before recovery. Go to the Previewing Files topic for details.

If you do not find files that you want to recover:

Sometimes R-Studio can find the files but not the entire file paths to them. It puts such files into the Extra Found Files folder. Try to search for the files there. If that does not help, try to find them by using file search globally on the entire disk. Go to the Searching for a File topic for details

If you still cannot find files that you want to recover but are sure they have existed on the logical disk, you need to use Advanced Data Recovery to find them.

3 Click the Recover or Recover Marked button

Click to expand/collapse Other ways to recover selected files

·Right-click the selected file/folder and select Recover or Recover Marked on the shortcut menu,

or

·Select Recover or Recover Marked on the File menu

or

·Press the F2 button.
4 Specify recover options and output folder on the Recover dialog box and click the OK button
Click to enlarge

Recover dialog box

If you have another computer connected to R-Studio over network, the Recover dialog box will be slightly different. See Data recovery over network for details.

Click to expand/collapse Recover options

Condense successful restoration events

If this check box is selected, R-Studio will display only error and warning messages in its Log

Restore folder structure

If this check box is selected, R-Studio recovers the entire path to the selected object.

Restore from root

If this check box is selected, R-Studio recovers the entire path to the selected object starting from the root folder of the disk.

Recover metafiles

If this check box is selected, R-Studio recovers disk metafiles. Metafiles are the file system's internal files invisible to any user, or file system data, which R-Studio represents as files. These files do not contain user data directly. Unless you want to scrutinize a disk file system, do not restore them.

Recover alternative data streams

If this check box is selected, R-Studio recovers alternative data streams for file systems that support them. Has no effect on FAT files. See Extended Information Recovery for the NTFS file system, and Data Recovery on HFS/HFS+ File System for the Mac computers.

Recover security

If this check box is selected, R-Studio recovers security attributes for NTFS files. Has no effect on FAT files. See Extended Information Recovery for details.

Recover extended attributes

If this check box is selected, R-Studio recovers extended (HPFS) file attributes.

Recover real folders structure

Enabled when the files are sorted by their extensions or date. See Find and Mark Multiple Files for details. If this check box is selected, R-Studio recovers the real folders/files structure on the disk rather than that of sorted files.

Skip files with bad sectors

If this check box is selected, R-Studio skips files with bad sectors and displays their list on the Files with bad sectors dialog box when the recovery has been completed. You may separately decide later what to do with those files. See Bad sectors for details.

If this check box is cleared, R-Studio tries to read those sectors several times (specified on the Settings/Bad Sectors dialog box), and, if fails, fills bad sectors in the recovered file with the pattern specified on the same box. Information about such files will appear in the Log.

Ignore file mask

If this check box is selected, R-Studio recovers all content of a selected folder, ignoring a specified File Mask.

Advanced

Specifies options for mass file recovery

If you want to recover multiple files at once, go to the Recover Multiple Files for more information

NEVER TRY TO SAVE RECOVERED FILES/FOLDERS TO THE SAME LOGICAL DISK WHERE THEY RESIDE!!!

Or you may obtain unpredictable results and lose all of your data.

If a file to be recovered appears to have an invalid name, a Broken File Name dialog box will appear. You may correct the name and resume file recovery.

Click to enlarge

Broken File Name dialog box

Click to expand/collapse Broken File Name properties

File name | Shows the current incorrect file name.
New name | Field for a new file name.
Edit broken symbols only | If this check box is selected, only invalid symbols may be corrected
Change all invalid symbols to | If this check box is selected, all invalid symbols will be changed to the specified symbol
Buttons
Rename | Click to resume file recovery
Rename All | Click to resume file recovery. All other files will be renamed according to the specified rule.
Skip | Click to skip this file
Skip All | Click to skip all files and stop file recovery

If there is no space available for the recovered files, the There is not enough space on the disk dialog box will appear. You may either select other place to store the files, skip that particular file or abort the recovery process.

Click to enlarge

There is not enough space on the disk dialog box

> R-Studio will recover the selected/marked files/folders to the specified folder and show the results in the Log pane

The Recovery progress indicator will show the log and progress of recovery process.

Note: R-Studio recovers files from Ext2/3/4FS partitions, but writes it to FAT or NTFS local disks. Or you may write such files to network disks. R-Studio successfully recovers files from Ext2/3/4FS partitions except its security attributes. R-Studio recovers symlinks as files containing the path to files which symlinks point to.

See Data Recovery on HFS/HFS+ file system for details on recovering data from disks with the HFS/HFS+ file system

Finding Previous File Versions

Previewing Files

File Masks

Regular Expressions

Event Log


Searching for a File

R-Studio can find a particular file, if it is difficult to find it manually on the Folders or Files panel. You can also automatically mark/unmark all found files.

To search for a file,

1 Click the Find button

Click to expand/collapse Other ways to search for the file

·Right-click a folder and select Find on the shortcut menu,

or

·Select a folder and select Find on the Tools menu
2 Specify a file to be found and its options on the Find dialog box, and click the OK button

Note that a File Mask may be applied.

Click to enlarge

Find/Mark (Main) dialog box

Click to expand/collapse Find/Mark options

You may specify how to treat specified strings. Please note that R-Studio stores previously entered search strings.

Files

If this option is selected, R-Studio treats specified strings as file names. Use ? for one unspecified character and * for an unlimited number of them to specify file masks.

File Extensions

If this option is selected, R-Studio treats specified strings as file extensions

Regular Expressions

If this option is selected, R-Studio treats specified strings as regular expressions

All Files

If this option is selected, R-Studio applies Advanced Options to all files.

Options

Match case

If this check box is selected, R-Studio makes a case-sensitive search

Look in

Specifies where R-Studio searches for, and marks, files. It can look for them on the Entire disk, From current folder, In the Current folder and subfolders, and in the Current folder only. If From current folder is selected, you may also specify the Direction for the search from the current position in the current folder.

Deleted files

If this check box is selected, R-Studio makes a search among deleted files/folders.

Existing files

If this check box is selected, R-Studio makes a search among existing files/folders.

Find/Mark mode

Specifies what R-Studio does with the found files. It may:

Find all matched files. R-Studio searches for all matched files. The search results appear on the Find Results panel.

Find first matched file. R-Studio stops at the first found file.

Mark matched files. R-Studio marks all found files.

Unmark matched files. R-Studio unmarks all found files.

Please note, that when performing a new find and mark/unmark task, R-Studio does not takes into consideration the previous marked/unmarked state of files. For example, if you first mark all doc files, and then all txt files, all doc files remain marked, too. To unmark them, you should specify doc once again and select Unmark matched files.

Look at

Files

If this check box is selected, R-Studio includes files into a search.

Folders

If this check box is selected, R-Studio includes folders into a search.

Direction

Specifies search direction from the current position. Available only if From current folder is selected in Look in.

Use advanced options

If this check box is selected, R-Studio will use the advanced options, even when they are hidden.

Advanced Options

Size from/up to

Specifies file size limits. See the Data Formats and Multipliers topic for more details on data formats.

File Id

Specifies File Id that R-Studio assigns to a file.

Date

Specifies file date boundaries. Dates for Modified, Created, and Last Accessed timestamps may be set separately. The Set for all button sets the specified data for all fields.
> R-Studio will show/mark the found file(s)

If you need to find and mark many files, go to the Find and Mark Multiple Files topic for details.

To repeat the search,

* Click the Find Next or Find Previous buttons

Click to expand/collapse Other ways to repeat the search

·Right-click a folder and select Find Next or Find Previous on the shortcut menu

or

·Select a folder and select Find Next or Find Previous on the Tools menu

To find all files and show them on the Find Results panel,

* Select Find all on the on the Find dialog box,

or

select Find all on the Tools menu

> R-Studio will show the found files on the Find Results panel

You may do the following actions on the found files:

Recover, Mark, Preview

by right-clicking the found file and selecting the appropriate item in the shortcut menu.


Finding Previous File Versions

R-Studio can find previous versions of files. It searches for them in the file's current folder and in Extra Found Files.

File versions are searched for using file size. If the size of a files is within 10% of the original filesize, the following conditions are checked:

Conditions | Legend
File name | N
File extension | E
Recognized file type | T

To search for previous file versions,

1 Right-click the file and select Find Previous Versions of the File on the shortcut menu
* R-Studio will show the files in the list:
Click to enlarge

File versions

This technique can be used to find deleted original files after attacks of file encrypting viruses.


Previewing Files

R-Studio has a built-in file previewer that allows you to preview both existing and deleted files. You may use this feature to estimate recovery or a file to be recovered.

To preview a file

1 Right-click a file to preview on the Files panel and select Preview on the shortcut menu

Click to expand/collapse Other ways to preview the file

·Select the file on the Files panel and click the Preview button,

or

·Select the file on the Files panel and select Preview on the File menu
> R-Studio will show the content of the file

If you have several files open in the previewer, you may instantly close all of them by selecting Close All Previews on the File menu.

Click to expand/collapse List of supported file formats

MS Office files: even without Microsoft Office installed Word documents: doc (Office 97-2003) and docx Excel spreadsheets xls (Office 97-2003) and xlsx PowerPoint presentation ppt (Office 97-2003) and pptx Adobe Acrobat pdf Video/Audio files: With proper software and codecs installed in the system Graphic files:
Format | Extension | Compression
Adobe Photoshop Document | psd |
Alias Image | pix als alias |
Amiga IFF | iff blk | Rle
Bob Ray-Tracer | bob |
CALS Raster Goup 1 | cal cals |
Canon PowerShot | crw |
Casio QV-10/100 Camera | cam |
Chinon ES-1000 digital camera | cmt |
Cloe Ray-tracer | clo |
CompuServe GIF | gif giff |
DKB Ray-tracer | dis |
DPX | dpx |
Deluxe Paint, Electronic Arts | lbm |
Digital F/X | tdim graf |
EPS Interchange Format | epi |
Electric Image | ei eidi |
Encapsulated Postscript (Preview) | eps |
Explore (TDI) & Maya | tdi iff |
Gimp Bitmap | xcf |
Gimp Brush | gbr |
Gimp Icon | ico |
Gimp Pattern | pat |
Image Magick | mif miff |
Imaging Fax | g3n |
Intergraph Format | itg cit rle |
Joint Photographic Experts Group | jpg jpeg jif jfif |
Jeff's Image Format | jif |
Kodak Cineon | cin dpx |
Kodak DC120 Digital Camera | kdc |
Kodak DC25 Camera | k25 |
Kodak Photo CD | pcd |
Konica Camera File | kqp |
LucasFilm Format | lff |
MTV Ray-tracer | mtv |
Macintosh Quickdraw/Pict | pic pict pct |
Mayura Draw | pdx |
Multiple Network Graphics | mng |
OS/2 Bitmap | bmp bga | Rle 4 & 8 bits
Open Image Library Format | oil |
PaintShopPro Browser Cache File | jbf |
PaintShopPro Frame | pfr |
PaintShopPro Image | psp |
PaintShopPro Mask | msk |
PaintShopPro Pattern | pat |
PaintShopPro Picture Tube | tub |
PaintShopPro Texture | tex |
Palm Pilot | pdb |
Pegs | pxa pxs |
Photopaint Image | apx |
Picture Gear Pocket | prc |
Pixar picture file | pic pxr picio pixar |
Pixibox | pxb |
Portable Bitmap | pbm rpbm |
Portable Document Format | pdf |
Portable Greyscale | pgm rpgm |
Portable Image | pnm rpnm |
Portable Network Graphics | png |
Portable Pixmap | ppm rppm |
Postscript | ps |
Psion Series 3 | pic |
Psion Series 5 | mbm |
Qrt Ray-tracer | qrt |
Quantel VPB | vpb |
Quicktime Picture | qtif qti |
Rayshade | pic |
Ricoh Digital Camera | j6i |
SciTex Continuous Tone | sct sc |
Seattle Film Works | sfw |
Seattle Film Works multi-image | pwp |
Sega SJ-1 DIGIO | sj1 |
Silicon Graphics RGB | rgb bw iris sgi | Rle
Softimage bitmap | pic si | Rle
Sony DSC-F1 Cyber-shot | pmp |
Sony Playstation TIM PSX | tim |
Sun Icon/Cursor | icon cursor pr |
Sun Raster Images | ras rast sun sr scr rs |
Sun TAAC file format | iff vff suniff taac |
Synthetic Universe | synu syn |
TIFF Revision 6 | tif tim tiff | Rle LZW LZW + Prediction
TrueVision Targa | tga pix bpx vda icb vst | Rle
Utah Raster image | Rle |
Vista | vst |
Vivid Ray-tracer | img |
Wavefront Raster file | rla rlb |
Webshots | wbc wbp wbz |
Winfax | fxs fxo |
Windows & Aldus Metafile | wmf |
Windows Bitmap | bmp rle rl4 rl8 sys | Rle 4 & 8 bits
Windows Clipboard | clp |
Windows Cursor | cur |
Windows DIB | dib |
Windows Enhanced Metafile | emf |
Windows Icon | ico |
Wireless Bitmap (level 0) | wbmp wbm wap |
X11 BitMap | xbm bm |
X11 PixMap | xpm pm |
XV Visual Schnauzer | p7 |
Zsoft Multi-page Paintbrush | dcx |
Zsoft Publisher's Paintbrush | pcx pcc dcx | Rle


File Masks

R-Studio shows only those files/folders that match the specified file mask. File mask affects files/folders that are processed by the Recover and Find commands.

To specify a file mask,

1 Click the File Mask button

Click to expand/collapse Other ways to specify the file mask

·Right-click a folder and select File Mask on the shortcut menu

or

·Select the folder and select File Mask on the Tools menu
2 Specify the file mask on the File mask dialog box and click the OK button
Click to enlarge

Mask dialog box

Click to expand/collapse File mask options

You may specify options for All Files, File Extensions, Files, and Regular Expressions
Match case | If this check box is selected, R-Studio makes a case-sensitive search.
Show empty folders | If this check box is selected, R-Studio will show folders with no files matching the mask.
Deleted files | If this check box is selected, R-Studio makes a search among deleted files/folders.
Existing files | If this check box is selected, R-Studio makes a search among existing files/folders.
Use advanced options | If this check box is selected, R-Studio will use the advanced options, even when they are hidden.
Advanced Options
Size from/up to | Specifies file size limits. See the Data Formats and Multipliers topic for more details on data formats.
Date | Specifies file date boundaries. Dates for Modified, Created, and Last Accessed timestamps may be set separately. The Set for all button sets the specified data for all fields.
> R-Studio will show only those files that match the specified file masks

Mask presets

You may set various presets with different file masks. Just click on the Plus button to add the data from the dialog box to the presets. You may also give presets names, delete them, and store them permanently.


Regular Expressions

Regular expression is a notation for patterns of text, as opposed to exact strings of characters. The notation uses literal characters and metacharacters. Every character which does not have special meaning in the regular-expression syntax is a literal character and matches an occurrence of that character. For example, letters and numbers are literal characters. A metacharacter is a symbol with special meaning (an operator or delimiter) in the regular-expression syntax.

. | Wildcard: any character
* | Repeat: zero or more occurrences of previous character or class
^ | Line position: beginning of line
$ | Line position: end of line
[class] | Character class: any character in the set
[^class] | Inverse class: any character not in the set
[x-y] | Range: any characters within the specified range
\x | Escape: literal use of metacharacter x
\<xyz | Word position: beginning of the word
xyz\> | Word position: end of the word

For example, the following regular expression .* matches any string of characters, ^a matches any string beginning with character a.


Event Log

R-Studio logs and displays events in the Log panel. You may set a Log filter to display only needed information and to write it to a log file. You may specify the log settings on the Settings dialog box.

You may clear or save the log

To clear the log,

* Right-click the Log panel and select Clear Log on the shortcut menu.

To save the log to a file,

* Right-click the Log panel and select Save Log to File on the shortcut menu.

You may copy data from separate messages:

Click Copy (Column Name): To copy the record's Type, Date, Time, Text, depending on which column is selected

Click Copy Selected Text: To copy all the columns of the selected record.


Advanced Data Recovery

This chapter explains how to perform advanced data recovery operations.

·Disk Scan

·Customizing File Types

·Customizing File Types-I

·Customizing File Types-II

·Regions

·Exclusive Regions

·Images

·Object Copy


Disk Scan

In order to completely analyze data structure on an object, it must be scanned. Any object on the Drives panel can be scanned. In addition, you may create a region to scan only a part of an object. The Regions topic explains how to create and work with regions.

You may select scan area and some other scan parameters. Scan information may be saved to a file and later this file may be opened.

You may save scan information on the remote computer if necessary.

Attention: Scanning large areas may be a very lengthy process!

NEVER TRY TO SAVE SCAN INFORMATION TO THE OBJECT BEING SCANNED!!!

Or you may obtain unpredictable results and lose all of your data.

To scan an object

1 Select an object on the R-Studio's Drives panel
2 Click the Scan button

Click to expand/collapse Other ways to start scan

·Right-click the selected disk and select Scan on the shortcut menu,

or

·Select Scan on the Drive menu
3 Specify the required parameters on the Scan dialog box and click the Scan button
Click to enlarge

Scan dialog box

Click to expand/collapse Scan options

Disk Size: | Shows the size of the object to be scanned
Start: | Sets the start point of the area to be scanned.
Size: | Sets the size of the area to be scanned.
Numbers in these fields can be in bytes or sectors. See the Data Formats and Multipliers topic for more details on data formats.
File Systems: | Specifies the file systems which objects are to be searched for. Current version supports: FAT, NTFS, exFAT, ReFS, Ext2/3/4FS, HFS, and UFS file systems. Please note that if you need to scan an HFS, HFS+, or HFSX disk, always enable the Extra search for Known File Types option. This is very important because when files are being deleted on the HFS, HFS+, HFSX file systems, the computer completely removes all system information on them, and there is no way to recover the deleted files except by using the Extra Search for Known File Types option. See Data Recovery on HFS/HFS+ file system for details.
Extra search for Known File Types | Enables search for Known File Types.
Save scan Info to File: | If this checkbox is selected, R-Studio will save scan information to a specified file. Later this file may be opened. Please note, that this option does not save actual disk data, only information on disk data structure gathered during disk scan. If
Simple view | If this option is selected, R-Studio will show only scan progress.
Detailed view | If this option is selected, R-Studio will show graphic representation on objects found during scan.
None | If this option is selected, R-Studio will not show the Scan Information tab during scan.
Buttons
Scan | Starts scanning
Advanced | Activates advanced scan options
Known File Types... | Selects file types that R-Studio will recognize during the disk scan.
Cancel | Closes the dialog box
NEVER TRY TO SAVE SCAN INFORMATION TO THE OBJECT BEING SCANNED!!! Or you may obtain unpredictable results and lose all of your data.

If a remote computer is connected for Data Recovery over Network, the Scan dialog box will have a different look

and the Save Scan Information File dialog box will appear when you select a place to store scan info. You may save it to the local or remote computer.

Known File Types (raw file search): While scanning, R-Studio can recognize the data’s particular file type. Using such information, R-Studio can obtain more information about data/file structure on the object being scanned. By default, R-Studio tries to recognize the default list of supported file types specified on the Known File Types tab of the Settings panel, greatly increasing time required for the scan. You may reduce it by selecting only those file types that you need. Click the Known File Types... button and select the required file types on the File Types dialog box. These selections will be applied to that scan session only.

R-Studio places such found files in the Raw Files section on the the Drives panel.

Click to enlarge

File Types dialog box

Click to expand/collapse Known File Types

Set as Default | Click this button to set the current list of selected file types as default values.
Revert to Default | Click this button to revert the default settings specified on the Known File Types tab of the Settings panel.
Reset to Recommended | Click this button to revert to factory-preset default settings.
Select All | Click this button to select all file types in the list.
Clear All | Click this button to clear all file types in the list except some predefined ones.

Click to expand/collapse List of known file types

Document
AbiWord Document: .abw | Adobe InDesign File: .indd | Adobe PDF document: .pdf | Apple iWork Keynote document: .key
Apple iWork Pages document: .pages | Apple iWork document | Capella document: .cap | Final Draft Document: .fdr
FrameMaker Document: .fm | GNU Info Document: .info | Garmin MapSource data: .mps | Lotus AMI Pro Document: .sam
Lotus Organizer: .or5 | Lotus Word Pro Document: .lwp | Microsoft Office Open XML Document | Microsoft OneNote section file: .one
Microsoft Pocket Streets Map File: .mps | Microsoft PowerPoint 2007 XML Document: .pptx | Microsoft PowerPoint Document: .ppt | Microsoft Visio document: .vsd
Microsoft Word 2007 XML Document: .docx | Microsoft Word Document: .doc | Word for Macintosh Document: .mcw | Microsoft Word2 Document: .doc
Microsoft Works document: .wps | OLE Storage | OpenOffice Writer document: .odt | OpenOffice document: .ods
PageMaker Document: .p65 | PostScript document:.ps | QuarkXPress file: .qxd | QuarkXpress project: .qxp
Rich Text Document: .rtf | TEX document: .tex | Text document: .txt | Unicode document: .txt
WordPerfect Document: .doc |  |  |
Document: E-book
Chaoxing SSReader eBook: .pdg | EPUB eBook: .epub | FB2 eBook: .fb2 | MOBI eBook: .mobi Microsoft Money Data: .mny
Microsoft Reader eBook: .lit | Microsoft Reader eBook annotations: .ebo |  |
Document: Spreadsheet
Apple iWork Numbers document: .numbers | Lotus 1-2-3 v1 worksheet: .wk3 | Lotus 1-2-3 v2 workshee: .wk1, .fmt | Lotus 1-2-3 v3 worksheet: .wk3, .fm3
Lotus 1-2-3 v4 worksheet: .wk4 | Lotus 1-2-3 workbook: .123 | Microsoft Excel 2/3/4 worksheet: .xls | Microsoft Excel 2007 XML Document: .xlsx
Microsoft Excel 4 Spreadsheet: .xls | Microsoft Excel Spreadsheet: .xls | Quattro Pro Spreadsheet: .wq1 |
Document: Database
Cathy database: .caf | Data Interchange Format file: .dif | GDSII database: .gds | Microsoft Access 2007 XML Document: .accdt
Microsoft Access 2007 Database: .accdb | Microsoft Access Database: .mdb | Microsoft SQL Log: .ldf | Microsoft SQL Database: .mdf
MySQL Database Dictionary: .frm | MySQL database: .myi | Omnis Studio Library: .lbs | Omnis Studio Database: .df1
OpenOffice Base document: .odb | dBase III Database: .dbf |  |
Document: Financial
Microsoft Money Data: .mny | QuickBooks Backup File: .qbb | QuickBooks Primary Data File: .qbw | Quicken Data: .qdf
TurboTax return file: .tax |  |  |
Internet-related files
Compiled HTML file: .chm | Internet shortcut: .url | Microsoft OutLook Personal Folder: .pst | Microsoft Outlook/Inbox offline folder: .ost
Mozilla Firefox browser extension: .xpi | Mozilla Mail Summary file: .msf | Outlook Express Messages: .dbx | The Bat! Address book: .abd
The Bat! Message Base: .tbb | The Bat! Message Index: .tbi | Windows Address Book: .wab | XML document (Unicode): .xml
Email
E-Mail Message: .eml | Microsoft OutLook Personal Folder: .pst | Microsoft Outlook Inbox offline folder: .ost | Mozilla Mail Summary file: .msf
Outlook Express Messages: .dbx | The Bat! Address book: .abd | The Bat! Message Base: .tbb | The Bat! Message Index: .tbi
Windows Address Book: .wab |  |  |
Font
Adobe PostScript Font: .pfb | Adobe Printer Font: .pfm | BDF Unix font: .bdf | BGI font: .chr
CPI DOS font: .cpi | OpenType font: .otf | TrueType Font: .ttf | Windows System Font: .fon
Graphics/Picture
AVHRR Satellite image: .sst | Adobe Lightroom preview: .lrprev | Adobe Photoshop image: .psd | Agfa/Matrix Scodl Image: .scd
Alias Wavefront Raster Image: .rla | Amiga icon: .info | ArcView Shape:.shp | AutoCAD Binary Image: .dxf
AutoCAD Drawing: .dwg | AutoCAD Image: .dxf | Autodesc Animator Pro color palette: .col | Autodesc Animator Pro Image: .pic
Autodesc Animator Image: .pic | Autologic Image: .gm | BMF image: .bmf | Bentley MicroStation CAD Drawing: .dgn
Canon (CR2) RAW graphics file: .cr2 | Canon (CRW) RAW graphics file: .crw | ColoRIX Image: .rix | Computer Graphics Metafile image: .cg
ComputerEyes Raw Image: .ce1, .ce1 | Continous Edge Graphic Image: .ceg | Corel Texture Image: .tex | CorelDraw CMX Image: .cmx
CorelDraw Image: .cdr | Cubicomp Picture Maker Image .r8, .g8, .b8 | DICOM medical image: .dcm | Digital Negative image: .dbg
Dr. Halo palette: .pal | Enhanced MetaFile Image: .emf | Epson RAW image: .erf | Epson Stylus Image: .prn
Erdas LAN/GIS Image: .lan, .gis | Fractal Image Format: .fif | Freehand (MX) Database: .fh10 | Fuji RAW image: .raf
GEM Raster Image: .img | GEM VDI Image: .gdi | CompuServe GIF Image: .gif | Garmin Mapsource image: .img
Graphics Workshop for Windows Thumbnail: .thn | Gridded Binary Image: .grb | HP Command Language Image: .pcl | HP Raster Image: .rtl
HSI JPEG Image: .hsi | Hemera Photo-Object Image: .hpi | Hitachi Raster Image: .hrf | Hotspot Image: .shg
IBM Picture Maker Image: .pic | JPEG 2000: .jp2 | JPEG Digital Camera: .jpg | JPEG Image: .jpg
Jovian Logic Image: .vi | Kodak PhotoCD Image: .pcd | Kodak RAW image: .dng | LBM/IFF Image: .lbm
Leica RAW image: .dng | Lightwave Object: .lwo | Lotus PIC Image: .pic | Macintosh PICT Image: .pct, .pic
Macintosh Paint Image: .mac | Mamiya RAW image: .mef | McIDAS Satellite Image: .goe | Microsoft Paint Image: .msp
Minolta RAW image: .mrw | Nikon RAW image: .nef | OS/2 Icon: .ico | Olympus RAW image: .orf
PBM Image: .pbm | PGM Image: .pgm | PIX Image: .pix | PM Image: .pm
PNG Image: .png | PPM Image: .ppm | PaintShop Pro Image: .psp | Panasonic RAW image: .rw2
PaperPort Image: .max | Pentax RAW image: .pef | Pictor PC Paint Image: .pic | Print Shop Image: .pds
Quick Link II fax Image: .qfx | QuickDraw 3D Metafile: .3dmf | RAW Digital Camera image: .dng | RenderMan Image: .rib
Ricoh RAW image: .dng | SGI Image: .sgi | STAD Image: .pac | Samsung RAW image: .dng
Seattle FilmWorks / PhotoWorks image: .pwm | Sigma RAW image: .x3f | Sketch Image: .sk | SmartDraw file: .sdr
Sony RAW image: .arw | Sun Raster Image: .sun | SymbianOS Image: .mbm | TI Image: .92i
Tagged Image Format File: .tif | TargetExpress image: .mte | Utah Raster Toolkit Image: .rle | VITec Image: .vit
Webshots Image: .wb1 | Weresc CADE drawing: .dtc | Windows Animated cursor: .ani | Windows Bitmap Image: .bmp
Windows Color Palette: .pal | Windows Fax Cover Image: .cpe | Windows MetaFile Image: .wmf | Windows cursor: .cur
Windows icon: .ico | WordPerfect Graphics Image: .wpg | X PixMap Image: .xpm | X Window Dump Image: .xwd
Xara Drawing: .xar | ZSoft PCX Image: .pcx | iPhoto Image: .attr |
Multimedia: Audio Files
AIFF Sound: .aif | AVR Sound: .avr | AY Chip music: .ay | AdLib Tracker 2 module: .a2m
Advanced Streaming Format file: .asf | Audacity audio: .au | AudioCD file: .cda | Battery 3 sample: .nov
CMF music: .cmf | Common Loudspeaker Binary: .cf1 | Creative voice file: .voc | DiamondWare sound: .dwd
Digital Speech File: .dss | Digital voice file: .dvf | EA ASF/MUS audio file: .asf | Extended M3U playlist: .m3u
FLAC audio file: .fla, .flac | KaraBox sound: .mkf | La Lossless audio file: .la | Liquid Audio File: .la1
MIDI Instrument definition: .idf | MIDI music: .mid | MIDI stream: .mds | MPEG Layer I audio file: .mpg
MPEG Layer II audio file: .mp2 | MPEG Layer III audio file: .mp3 | MUS music: .mus | Monkeys audio file: .ape
Musepack audio file: .mpc | Next/Sun uLaw sound: .au | Nitro Composer sound: .minincs | Nord Modular G2 Patch: .pch2
Ogg Vorbis audio file: .ogg | OptimFROG audio file: .ofr | Portable Sound Format: .psf | RIFF MIDI music: .rmi
RK Audio sound: .rka | Sierra AUD sound: .aud | Sony OpenMG audio file: .oma | Super NES audio file: .spc
TTA audio file: .tta | VQF sound: .vqf | WavPack audio file: .wv | Westwood AUD sound: .aud
Windows Media Audio File: .wma | Windows WAVE sound: .wav | X-MIDI music: .xmi | ZyXEL sound: .zyx
aPac audio file: .apc |  |  |
Multimedia: Video Files
3GPP multimedia audio/video: .3gp | 3GPP2 multimedia audio/video: .3g2 | 4X Movie Video: .4xm | Adobe Filmstrip Animation: .fsf
AMV Video: .amv | ARMovie video: .rpl | Adobe Filmstrip animation: .fsf | Autodesk Animator: .fli
BINK Video: .bik | BluffTitler video: .bt | DVM video: .dvm | DeluxePaint animation: .anm
Director video: .dcr | DriveCam video: .dce | Eyemail video: .eye | Flash Video: .flv
Intel DVI Video: .dvi | Intel Indeo Video File: .ivf | Interplay MVE Video: .mve | LZA animation: .lza
LZA Animation: .lza | Lotus ScreenCam video: .scm | MPEG Transport Stream video: .mts | MPEG video: .mpg
MPEG-2 Transport Stream video: .m2ts | Matroska video: .mkv | MythTV video: .nuv | NEOchrome animation: .ani
Nancy Codec video: .noa | Nullsoft Video: .nsv | QV-10 video: .cam | QuickTime video: .mov
SGI movie format: .mv | SMJPEG Video: .mjpg | Sega FILM/CPK video: .cpk | Shockwave video: .swf
Smacker video: .smk | Sony Movie Player video: .mqv | VOB video files: .vob | VP6 encoded Video: .vp6
VideoCD video: .vcd | Vivo streaming video: .viv | Windows AVI Video: .avi | Windows Media Video: .wmv
Multimedia Files
MP4 file: .mp4 | Material Exchange File: .mxf | RIFF Multimedia File | Real Networks audio/video: .rm
Archive Files
7-Zip archive: .7z | ACE archive: .ace | AIN archive: .ain | ARJ archive: .arj
ARX archive: .arx | Android Package: .apk | BAG archive: .bag | BIX archive: .bix
BOA archive: .b58, .boa | BZip2 archive: .bz2 | BlackHole archive: .bh | Blink archive: .bli
CPIO archive: .cpio | ChArc archive: .chz | Compress archive: .z | Crush archive: .cru
DEB archive: .deb | FOXSQZ archive: .sqz | GZip archive: .gz | HA archive: .ha
HAP archive: .hap | HPack archive: .hpk | Hyper archive: .hyp | InstallShield CAB archive: .cab
InstallShield Z archive: .z | InstallShield compressed file | JAR archive: .jar | JRC archive: .jrc
LHA/LZARK archive: .lzh | LZA archive: .lza, .lzz | LZOParchive: .lzo, .lzop | LZX archive: .lzx
LIMIT archive: .lim | Microsoft Cabinet archive: .cab | Microsoft Compress compressed file | PAKLEO archive: .pll
QFC archive: .qfc | Quantum archive: .q, .pak | Quark archive: .ark | RAR archive: .rar
RPM archive: .rpm | ReSOF archive: .sof | SAR archive: .sar | SBC archive: .sbc
SQZ archive: .sqz | SZip archive | StuffIt archive: .sit | TAR archive: .tar
UFA archive: .ufa | UHArc archive: .uha | UltraCompressor 2 archive: .uc2 | WRAptor archive: .wra
WinImp archive: .imp | Windows Installer Merge Module: .msm | Windows Installer Package: .msi | indows Installer Patch: .msp
Windows Installer Patch Creation File: .pcp | Windows Installer Validation Module: .cub | YAC archive: .yc | YBS archive: .ybs
ZIP archive: .zip | ZOO archive: .zoo | ZZip archive: .zz | iOS Package: .ipa
xz archive: .xz |  |  |
Executable/Library/DLL
DOS Style Executable: .exe | ELF Executable (UNIX) | ELF Library (UNIX) | ELF Module (UNIX)
Java Bytecode: .class | KolibriOS Executable | NetWare Loadable Module: .nlm | Shell Script
UEFI Executable .efi | Windows DLL: .dll | Windows Executable: .exe | Windows 9x Device Driver: .vxd
Windows Device Driver: .sys | Windows OCX File: .ocx |  |
Development files
ACUCOBOL object | Borland Delphi Compiled Unit: .dcu | Borland Turbo Pascal compiled Unit: .tpu | C/C++ Source Code: .c
COM Type Library: .tlb | GUI Design Studio project: .gui | LUA Script: .lua | Library: .lib
Microsoft .NET XML Resource template: .resx | Microsoft ClassWizard file: .clw | Microsoft Linker database .ilk | Microsoft Precompiled header: .pch
Microsoft Program database: .pdb | Microsoft Visual C++ project: .mdp | Microsoft Visual Studio Solution: .sln | Microsoft Visual Studio project: .dsp
Microsoft Visual Studio workspace: .dsw | OMF Object library: .lib | PolySpace results: .chk | RDOFF Object File: .rdf
Resource Compiler Script File: .rc | Visual Studio Solution User Options: .suo | Visual Studio Widget File: .wid | Visual Studio Workspace Options file: .opt
VisualBasic Project: .vbp | WinDev Window: .wdw | Windows Compiled resource (32bit) : .res | XPCOM Type Library: .xpt
Xcode Project: .pbxproj |  |  |
Disk images
Hyper-V virtual disk: .vhdx | JAM compressed disk: .jam | Norton Ghost disk image: .ghs | QEMU virtual disk: .qcow2
R-Drive Image disk image: .rdr | VMware virtual disk: .vmdk | Virtual PC virtual disk: .vhd | VirtualBox virtual disk: .vdi
Other file types
ABBYY Lingvo dictionary: .lsd | AIX Backup File: .bff | ArtMoney Table file: .amt | CrystalMaker Data File: .cmdf, .cmmf
Dwarf Fortress save data: .dat | EasyCrypto file: .encrypted | Fallout 3 save game: .fos | Java Applet cache index: .idx
Kaspersky Anti-Virus data base: .avc | Kaspersky Anti-Virus report: .rpt | Kaspersky Anti-Virus signature bas: .kdc | Magic 3D Easy View object: .x
Microsoft Security Catalog: .cat | NHTSA UDS-1992 crash test result: .uds | NOD32 Antivirus Update file: .nup | ORTIMZeit project: .ozv
OziExplorer Map data: .map | PRO100 project: .sto | PlayStation 3 Theme: .p3t | RegEdit file: .reg
RegEdit file (UNICODE): .reg | Source Game Engine Compiled AI Nodegraph: .ain | Unreal Package | Valve Texture File: .vtf
WinHelp: .hlp | WinHelp Contents: .cnt | WinXP Prefetch file: .pf | Windows Backup File: .bkf
Windows Clipboard file: .clp | Windows Color Profile: .icm | Windows Minidump: .dmp, .mdmp | Windows National locale: .nls
Windows Password file: .pwl | Windows Registry hive: .dat, .hiv | Windows Thumbnail cache: .db | Windows User Interface Module: .wim
Windows shortcut: .lnk | X-Plane Scenery: .dsf | XNA Game Data: .xnb |

Note: Using scan for Known File Types, R-Studio can successfully recover only un-fragmented files.

You may also specify your own file types for scanning. See Customizing File Types for details. User-defined file types precede over built-in ones, if their definitions overlap.

You may set the defaults for known file types on the R-Studio Settings.

> R-Studio starts scanning the object, and its panel will show information about new found objects:

Click to expand/collapse R-Studio Main panel

Click the panel regions to learn their functions.

The Log pane will show scan progress. Scan may be stopped by clicking the Stop button on the toolbar. Later the scan process may be resumed with different scan parameters.

You may see which file object(s) is/are on a particular disk part. Click the corresponding rectangle on the Scan Information pane and view the information on the Scan Information dialog box.

Click to enlarge

Scan Information dialog box

Double-click an object to view/edit the file object in the Text/hexadecimal editor.

When an object is scanned, a number of Recognized partitions will appear. R-Studio shows them in different colors depending on which elements of the partition have been found.

An existing logical disk or partition

Both boot records and file entries are found for this partition

Only file entries are found for this partition

Only boot records are found for this partition

Empty space on the object

Files that have been found using scan for known file types (raw file search).

Although such recognized partitions are virtual objects, files can be searched for and recovered from recognized partitions as from real logical disks using Basic File Recovery.

To see the information about a newly found object, simply click it on the Drives panel. Click this link to see the information about the object Recognized13 on the logical disk H:.

All scanned information may be deleted on the shortcut menu for a scanned object.

Scan information may be saved in a file. Previously saved scan information may be loaded. This can be done on the Drive or shortcut menu for a selected object.

Multiple scans

If the selected object has been completely scanned, you may rescan it either completely or with new scan parameters. If the selected object has been scanned partially, you may scan the rest of the object, ignore the existing scan information and scan the entire object, or specify scan parameters manually.

R-Studio accumulates the information from successive scans and keeps track of changes in this information obtained from different scans.

You may make several scans of successive or overlapping areas. Click the Advanced button, specify an offset and size for a new area to scan on the Advanced Scan dialog box and click the Add button. You may specify and add several scan areas. You may select which areas should be scanned. Selected scan areas can be merged. Right-click a necessary area and select either Merge Down, Merge Down All, and Merge Selected.

Click to enlarge

Advanced Scan dialog box

Managing scan information

Scan information may be saved to a file. Previously saved scan information may be loaded.

To save scan information

1 Select an object on the R-Studio Drives panel
2 Select Save Scan Information on the Drive or shortcut menu and save the scan information in a file

The default file extension is *.scn.

If a remote computer is connected for Data Recovery over Network, the Save Scan Information File dialog box will appear when you select a place to store scan info. You may save it to the local or remote computer.

To load scan information

1 Select an object on the R-Studio Drives panel
2 Select Open Scan Information on the Drive or shortcut menu and select the required file with the scan information

The default file extension is *.scn.

If a remote computer is connected for Data Recovery over Network, the Open Scan Information File dialog box will appear when you select a place to load scan info from. You may load it from the local or remote computer.

> The scan information will appear in the Drives panel

To remove scan information

1 Select an object on the R-Studio Drives panel
2 Select Remove Scan Information on the Drive or shortcut menu
> The scan information will disappear from the Drives panel

NEVER TRY TO SAVE SCAN INFORMATION ON THE OBJECT BEING SCANNED!!!

Or you may obtain unpredictable results and lose all your data.


Customizing File Types

You may create your own known file types and add their file signatures for scanning in Known File Types. They will appear in their respective folders on the File Types dialog box.

You can do that either by using the R-Studio's graphic interface or by direct editing the known file description file specified on the R-Studio Main settings dialog box.

Creating a Known File Types using a Graphic User's Interface

The easiest way to add your own is to use the R-Studio's graphic interface.

To create a Known File Type,

1 On the Known File Types settings dialog box, click the Edit User's File Types... button
> The Edit User's File Types dialog box will appear
Click to enlarge

Edit User's File Types dialog box

2 Click the Create File Types button and specify File type properties
Click to enlarge

Edit User's File Types dialog box

Click to expand/collapse File Types properties

id

digit

Required

Digital file type identifier. Should be unique for each custom file type.

group

string

Optional

Specifies a file type group in which found files will appear. You may specify either your own groups or select those predefined on the File Types dialog box.

description

string

Optional

Brief file description

features

NO_SCAN

TXT_ANSI

TXT_UNICODE

Optional

Additional properties of the file type. If you want to specify several properties, they should be separated by a space.

NO_SCAN: Not to be scanned for. If this flag is used, R-Studio will not search for such file type. Such files will be shown when sorting files by their extensions.

TXT_ANSI: The file can be viewed as ANSI text. If this flag is specified, the file can be correctly represented as an ANSI text. When previewing, this file will be immediately sent to Text/hexadecimal editor.

TXT_UNICODE: The file can be viewed as UNICODE text. If this flag is specified, the file can be correctly represented as a UNICODE text. When previewing, this file will be immediately sent to Text/hexadecimal editor.

extension

<string>

Optional

File extension.
3 Click the Add Signature button, specify the signature parameters, and click the Save button
Click to enlarge

Edit User's File Types dialog box

Click to expand/collapse File signature properties

Begin End | Specifies from where the signature begins. If End, the offset is from the end of file to the first byte of the signature. That is, if the signature is two bytes long, the offset value should be 2.
AND OR | Shows the order of the logical operation (union or intersection)
From | A decimal number specifying the leftmost possible offset for the file signature.
To | A decimal number specifying the rightmost possible offset for the file signature.

You may specify as many signatures as you need. Moreover, you may specify subgroups within a signature using the Add Subgroup button. The structure of such possible subgroups is described on the Customizing File Types-II help page.

> The newly specified file type will appear on the Edit User's File Types dialog box and the File Types dialog box
Click to enlarge

Edit User's File Types dialog box


Customizing File Types-I

The syntax of signature description is similar to that of the XML language. They are stored in the file specified on the R-Studio Main settings dialog box.

More advanced features are described in Customizing File Types-II.

Signature file example

<?xml version="1.0" encoding="utf-8"?>

<FileTypeList>

<FileType id="2" group="archive" description="ARJ Archive" extension="arj">

<Signature offset="3" count="1">Abc\x5c\x00\x04</Signature>

<Signature offset="9" count="2">\x23\x01\xf4</Signature>

</FileType>

</FileTypeList>

File structure

File header

The file starts with a standard XML header

<?xml version="1.0" encoding="utf-8"?>

Section FileTypeList

<FileTypeList>

It requires a closing element </FileTypeList>.

Section FileType

This is a description of each file signature.

Attributes:

id | <u32> | Required | Digital file type identifier. Should be unique for each file type. |
group | <string> | Optional | Specifies a file type group in which found files will appear. You may specify either your own groups or those predefined on the File Types dialog box. | Default: unknown
description | <string> | Optional | Brief file description | Default: null (no description)
features | NO_SCAN TXT_ANSI TXT_UNICODE | Optional | Additional properties of the file type. If you want to specify several properties, they should be separated by a space. | Default: 0
extension | <string> | Optional | File extension. | Default: null (no extension)

File type properties flags

NO_SCAN | Not to be scanned for. If this flag is used, R-Studio will not search for such file type. Such files will be shown when sorting files by their extensions.
TXT_ANSI | The file can viewed as ANSI text. If this flag is specified, the file can be correctly represented as an ANSI text. When previewing, this file will be immediately sent to Text/hexadecimal editor.
TXT_UNICODE | File can viewed as UNICODE text. If this flag is specified, the file can be correctly represented as a UNICODE text. When previewing, this file will be immediately sent to Text/hexadecimal editor.

This section can contain an unlimited number of the Signature elements.If there are several Signature elements, that means that all those signatures are simultaneously present in the file. Such signatures should have different offset attributes and they should not overlap.

Element Signature

The element contains a string value of the file signature consisting of ASCII characters and hex bytes in the \xhh format, where hh is a hexadecimal byte code. If there is not a hexadecimal number after \x , \x are treated as a part of the string section of the signature

Attributes:

offset

<u16>

Optional

Decimal offset for the signature

Default: 0

count

<u16>

Optional

Decimal number specifying the number of signatures of the same length. Used when several signatures of the same length starting with the same offset can be present in a file. In this case they should be sequentially written in the element, and the size attribute specifies the length of signature. count*size should be equal to the number of bytes in the element.

If only one signature can be on this offset, count should be equal "1", and size should be equal to the length (the number of bytes) of the signature.

Default: 1

size

<u16>

Optional

Decimal number specifying the number of bytes in the signature.

Default: the number of bytes written in the element.

from

begin

end

Optional

Specifies from where the offset is calculated.

If end, the offset is from the end of file to the first byte of the signature. That is, if the signature is two bytes long, the offset value should be 2.

Default: begin

Comments

<!-- Comment string -->

An XML standard string for a comment.


Customizing File Types-II

Currently R-Studio supports two versions of file type descriptions. Version 2 extends legacy Version 1 by adding variable signature offsets and AND/OR combination of several signatures in one file type. The version of file type description is specified by the version attribute of the FileTypeList section . Version 1 is the default option.

File structure

Elements common to Versions 1 and 2 of file type description

File header

The file starts with a standard XML header

<?xml version="1.0" encoding="utf-8"?>

Section FileTypeList

<FileTypeList>

Attributes:

version

1.0

2.0

Optional

Version of file type description

Default: 1.0

It requires a closing element </FileTypeList>.

Comments

<!-- Comment string -->

An XML-standard string for a comment.

Version 1 of file type description

Signature file example

<FileTypeList>

<FileType id="2" group="archive" description="ARJ Archive" extension="arj">

<Signature offset="3" count="1">Abc\x5c\x00\x04</Signature>

<Signature offset="9" count="2">\x23\x01\xf4</Signature>

</FileType>

</FileTypeList>

Section FileType

This is a description of each file signature.

Attributes:

id | <u32> | Required | Digital file type identifier. Should be unique for each file type. |
group | <string> | Optional | Specifies a file type group in which found files will appear. You may specify either your own groups or those predefined on the File Types dialog box. See the table below. | Default: unknown
description | <string> | Optional | Brief file description | Default: null (no description)
features | NO_SCAN TXT_ANSI TXT_UNICODE | Optional | Additional properties of the file type. If you want to specify several properties, they should be separated by a space. | Default: 0
extension | <string> | Optional | File extension. | Default: null (no extension)

File type properties flags

NO_SCAN | Not to be scanned for. If this flag is used, R-Studio will not search for such file type. Such files will be shown when sorting files by their extensions.
TXT_ANSI | The file can be viewed as ANSI text. If this flag is specified, the file can be correctly represented as an ANSI text. When previewing, this file will be immediately sent to Text/hexadecimal editor.
TXT_UNICODE | The file can be viewed as UNICODE text. If this flag is specified, the file can be correctly represented as a UNICODE text. When previewing, this file will be immediately sent to Text/hexadecimal editor.

List of predefined file type groups

Group | Name on the File Types dialog box.
archive | Archive Files
graphics | Graphics/Picture
internet | Internet-related files
multimedia | Multimedia Files
audio | Multimedia: Audio Files
video | Multimedia: Video Files
font | Font
document | Document
doc_database | Document: Database
doc_sheet | Document: Spreadsheet
exe | Executable/Library/DLL
unknown | Other file types

This section can contain an unlimited number of the Signature elements.If there are several Signature elements, that means that all those signatures are simultaneously present in the file. Such signatures should have different offset attributes and they should not overlap.

Element Signature

The element contains a string value of the file signature consisting of ASCII characters and hex bytes in the \xhh format, where hh is a hexadecimal byte code. If that is not a hexadecimal number after \x, \x are treated as a part of the string section of the signature

Attributes:

offset

<u16>

Optional

Decimal offset for the signature

Default: 0

count

<u16>

Optional

Decimal number specifying the number of signatures of the same length. Used when several signatures of the same length starting with the same offset can be present in a file. In this case they should be sequentially written in the element, and the size attribute specifies the length of signature. count*size should be equal to the number of bytes in the element.

If only one signature can be on this offset, count should be equal to "1", and size should be equal to the length (the number of bytes) of the signature.

Default: 1

size

<u16>

Optional

Decimal number specifying the number of bytes in the signature.

Default: the number of bytes written in the element.

from

begin

end

Optional

Specifies from where the offset is calculated.

If end, the offset is from the end of file to the first byte of the signature. That is, if the signature is two bytes long, the offset value should be 2.

Default: begin

Version 2 of file type description

Signature file example

<?xml version="1.0" encoding="utf-8"?>

<FileTypeList version="2.0">

<FileType id="5626" group="_Test" description="Test file" extension="tst">

<Begin combine="and">

<Signature from="0" to="20">ABC</Signature>

<Signature offset="1">CDEFG</Signature>

<AND>

<Signature offset="0">DE</Signature>

<Signature offset="0">RTD</Signature>

<OR>

<Signature offset="12">CP</Signature>

<Signature offset="16">RTD</Signature>

</OR>

</AND>

</Begin>

<End combine="or">

<Signature from="3" to="20">ABC</Signature>

<Signature offset="5">CDEFG</Signature>

<AND>

<Signature offset="2">DE</Signature>

<Signature offset="3">RTD</Signature>

<OR>

<Signature offset="12">CP</Signature>

<Signature offset="16">RTD</Signature>

</OR>

</AND>

</End>

</FileType>

</FileTypeList>

Section FileType

This is a description of each file signature.

Attributes:

Similar to those in Version 1.

The section can contain one element Begin and one End. It should contain at least one of them.

Example

<FileTypeList version=”2.0”>

<FileType id="2" group="archive" description="ARJ Archive" extension="arj">

<Begin [attributes]>

...

</Begin>

<End [attributes]>

...

</End>

</FileType>

</FileTypeList>

Sections Begin and End

Specify the positions of file type signatures in the file.

Attributes

combine

and

or

Optional

Shows the order of the logical operation (union or intersection)

Default: and

These sections can contain one of several elements Signature. And one or several elements OR or AND. If there are several elements inside the section they are combined according to the attribute combine.

Example:

<FileTypeList version=”2.0”>

<FileType id="2" group="archive" description="ARJ Archive" extension="arj">

<Begin combine="or">

<Signature [attributes]> ... </Signature>

...

<Signature [attributes]> ... </Signature>

<AND>

...

</AND>

<OR>

...

</OR>

</Begin>

<End>

<OR>

...

</OR>

<Signature [attributes]> ... </Signature>

...

<Signature [attributes]> ... </Signature>

</End>

</FileType>

</FileTypeList>

Sections AND and OR

These sections can contain one of several elements Signature. And one or several elements OR or AND. If there are several elements inside the section they are combined according to the section type (logical AND or OR).

Example:

<FileTypeList version=”2.0”>

<FileType id="2" group="archive" description="ARJ Archive" extension="arj">

<Begin>

<Signature [attributes]> ... </Signature>

...

<Signature [attributes]> ... </Signature>

<AND>

<Signature [attributes]> ... </Signature>

<OR>

<Signature [attributes]> ... </Signature>

<AND>

<Signature [attributes]> ... </Signature>

<Signature [attributes]> ... </Signature>

</AND>

<OR>

<Signature [attributes]> ... </Signature>

<Signature [attributes]> ... </Signature>

</OR>

</OR>

<Signature [attributes]> ... </Signature>

</AND>

</Begin>

</FileType>

</FileTypeList>

Element Signature

The element contains a string value of the file signature consisting of ASCII characters and hex bytes in the \xhh format, where hh is a hexadecimal byte code. If that is not a hexadecimal number after \x, \x are treated as a part of the string section of the signature

Attributes:

offset | <u16> | Optional | Decimal offset for the signature | Default: 0
from | <u16> | Optional | Decimal number specifying the leftmost possible offset for the file signature. Ignored if the offset attribute is specified. | Default: undefined
to | <u16> | Optional | Decimal number specifying the rightmost possible offset for the file signature. Ignored if the offset attribute is specified. | Default: undefined
size | <u16> | Optional | Decimal number specifying the number of bytes in the signature. | Default: the number of bytes written in the element.

Example:

<FileTypeList version=”2.0”>

<FileType id="2" group="archive" description="ARJ Archive" extension="arj">

<Begin>

<Signature offset="3">Abc\x5c\x00\x04</Signature>

<Signature from="9" to="15">\x23\x01\xf4</Signature>

</Begin>

</FileType>

</FileTypeList>


Regions

Scanning large objects may take a long time. Sometimes, only a smaller area of a disk needs to be scanned or searched for files. Such area is called a region. A region can be created on any object in the R-Studio's Drives panel.

Created regions can be scanned, and files on them can be recovered in the same way as from hard drives or logical disks.

Created regions can be deleted or their size can be changed.

Note: R-Studio does not create anything real on the disk. Regions are virtual objects that do not affect actual data on the disk.

To create a region

1 Select an object on the R-Studio's Drives panel and click the Create Region button

Click to expand/collapse Other ways to create the region

·Right-click the selected object and select Create Region on the shortcut menu

or

·Select the object and select Create Region on the Create menu

or

·Select the object and press the F4 key on the keyboard
2 Specify required parameters on the Create region dialog box and click the Create button
Click to enlarge

Create region dialog box

Click to expand/collapse Region options

Disk size: | Shows size of the object where the region is to be created. The region cannot be larger than this size.
Start: | Start point of the region
Size: | Size of the region. Cannot be larger than Disk size.
Numbers in these fields can be in bytes or sectors. See the Data Formats and Multipliers topic for more details on data formats.
> A Region object will appear on the Drives panel.

To change the size of a region

* Right-click the Region on the R-Studio Drives panel, select Edit on the shortcut menu, and enter a new size on the Edit Region dialog box.

To convert a region into an exclusive one

* Right-click the Region on the R-Studio Drives panel and select Exclude area on the shortcut menu

To remove a region

* Select a Region on the R-Studio Drives panel and click the Remove button, or

Right-click the selected region and select Remove Region on the shortcut menu.


Exclusive Regions

Exclusive regions are areas on any object visible on the R-Studio's Drives panel that are excluded from disk operations. R-Studio never tries to read/write data from/to such area. Exclusive regions are necessary when, for example, there are areas with bad sectors on a hard drive, and it is necessary to avoid any disk operations with such areas to not inflict further damage to such drive and to speed work with it.

Note: R-Studio does not create anything real on the disk. Exclusive regions are virtual objects that do not affect actual data on the disk.

To create an exclusive region

1 Right-click an object on the R-Studio's Drives panel and select Create Exclusive Region on the shortcut menu, or

Select the object and select Create Exclusive Region on the Create menu

2 Specify required parameters on the Create Exclusive Region dialog box and click the Add button
Click to enlarge

Create Exclusive Region dialog box

Click to expand/collapse Exclusive Region options

Start: | Start point of the entire exclusive region
Size: | Size of the entire exclusive region. Cannot be larger than Disk size.
Offset: | Offset of the excluded area.
Size: | Size of the excluded area.
Numbers in these fields can be in bytes or sectors. See the Data Formats and Multipliers topic for more details on data formats.
> An Exclusive Region object will appear on the Drives panel.

Its properties can be seen on the Excluded Areas tab.

To remove an exclusive region

* Select an Exclusive Region on the R-Studio Drives panel and click the Remove button, or

Right-click the selected region and select Remove Region on the shortcut menu.

To change the size of an exclusive region

* Right-click an Exclusive Region on the R-Studio Drives panel, select Edit on the shortcut menu, and add/remove excluded areas on the Edite Exclusive Region dialog box.

You may remove an excluded area by right-clicking it and selecting Remove on the shortcut menu.


Images

An image is an exact, byte by byte, copy of any object on the Drives panel. When created, images can be processed like their original objects.

Images are very useful if there is a risk of total data loss due to hardware malfunction. If bad blocks are constantly appearing on a hard drive, you must immediately create an image of this drive. All data search, scan and restoring can be done from this image.

While creating images, R-Studio can simultaneously perform disk scan and save scan information to lessen time necessary to process the disk.

The image can be saved on the remote computer if it is created via network. R-Studio can also load and process images created with the DeepSpar Disk Imager™.

To create an image,

1 Select an object on the R-Studio's Drives panel and click the Create Image button

Click to expand/collapse Other ways to create the image

·Select the object and select Create Image on the Drive menu

or

·Right-click the selected object and select Create Image File on the shortcut menu
2 Specify image options, a file name, and destination for the image on the Create Image dialog box

Note: To store an image file, you need a free space equal to at least the object size.

Click to enlarge

Create Image dialog box

Click to enlarge

Create Image dialog box

Click to enlarge

Create Image dialog box

Click to expand/collapse Image Options

Image name

Specifies the name and path for the image file

Byte to byte image

If this option is selected, R-Studio will create a simple exact copy of the object. This image format is compatible with the previous versions of R-Studio.

Compressed image (R-Drive Image compatible)

If this option is selected, R-Studio will create an image file which can be compressed, split into several parts, and password-protected. This image file is fully compatible with the images created by R-Drive Image, but incompatible with the previous versions of R-Studio.

Image compression ratio

You may compress the data in the image to save space. Active only if the Compressed image (R-Drive Image compatible) is selected.

Estimated size

Shows the estimated size of the image file. An actual image size depends on how much empty space is on the selected partition and what file types are there. Active only if the Compressed image (R-Drive Image compatible) is selected.

Image split size

You may set this option to Automatic and let Windows decide how to split the image file. This mostly depends on the file system on the destination disk. You may also either explicitly specify the split size, or choose a preset for various devices with removable storage. Select Fixed size for that. Active only if the Compressed image (R-Drive Image compatible) is selected.

Password

You may protect your image file with a password. Note: This feature provides a relatively moderate protection against conventional unauthorized access. Active only if the Compressed image (R-Drive Image compatible) is selected.

Create scan information file

If this option is selected, R-Studio will perform disk scan simultaneously with image creation. See the Disk Scan help page to learn scan options.

Read attempts

Specifies a value for I/O Tries, or how many times R-Studio will try to read a bad sector.

R-Studio treats bad sectors in the following way:

It reads a certain part of disk (predefined by Windows) and

·If Default read attempts is set to 0, the entire part with bad sectors will be filled with the specified pattern.

·If Default read attempts is set to a non-zero value, R-Studio reads again that part sector by sector, repeating the attempts the specified number of times. If R-Studio still cannot read a bad sector, it fills the sectors with the specified pattern. In this case only the bad sectors will be filled with the pattern, but that extremely slows the disk read process.

For example, if you set Default read attempts to 1, a bad sector will be read 2 times.

Pattern to fill bad blocks

Specifies a pattern R-Studio will use to fill bad sectors in this image. You may specify the pattern either in the ANSI or Hex data format.

Note: R-Studio will never ever try to write anything on the disk from which data is to recover or an image is to create. This pattern fills bad sectors only in the image.

If a remote computer is connected for Data Recovery over Network, the Create Image dialog box will have a different look. You may save the image to the local or remote computer.

> R-Studio will start creating the image, the Progress message showing the progress.

To process an already created Image, the image file should be opened.

To open an image

1 Click the Open Image button, or

Select Open Image File on the Drive menu

If a remote computer is connected for Data Recovery over Network, the Open Image File dialog box will appear when you select a place to load the image file from. You may load it from the local or remote computer.

2 Select the required image file
> An Image object will appear on the Drives panel

Depending whether this is a byte-by-byte or compressed (R-Drive Image compatible), its appearance in the Drives panels is different.

You may perform all data search, scan, and recovery from this image as it were a regular drive/disk object.


Object Copy

You may copy any object in the Drives panel to any other object, if there is enough space on the target one.

Before Copy object to... becomes enabled on the Create menu, you need to enable writing.

To enable writing,

1 On the R-Studio main panel, select the Tools menu, then Settings, and select Enable Write on the Settings dialog box.
> The Copy object to... will be enabled on the Create menu.

Now objects can be copied.

Depending on the objects to copy and your tasks, you may do:

Binary (byte to byte copy)

An exact copy of the source object (or a part thereof) to the destination device (from its beginning or a specified offset). Any object may be copied to any object this way.

To perform a binary copy of an object,

1 Select Copy object to... on the Create menu
2 Select a source and destination objects on the Drives Copy Wizard panel and click the Next button
Click to enlarge

Drives Copy Wizard

3 Select Binary (byte to byte) copy on the Copy Options dialog box, specify copy options, and click the Next button
Click to enlarge

Copy options dialog box

Click to expand/collapse Copy options

Source
Copy whole object | Select this option if you want to copy the entire source object to the destination one
Copy range | Select this option if you want to copy a part of the source object
Offset | Specify the offset from which the source object data will be copied to the destination object
Size | Specify the size of the source object data which will be copied to the destination object
Destination
Offset | Specify the offset on the destination object to which the source object data will be copied
3 View the copy task settings on the Drives Copy Wizard and click the Finish button
Click to enlarge

Drives Copy Wizard

or click the <Back button to edit the copy parameters

> R-Studio will start copying data from the source object to the destination one.

Smart partition copy

Only partitions can be copied with this option to other partitions or empty spaces. You may change some parameters of the the copied partition(s) on the destination drive.

To perform a smart partition copy of a partition,

1 Select Copy object to... on the Create menu
2 Select source and destination partitions on the Drives Copy Wizard panel and click the Next button
Click to enlarge

Drives Copy Wizard

3 Select Smart partition copy on the Copy Options panel, specify copy options, and click the Next button
Click to enlarge

Copy options dialog box

Click to expand/collapse Copy options

Destination
Copy without stretching | Select this option if you want to copy the partition exactly to the destination place
Copy to: | Select this option if you want to change some parameters of the copied partition on the destination place
Free space before | Specify how much space will be left empty before the start of the copied partition
Partition size | Select this option and specify the new size of the copied partition
Partition type Primary (Active)/ Primary/Logical | Specify the type of the partition to be copied. Do not change this setting unless you have serious reasons to do so.
3 View the copy task settings on the Drives Copy Wizard and click the Finish button
Click to enlarge

Drives Copy Wizard

or click the <Back button to edit the copy parameters

> R-Studio will start copying data from the source partition to the destination place.

Smart drive copy

Only whole drives can be copied with this option to other drives. You may change some parameters of the copied drives.

To perform a smart drive copy of a hard drive,

1 Select Copy object to... on the Create menu
2 Select a source and destination hard drives on the Drives Copy Wizard panel and click the Next button
Click to enlarge

Drives Copy Wizard

3 Select Smart drive copy on the Copy Options panel, specify copy options, and click the Next button
Click to enlarge

Copy options dialog box

Click to expand/collapse Copy options

Copying mode

Copy all partitions onto original places

Select this option if you want to copy all partitions to their original places.

One partition after another

Select this option if you want to copy the partitions one after another preserving their space. If there is empty space between the partitions, it will be omitted. Otherwise it is similar to Copy all partitions onto original places.

If Fixed active partition is selected, the original offset/size of the active partition will be preserved (in case the loader has links to it).

Expand/Shrink partition to whole disk

Specify this option if you want to proportionally expand/shrink the selected partitions to occupy the entire target drive.

If Fixed active partition is selected, the original offset/size of the active partition will be preserved (in case the loader has links to it).
3 View the copy task settings on the Drives Copy Wizard and click the Finish button
Click to enlarge

Drives Copy Wizard

or click the Cancel button to cancel this process.

> R-Studio will start copying data from the source hard drive to the destination one.


Mass File Recovery

Recovery of multiple files

If you need to recover multiple files you may do it through the following steps:

1 Find and mark all the necessary files

Go to the Find and Mark Multiple Files topic for more information

2 Recover all marked files in a single file recovery step

Go to the Recover Multiple Files topic for more information

3 Create file recovery lists to manually edit the list of files to recovery

Go to the File Recovery Lists topic for more information

Memory considerations

R-Studio stores information about found files in computer memory. If there are too many files, R-Studio may run out of it. To avoid this, you have two options:

Recover all files

If you want to recover data from an entire file system object (a logical disk, partition, partition image, etc.), you may use the Recover All Files command from the Drive or shortcut menu. Right click the object in the Drives panel to access the shortcut menu. A Recover dialog box will appear. Select required restore settings, including file mask. This command restores unlimited number of files without memory restrictions.

View file information in steps

As soon as R-Studio nearly runs out of memory, a Too many files... message appears. You may temporally stop file listing and browse through found files. Then you can resume file listing. You also may skip this file section and continue file listing.

In all cases, R-Studio keeps information about the entire file structure.

·Find and Mark Multiple Files

·Recover Multiple Files


Find and Mark Multiple Files

If you need to find and mark many files at once, you may do that in the following ways:

By sorting them by their extensions or creation/modification/accessed time

To sort files by their extensions or creation/modification/accessed time,

* On the Folders panel select the tab
Extensions | to sort the files by their extensions
Creation Time | to sort the files by their creation time
Modification Time | to sort the files by their modification time
Accessed Time | to sort the files by their accessed time

Click to expand/collapse Other ways to sort files by their extensions or creation/modification/accessed time

·Select the disk on Drives panel, select Open Drive Files Sorted By on the Drive menu, and select the respective option,

or

·On the Drives panel, right-click the disk and select Open Drive Files Sorted By on the shortcut menu and select the respective option,

or

·On the Folders panel, right-click the disk letter and select Show Files Sorted By on the shortcut menu and select the respective option,
> R-Studio will show the sorted files in the Folders and Content panels, showing the path to each file:

To return to the conventional view,

* On the Drives panel, right-click the logical disk, select Open Drive Files Sorted By on the shortcut menu, and select Real File System Structure,

or

On the Folders panel, select Show Files Sorted By on the Drive menu and select Real File System Structure

or

Click the Real tab

By finding and marking multiple files using the Find/Mark dialog box

You may find and mark all the files on the entire disk by using Mark matched files in the Find/Mark mode option. You may specify all the necessary search options and mark all the found files. Please note that each find and mark/unmark operation is independent from previous ones. That is, if a file matches the search criteria, it will be marked/unmarked regardless of its previous marked/unmarked state.

For example, if you first mark all doc files, and then all txt files, all doc files remain marked, too. If you then decide to unmark all files smaller than 2 kB, all doc and txt files will stay marked except those that less than 2 kB.


Recover Multiple Files

If R-Studio while recovering files encounters either an already existing file or file with a broken name, normally it will stop working and ask you what to do with the file. If you recover multiple files, that may require you answer a lot of the same questions. You may use Mass File Recovery Options on the Recover dialog box to instruct R-Studio what to do in those cases for all files.

Click to enlarge

Recover (Advanced) dialog box

Click to expand/collapse Advanced file recovery options

File Already Exists | These options instruct R-Studio what to do if there already exists a file with the same name.
Extended options | If this option is selected, more advanced options become accessible to process multiple duplicates of the file.
Prompt | If this option is selected, R-Studio asks the user what to do for each such file. It stops file recovery until it receives the answer.
Rename | If this option is selected, R-Studio adds a File ID to the file name. If a file already exists with the same name and that file ID, a number will be added to th file name and file ID.
Skip | If this option is selected, R-Studio skips all new files with the same name.
Overwrite | If this option is selected, R-Studio overwrites the existing file with the new one.
Overwrite Older | If this option is selected, R-Studio overwrites the existing file with the new one if the existing file is older than the new file. The time stamp used is Modified.
Overwrite Smaller | If this option is selected, R-Studio overwrites the existing file with the new one if the existing file is smaller than the new file. The time stamp used is Modified.
Overwrite Bigger | If this option is selected, R-Studio overwrites the existing file with the new one if the existing file is bigger than the new file. The time stamp used is Modified.
Broken File Name | These options instruct R-Studio what to do if a file to be recovered appears to have an invalid name.
Prompt | If this option is selected, R-Studio shows the standard Broken File Name dialog box for each file with a broken file name. It stops file recovery until it receives the answer.
Rename and change all invalid symbols to: | If this option is selected, R-Studio changes all invalid characters to the character specified.
Skip | If this option is selected, R-Studio skips all files with broken file names.
Hidden Attribute | These options instruct R-Studio what to do if a file to be recovered appears to have the Hidden attribute.
Prompt | If this option is selected, R-Studio asks the user what to do with the attribute. It stops file recovery until it receives the answer.
Remove | If this option is selected, R-Studio removes the Hidden attribute from all files.
Keep | If this option is selected, R-Studio keeps the Hidden attribute for all files.

Extended options

These options give you more flexible ways to process multiple files with the same name. You may compare files by time (Modified) and size, and decide what R-Studio should do with those duplicates. If any of the files has an invalid time, the comparison by time is skipped. In this case, if comparison by size is not active, R-Studio goes to the default action..

Click to enlarge

Recover (Advanced - Extended options) dialog box

Click to expand/collapse Extended advanced file recovery options

First compare time First compare size | These options instruct R-Studio which condition to use first, file time or size.
Compare time Compare size | These options instruct R-Studio to enable comparison by time and size..
Actions | These selectable actions instruct R-Studio what to do if the condition is met.
Empty field | If this option is selected, R-Studio skips the condition.
Prompt | If this option is selected, R-Studio asks the user what to do for each such file. It stops file recovery until it receives the answer.
Rename | If this option is selected, R-Studio adds a File ID to the file name. If a file already exists with the same name and that file ID, a number will be added to th file name and file ID.
Skip | If this option is selected, R-Studio skips all new files with the same name.
Overwrite | If this option is selected, R-Studio overwrites the existing file with the new one.
Time conditions | If the Modified time stamp is invalid, R-Studio will skip the comparison.
Equal time | Two time stamps are the same.
Older | The existing file is older than the new one.i
Newer | The existing file is newer than the new one.i
Size conditions |
Equal size | Two files have the same size.
Smaller | The existing file is smaller than the new one.i
Bigger | The existing file is bigger than the new one.i
By default | The action R-Studio takes when none of the comparison conditions have been met. That may happen when the comparison by size is not enabled.


File Recovery Lists

You may create a file containing a list of files and folder found on a disk/partition. Then such file may be manually edited to specify files to recover and then loaded back into R-Studio. R-Studio will automatically mark the files in this list for recovery. Such file lists recovery are very useful, for example, when it is necessary to have such file lists approved for recovery by someone else who is far away from the computer where R-Studio is running.

You may create file recovery lists for the entire disk or for specific folders. Moreover, you may create a file recovery list for all files within the disk/folder, or for marked files/folders only.

Creating a file recovery list

To create a file recovery list

1 For an entire disk, select Save File Names to File on the File menu, or

Right-click the uppermost folder (higher than Root, usually the letter or the name of the disk) and select Save File Names to File on the shortcut menu.

For a specific folder, right-click the folder and select Save File Names to File on the shortcut menu.
2 Specify the place to save the file recovery list and other necessary options on the Save File Names dialog box
Click to enlarge

Save File Names dialog box

Click to expand/collapse Save File Names options

File name: | Specifies file name of the file recovery list.
Save only marked files/folders from... | If this option is selected, only marked files will be included into the file recovery list.
Save sub folders | If this option is selected, sub folders and their files will also be included into the file recovery list.
File format: | Specifies the file format in which localized file/folder names will be saved, You may select either the UTF-8 or UTF-16 codepage. Also you may write a special BOM header to the file which helps some text editors to understand which codepage is used.

Structure of a file recovery list file created by R-Studio

An example of such a file:

:# PathDelim = \

Files to Delete\

Files to Delete\File_2.pst

Files to Delete\Outlook_recovered_by_R_Mail.pst

Files to Recover\

Files to Recover\$est2.arc

Files to Recover\$est4.arc

Files to Recover\$est5.arc

Files to Recover\$est6.arc

Files to Recover\$est7.arc

Files to Recover\~$pe Test 2.doc

Files to Recover\Outlook.pst

Files to Recover\Outlook_recovered_by_R_Mail.pst

Files to Recover\Picture 113.jpg

Files to Recover\Picture 149.jpg

Files to Recover\Picture 237.jpg

Files to Recover\test1.arc

Files to Recover\test3.arc

Files to Recover\Wipe Test 1.doc

Files to Recover\Wipe Test 2.doc

Files to Recover\Wipe Test 3.doc

Files to Recover\Wipe Test 4.doc

Files to Recover\Wipe Test 5.doc

Files to Recover\Wipe Test 6.doc

:# PathDelim = \ is a parameter specifying a character for path delimitation. You may also specify a Unix-stile delimiter / .

:# PathDelim = \

:# PathDelim = /

In addition, the files from the virtual folders Metafiles, ExtraFoundFiles, etc..., have the following designations:

Metafiles: | ///m/[localized_name_for_Metafiles]/
Extra Found Files: | ///e/[localized_name_for_ExtraFoundFiles]/
Other Virtual Folders: | ///v/[localized_name_for_OtherVirtualFolders]/

For the English language, that will look like:

///m/Metafiles\

///m/Metafiles\$BOOT

///m/Metafiles\$FAT

///m/Metafiles\$FAT0

///m/Metafiles\$FAT1

Editing the file recovery list file

All files included into a file recovery list will be marked when the file will be loaded into R-Studio. So, if you have some files in the file recovery list that doesn't need to be recovered, just delete them from the list. In addition, you may use the following marks to specify some options

:+ | Mark all files and subfolders within the folder.
:* | Mark only files within the folder.
:- | Unmark the file or all files and subfolders within the folder.
:= | Unmark the file or only files within the folder.

processes records in the file consequently. That is, if there are the following lines in the file,

:+Files to Delete\

:-Files to Delete\File_2.pst

the file File_2.pst won't be marked for recovery, while for the lines

:-Files to Delete\File_2.pst

:+Files to Delete\

file File_2.pst will be.

Please note that records for folders without any marks don't affect the file marking. Thus, for the lines

:-Files to Delete\File_2.pst

Files to Delete\

file File_2.pst will not be marked.

Loading the file recovery list

To load a file recovery list into R-Studio,

* Select Load File Names from File and Mark on the File menu and select the file.
> R-Studio will load the file and mark the files accordingly.


Volume Sets and RAIDs

R-Studio detects and processes valid hardware volume sets and RAIDs like regular drives/volumes.

R-Studio can analyze and recover data from software volume sets and RAIDs. If a software volume set or RAID is present in your system, R-Studio detects it, and a Volume sets and RAIDs object appears on the Drives panel. This object can be searched for files, scanned, and files found on it can be recovered the same way as from normal drives/volumes.

If, due to hardware failure, a hardware volume set or RAID cannot be accessed, or due to data loss your system does not recognize a software volume set or RAID, and you know what hard drives were in it, you may create a Virtual volume set or RAID and process it like a real software volume set or RAID or hardware volume set or RAID.

You may find more information on RAID data structure in Wikipedia.

You may turn numerical indexes for objects to distinguish them better while creating virtual RAIDs.

·Volume Sets, Stripe Sets, and Mirrors

·Basic RAID 4 and RAID 5 Operations

·Working with RAID 6 Presets

·Working with RAID6 (Double Xor)

·Working with RAIDs with Parity Delays

·Working with Advanced RAID Layouts

·Nested and Non-Standard RAID Levels

·Various Disk and Volume Managers

·Finding RAID Parameters

·Checking RAID Consistency

·Syntax of a Description File for RAID Configurations

·Description Files for RAID Configurations

·Reverse RAIDs

Managing your own RAID layouts

To save your own RAID layout in the presets

1 Click the More... button on Parents tab and select Save on the shortcut menu.
2 Specify the name for the configuration on the Preset name dialog box.
Click to enlarge

Preset name dialog box

> The new RAID configuration will be saved in the presets

The configurations are stored in the user's RAID layout file. The path and name for this file is specified on the R-Studio Settings dialog box. If no file is specified, R-Studio will ask you to enter the name.

Loading your RAID configuration

If there're objects in the Parents tab, the preset will be applied to them. If the Parents tab is empty, R-Studio will search the disks listed in the Drives tab for the parents in the user's RAID layout file. If the search fails, R-Studio will show the Reference Parents not found message.

To load your RAID configuration

1 Click the More... button on Parents tab and select the preset you want to load
> The new RAID configuration will be loaded

To edit your own RAID configuration

1 Click the More... button on Parents tab and select Edit... on the shortcut menu
2 Select the required configuration on the Edit Block RAID Layout Presets dialog box.
Click to enlarge

Edit Block RAID Layout Presets dialog box

3 Edit the parameters of the configuration and save it
> The new configuration parameters will be saved.

Turning Disks On-Line and Off-Line on-the-fly

You may turn the objects in the virtual RAID or volume set on-line and off-line by selecting/clearing the checkbox on the Parents tab. It may be useful, for example, if you need to see which disk is non-actual in a RAID 5.

Actually, when you turn an object off-line, R-Studio substitutes it with a Missing Disk or Empty Space object.

Missing Disks and Empty Space

If one partition from a hardware volume set or RAID or software volume set or RAID is absent, due to hardware failure, for example, you need to add a virtual missing disk or empty space in order to correctly re-construct the hardware volume set or RAID or software volume set or RAID structure. The missing disk/empty space should be placed in the same place as the missing partition.

Note: R-Studio does not write anything real on the disk. Missing disks/empty space are virtual objects that do not affect actual data on the drive.

To add a Missing disk/Empty space object

1 Select a Volume sets and RAIDs object on the R-Studio's Drives panel
2 Right-click in the Parents tab in the right pane and select Add Missing Disk or Add Empty Space on the shortcut menu or select Add Missing Disk or Add Empty Space on the Create menu. Which object type is necessary, R-Studio decides automatically.

For the Empty space object, Specify its size on the Add Empty Space dialog box.

Click to enlarge

Add Empty Space dialog box

> A Missing Disk or Empty Space object will appear in the Parents tab


Volume Sets, Stripe Sets, and Mirrors

To create a Volume set object

1 Click the Create Virtual RAID button and select Create Virtual Volume set

or select the Create Virtual Volume set on the Create menu

> A Virtual Volume set object will appear on the Drives panel
2 Drag the required partitions from the Drives panel to the Parents tab

Click to expand/collapse Other ways to add objects

·Right-click the Parents tab and select the required partition from the shortcut menu,

or

·Right-click the partition on the Drives panel, select Add to RAID on the shortcut menu, and select the RAID object you want to add the partition to.

Note: Objects should be placed in the same order as they were in the original volume set. If this order is incorrect, you must change it by dragging the parents to place them in the correct order.

> The Virtual volume set or RAIDs object can now be processed like regular drives/volumes

If R-Studio detects a valid file system on the newly created RAID object, a partition object will appear on the Drives panel.

To create a Stripe set object (RAID 0)

1 Click the Create Virtual RAID button and select Create Virtual Block RAID & Autodetect

or select the Create Virtual Block RAID & Autodetect on the Create menu

> A Virtual Block RAID object will appear on the Drives panel
2 Select RAID 0 (Stripe set) on the RAID type
3 Drag the required partitions from the Drives panel to the Parents tab

Click to expand/collapse Other ways to add objects

·Right-click the Parents tab and select the required partition from the shortcut menu,

or

·Right-click the partition on the Drives panel, select Add to RAID on the shortcut menu, and select the RAID object you want to add the partition to.

You may either make R-Studio to process your changes immediately or wait until you finish editing the RAID layout. Select or clear the Apply changes immediately checkbox on the Parents tab. Click the Apply button to apply the changes when are you through.

Note: Objects should be placed in the same order as they were in the original volume set. If this order is incorrect, you must change it by dragging the parents to place them in the correct order.

Object control buttons

Locate | Click this button to locate the selected object in the Drives panel.
Add Empty Space/Add Missing Disk | Click this button to add an empty space or missing disk object to the RAID
Remove | Click this button to remove the selected object from the RAID
Move Up | Click this button to move up the selected object in the RAID
Move Down | Click this button to move down the selected object in the RAID
Synchronize Offsets | Click this button to make the offsets the same for all objects in the RAID

The Block size and Offset (in sectors) parameters must be set the same as for the original volume set.

You also need to specify Block order. You may select it on the Blocks order drop-down or shortcut menu.

If the those parameters are not correct, data on the parents will not be damaged, but they cannot be recovered.

> The Virtual Block RAID object can now be processed like regular drives/volumes

If R-Studio detects a valid file system on the newly created RAID object, a partition object will appear on the Drives panel.

The Description Files for RAID Configurations topic shows the RAID description file for this RAID configuration.

You also may check the RAID consistency, if necessary. See the Checking RAID Consistency help page for details.

To create a Mirror set object (RAID 1)

1 Click the Create Virtual RAID button and select Create Virtual Mirror

or select the Create Virtual Mirror on the Create menu

> A Virtual Mirror object will appear on the Drives panel
2 Drag the required partitions from the Drives panel to the Parents tab

Click to expand/collapse Other ways to add objects

·Right-click the Parents tab and select the required partition from the shortcut menu,

or

·Right-click the partition on the Drives panel, select Add to RAID on the shortcut menu, and select the RAID object you want to add the partition to.
> The Virtual Mirror object can now be processed like regular drives/volumes

If R-Studio detects a valid file system on the newly created RAID object, a partition object will appear on the Drives panel.


Basic RAID 4 and RAID 5 Operations

RAID 4 and RAID 5 are much similar. You may create and edit a RAID 4 object the same way as a RAID 5 one.

To create a RAID 5 object

1 Click the Create Virtual RAID button and select Create Virtual Block RAID & Autodetect

or select the Create Virtual Block RAID & Autodetect on the Create menu

> A Virtual Block RAID object will appear on the Drives panel
2 Select RAID 5 on the RAID type
3 Drag the required partitions from the Drives panel to the Parents tab

Click to expand/collapse Other ways to add objects

·Right-click the Parents tab and select the required partition from the shortcut menu,

or

·Right-click the partition on the Drives panel, select Add to RAID on the shortcut menu, and select the RAID object you want to add the partition to.

You may either make R-Studio to process your changes immediately or wait until you finish editing the RAID layout. Select or clear the Apply changes immediately checkbox on the Parents tab. Click the Apply button to apply the changes when are you through.

Note: Objects should be placed in the same order as they were in the original RAID 5. If this order is incorrect, you must change it by dragging the parents to place them in the correct order.

Object control buttons

Locate | Click this button to locate the selected object in the Drives panel.
Add Empty Space/Add Missing Disk | Click this button to add an empty space or missing disk object to the RAID
Remove | Click this button to remove the selected object from the RAID
Move Up | Click this button to move up the selected object in the RAID
Move Down | Click this button to move down the selected object in the RAID
Synchronize Offsets | Click this button to make the offsets the same for all objects in the RAID

The RAID block size and Offset (in sectors) parameters must be set the same as for the original RAID 5.

You also need to specify Block order for virtual RAID 5. You may select it on the Block order drop-down or shortcut menu.

If the those parameters are not correct, data on the parents will not be damaged, but files from the RAID 5 cannot be recovered.

Note: You may check how correctly you have reconstructed the original RAID 5. Find a file and preview it. If the file appears correct, you have created a correct RAID 5 layout.

If your RAID 5 has an unusual configuration, you may create them manually. See Working with Advanced RAID Layouts for details.

> The RAID 5 object can now be processed like regular drives/volumes

If R-Studio detects a valid file system on the newly created RAID object, a partition object will appear on the Drives panel.

The Description Files for RAID Configurations topic shows the RAID description file for this RAID configuration.

You also may check the RAID consistency, if necessary. See the Checking RAID Consistency help page for details.

Creating and saving your own RAID 5 configuration

You may create and save your own RAID configurations for non-standard RAIDs. You may specify Offset, Block order/size and Row count. See Working with Advanced RAID 5 Layouts for details.


Working with RAID 6 Presets

R-Studio allows you to create and process RAID 6 layouts. You may use either presets for several RAID 6 layouts, or use your own custom ones.

R-Studio provides presets for the following RAID 6 layouts:

Reed-Solomon

Left Synchronous (standard),

Left Asynchronous (continuous),

Right Synchronous

Right Asynchronous

Creating a RAID 6 object from a preset:

We will use the Reed-Solomon (Left Synchronous (standard)) preset as an example.

To create a RAID 6 object

1 Click the Create Virtual RAID button and select Create Virtual Block RAID & Autodetect

or select the Create Virtual Block RAID & Autodetect on the Create menu

> A Virtual Block RAID object will appear on the Drives panel
2 Select RAID 6/Reed-Solomon on the RAID type
3 Drag the required partitions from the Drives panel to the Parents tab

Click to expand/collapse Other ways to add objects

·Right-click the Parents tab and select the required partition from the shortcut menu,

or

·Right-click the partition on the Drives panel, select Add to RAID on the shortcut menu, and select the RAID object you want to add the partition to.

You may either make R-Studio to process your changes immediately or wait until you finish editing the RAID layout. Select or clear the Apply changes immediately checkbox on the Parents tab. Click the Apply button to apply the changes when are you through.

Note: Objects should be placed in the same order as they were in the original volume set. If this order is incorrect, you must change it by dragging the parents to place them in the correct order.

Object control buttons

Locate | Click this button to locate the selected object in the Drives panel.
Add Empty Space/Add Missing Disk | Click this button to add an empty space or missing disk object to the RAID
Remove | Click this button to remove the selected object from the RAID
Move Up | Click this button to move up the selected object in the RAID
Move Down | Click this button to move down the selected object in the RAID
Synchronize Offsets | Click this button to make the offsets the same for all objects in the RAID

The RAID block size and Offset (in sectors) parameters must be set the same as for the original volume set.

You also need to specify Blocks order (Left Synchronous (standard) for our case) for virtual RAID 6. You may select it on the Blocks order drop-down or shortcut menu.

If the those parameters are not correct, data on the parents will not be damaged, but they cannot be recovered.

Note: You may check how correctly you have reconstructed the original volume set or RAID. Find a file and preview it. If the file appears correct, you have created a correct RAID layout.

> The Virtual Block RAID object can now be processed like regular drives/volumes

If R-Studio detects a valid file system on the newly created RAID object, a partition object will appear on the Drives panel. The Description Files for RAID Configurations topic shows the RAID description file for this RAID configuration.

You also may check the RAID consistency, if necessary. See the Checking RAID Consistency help page for details.


Working with RAID6 (Double Xor) Presets

R-Studio allows you to create and process RAID 6 Double Xor layouts with the following presets:

EVENODD

RAID DP

X-Code(2)

Adaptec 3805

In addition you may create your own RAID 6 configurations.

Creating a RAID 6 (Double Xor) object from a preset:

We will use the EVENODD preset as an example.

To create a RAID 6 (Double Xor) object

1 Click the Create Virtual RAID button and select Create Virtual Block RAID & Autodetect

or select the Create Virtual Block RAID & Autodetect on the Create menu

> A Virtual Block RAID object will appear on the Drives panel
2 Select RAID 6 / Double Xor on the RAID type
3 Drag the required partitions from the Drives panel to the Parents tab

Click to expand/collapse Other ways to add objects

·Right-click the Parents tab and select the required partition from the shortcut menu,

or

·Right-click the partition on the Drives panel, select Add to RAID on the shortcut menu, and select the RAID object you want to add the partition to.

You may either make R-Studio to process your changes immediately or wait until you finish editing the RAID layout. Select or clear the Apply changes immediately checkbox on the Parents tab. Click the Apply button to apply the changes when are you through.

Note: Objects should be placed in the same order as they were in the original volume set. If this order is incorrect, you must change it by dragging the parents to place them in the correct order.

Object control buttons

Locate | Click this button to locate the selected object in the Drives panel.
Add Empty Space/Add Missing Disk | Click this button to add an empty space or missing disk object to the RAID
Remove | Click this button to remove the selected object from the RAID
Move Up | Click this button to move up the selected object in the RAID
Move Down | Click this button to move down the selected object in the RAID
Synchronize Offsets | Click this button to make the offsets the same for all objects in the RAID

The RAID block size and Offset (in sectors) parameters must be set the same as for the original volume set.

You also need to specify Blocks order (EVENODD for our case) for virtual RAID 6 (Double Xor). You may select it on the Blocks order drop-down or shortcut menu.

If the those parameters are not correct, data on the parents will not be damaged, but they cannot be recovered.

Note: You may check how correctly you have reconstructed the original volume set or RAID. Find a file and preview it. If the file appears correct, you have created a correct RAID layout.

> The Virtual Block RAID object can now be processed like regular drives/volumes

If R-Studio detects a valid file system on the newly created RAID object, a partition object will appear on the Drives panel. The Description Files for RAID Configurations topic shows the RAID description file for this RAID configuration.

You also may check the RAID consistency, if necessary. See the Checking RAID Consistency help page for details.


Working with RAIDs with Parity Delays

R-Studio allows you to create RAIDs with parity delays (any level that allows that). For example, let us create a RAID 5 the parity delays with the following layout:

·Three disks,

·Delay=16

·Block size: 16 KB

·Offset: 1088 sectors (544 KB)

·Block order: Left Asynchronous (Continuous)

Block order table:

 | A | B | C | Delay=16
1 | 1 | 2 | PD
2 | 3 | 4 | PD
3 | 5 | 6 | PD
4 | 7 | 8 | PD
5 | 9 | 10 | PD
6 | 11 | 12 | PD
7 | 13 | 14 | PD
8 | 15 | 16 | PD
9 | 17 | 18 | PD
10 | 19 | 20 | PD
11 | 21 | 22 | PD
12 | 23 | 24 | PD
13 | 25 | 26 | PD
14 | 27 | 28 | PD
15 | 29 | 30 | PD
16 | 31 | 32 | PD
17 | 33 | PD | 34 | Delay=16
18 | 35 | PD | 36
19 | 37 | PD | 38
20 | 39 | PD | 40
21 | 41 | PD | 42
22 | 43 | PD | 44
23 | 45 | PD | 46
24 | 47 | PD | 48
25 | 49 | PD | 50
26 | 51 | PD | 52
27 | 53 | PD | 54
28 | 55 | PD | 56
29 | 57 | PD | 58
30 | 59 | PD | 60
31 | 61 | PD | 62
32 | 63 | PD | 64
33 | PD | 65 | 66 | Delay=16
34 | PD | 67 | 68
35 | PD | 69 | 70
36 | PD | 71 | 72
37 | PD | 73 | 74
38 | PD | 75 | 76
39 | PD | 77 | 78
40 | PD | 79 | 80
41 | PD | 81 | 82
42 | PD | 83 | 84
43 | PD | 85 | 86
44 | PD | 87 | 88
45 | PD | 89 | 90
46 | PD | 91 | 92
47 | PD | 93 | 94
48 | PD | 95 | 96

To create such RAID 5,

1 Click the Create virtual volume sets or RAIDs button and select Create Virtual Block RAID & Autodetect

or select Create Virtual Block RAID & Autodetect on the Create menu

Check that the Apply changes immediately check box is clear on the Parents tab. This will prevent R-Studio from trying to start processing the RAID configuration until you specify it completely.

2 Drug the required objects from the Drives pane to the Parents tab and select RAID 5 on the RAID type

Click to expand/collapse Other ways to add objects

·Right-click the Parents tab and select the required partition from the shortcut menu,

or

·Right-click the partition on the Drives panel, select Add to RAID on the shortcut menu, and select the RAID object you want to add the partition to.

These objects may be hard drives, logical disks, or images. Check that the objects are correctly placed.

Note: Objects should be placed in the same order as they were in the original RAID 5. If this order is incorrect, you must change it by dragging the parents to place them in the correct order.

Object control buttons

Locate | Click this button to locate the selected object in the Drives panel.
Add Empty Space/Add Missing Disk | Click this button to add an empty space or missing disk object to the RAID
Remove | Click this button to remove the selected object from the RAID
Move Up | Click this button to move up the selected object in the RAID
Move Down | Click this button to move down the selected object in the RAID
Synchronize Offsets | Click this button to make the offsets the same for all objects in the RAID
3 Specify the Block size and Offset parameters on the Parents tab

Disregard the Block order field.

4 Specify the parity delay number in the Parity delay control on the Parents tab.

The number of rows will change to 48.

If necessary, adjust the First parity parameter

By default, this parameter is set equal to Parity delay. By changing it, you may "shift" the block order table. For example, when the First parity parameter is set as 1 for the RAID 5 of 3 disks with Parity delay of 3., the block order table will be the following:

Click to enlarge

First parity parameter
5 Select Left Asynchronous (Continuous) on the Block Order Field and click the Apply button on the Parents tab
> The created Virtual Block RAID 1 object can now be processed like regular drives/volumes

If R-Studio detects a valid file system on this RAID object, a partition object will appear on the Drives panel.

The Description Files for RAID Configurations topic shows the RAID description file for this RAID configuration.

You also may check the RAID consistency, if necessary. See the Checking RAID Consistency help page for details.


Working with Advanced RAID Layouts

R-Studio allows you to create and process very complex custom RAID layouts.

Advanced RAID 5

For example, let us create a RAID 5 with the following layout:

·Three disks,

·Block size: 4 KB

·Offset: 32768 sectors (64 KB)

·Block order:

 | A | B | C
1 | PD | 1 | 2
2 | PD | 3 | 4
3 | PD | 5 | 6
4 | 7 | PD | 8
5 | 9 | PD | 10
6 | 11 | PD | 12
7 | 13 | 14 | PD
8 | 15 | 16 | PD
9 | 17 | 18 | PD

To create such RAID 5,

1 Click the Create virtual volume sets or RAIDs button and select Create Virtual Block RAID & Autodetect

or select Create Virtual Block RAID & Autodetect on the Create menu

Check that the Apply changes immediately check box is clear on the Parents tab. This will prevent R-Studio from trying to start processing the RAID configuration until you specify it completely.

2 Drug the required objects from the Drives pane to the Parents tab and select Custom on the RAID type

Click to expand/collapse Other ways to add objects

·Right-click the Parents tab and select the required partition from the shortcut menu,

or

·Right-click the partition on the Drives panel, select Add to RAID on the shortcut menu, and select the RAID object you want to add the partition to.

These objects may be hard drives, logical disks, or images. Check that the objects are correctly placed.

Object control buttons

Locate | Click this button to locate the selected object in the Drives panel.
Add Empty Space/Add Missing Disk | Click this button to add an empty space or missing disk object to the RAID
Remove | Click this button to remove the selected object from the RAID
Move Up | Click this button to move up the selected object in the RAID
Move Down | Click this button to move down the selected object in the RAID
Synchronize Offsets | Click this button to make the offsets the same for all objects in the RAID
3 Specify the Block size and Offset parameters on the Parents tab

Disregard the Block order for field.

4 Manually enter 9 to Number of rows on the Parents tab

The Block order table will expand.

5 Enter the block order in the table on the Parents tab

Use the RAID Sequence window to move from one row to another.

Click to enlarge

Sequences window

Using the keyboard: arrow keys to navigate, digit and p keys to enter the block order.

Using the mouse: right-click the cell and select the number or parity from the shortcut menu. If the block table is too large, you better use the keyboard to enter the digits.

Corrections: R-Studio will tell you if some digits are not correct. Navigate to the required cell and enter the correct value. Use the Delete key to clear a cell.

Clear the table: Right-click the table and select Clear all on the shortcut menu.

6 When you finishes entering the information, click the Apply button on the Parents tab
> The created Virtual Block RAID 1 object can now be processed like regular drives/volumes

If R-Studio detects a valid file system on this RAID object, a partition object will appear on the Drives panel.

The Description Files for RAID Configurations topic shows the RAID description file for this RAID configuration.

You also may check the RAID consistency, if necessary. See the Checking RAID Consistency help page for details.

Advanced RAID 5

Another example is a RAID with the following layout, similar to that used in Mac Pro internal RAID cards with 4 hard drives.

·Four disks,

·Block size: 512 KB (1024 sectors)

·Offset: 32768 sectors (64 KB)

·Block order:

Sequence 1 |  |  | Sequence 2 |  |  | Sequence 3 |  |  | Sequence 4
A | B | C | D | A | B | C | D | A | B | C | D
PD | 1 | 2 | PD | 3 | 4 | PD | 5 | 6 | PD | 7 | 8

As you see, this layout cannot be fit directly into a standard 2D block order table. Still, it's possible to create such RAID layout using the RAID Sequence window.

To create such RAID,

1 Click the Create virtual volume sets or RAIDs button and select Create Virtual Block RAID & Autodetect

or select Create Virtual Block RAID & Autodetect on the Create menu

Check that the Apply changes immediately check box is clear on the Parents tab. This will prevent R-Studio from trying to start processing the RAID configuration until you specify it completely.

2 Drug the required objects from the Drives pane to the Parents tab and select Custom on the RAID type

Click to expand/collapse Other ways to add objects

·Right-click the Parents tab and select the required partition from the shortcut menu,

or

·Right-click the partition on the Drives panel, select Add to RAID on the shortcut menu, and select the RAID object you want to add the partition to.

These objects may be hard drives, logical disks, or images. Check that the objects are correctly placed.

Object control buttons

Locate | Click this button to locate the selected object in the Drives panel.
Add Empty Space/Add Missing Disk | Click this button to add an empty space or missing disk object to the RAID
Remove | Click this button to remove the selected object from the RAID
Move Up | Click this button to move up the selected object in the RAID
Move Down | Click this button to move down the selected object in the RAID
Synchronize Offsets | Click this button to make the offsets the same for all objects in the RAID
3 Specify the Block size and Offset parameters on the Parents tab

Disregard the Block order field.

4 Manually enter 3 to Number of rows on the Parents tab and change Block order to Custom
5 Right-click the RAID Sequence window and select Remove All. Manually enter 3 to Number of rows on the Parents tab
6 Right-click Cell 1 in the block order table and select Create New Sequence.
7 Right-click Cell 2 in the block order table and select Add to Sequence, do that for Cell 3, too.
8 Right-click Cell 4 in the block order table and select Create New Sequence.
9 Right-click Cell 5 in the block order table and select Add to Sequence, do that for Cell 6, too.

Continue those steps for the rest of the table until the RAID Sequence window will have 4 sequences of 3 disks:

Click to enlarge

Sequences window

10 Select the first line in the RAID Sequence window, right-click Cell 1 in the block order table, and select Parity of Data.

If any unnecessary sequences appear, right-click them in the RAID Sequence window, and select Remove.

11 Right-click Cell 2 in the block order table and select 1, do that for Cell 3 selecting 2.

If any unnecessary sequences appear, right-click them in the RAID Sequence window, and select Remove.

12 Move to the next sequence in the RAID Sequence window and repeat the procedure for cells 4, 5, and 6.

Do that for the rest of the sequences until you fill all cells in the block order table in the Parents tab.

> The created Virtual Block RAID 1 object can now be processed like regular drives/volumes

If R-Studio detects a valid file system on this RAID object, a partition object will appear on the Drives panel.

The Description Files for RAID Configurations topic shows the RAID description file for this RAID configuration.

You also may check the RAID consistency, if necessary. See the Checking RAID Consistency help page for details.

Advanced RAID 6 Layout

For example, let us create a RAID 6 with the following layout:

·Five disks,

·Block size: 64 KB

·Offset: 0

·Block order:

 | A | B | C | D | E
1 | RS | 1 | 2 | 3 | PD
2 | 4 | 5 | 6 | PD | RS
3 | 8 | 9 | PD | RS | 7
4 | 12 | PD | RS | 10 | 11
5 | PD | RS | 13 | 14 | 15
6 | PA | PA | PA | PA | PA

where

PD is parity of data;

PA is parity of all;

RS is Reed-Solomon;

Rows from 1 to 5 use two types of error correction: parity of data (xor) and Reed-Solomon. That is, row 1 uses blocks A1 and E1, row 2 uses blocks D2 and E2, and so on.

Row 6 is used for error correction for columns. That is, column A uses block A6, column B uses B6, and so on. Parity of all is used for error correction.

1 Click the Create virtual volume sets or RAIDs button and select Create Virtual Block RAID & Autodetect

or select Create Virtual Block RAID & Autodetect on the Create menu

Check that the Apply changes immediately check box is clear on the Parents tab. This will prevent R-Studio from trying to start processing the RAID configuration until you specify it completely.

2 Drug the required objects from the Drives pane to the Parents tab and select Custom on the RAID type

Click to expand/collapse Other ways to add objects

·Right-click the Parents tab and select the required partition from the shortcut menu,

or

·Right-click the partition on the Drives panel, select Add to RAID on the shortcut menu, and select the RAID object you want to add the partition to.

These objects may be hard drives, logical disks, or images. Check that the objects are correctly placed.

Object control buttons

Locate | Click this button to locate the selected object in the Drives panel.
Add Empty Space/Add Missing Disk | Click this button to add an empty space or missing disk object to the RAID
Remove | Click this button to remove the selected object from the RAID
Move Up | Click this button to move up the selected object in the RAID
Move Down | Click this button to move down the selected object in the RAID
Synchronize Offsets | Click this button to make the offsets the same for all objects in the RAID
3 Specify the Block size and Offset parameters on the Parents tab

Disregard the Block order parameter.

4 Manually enter 6 to Number of rows on the Parents tab
5 Enter the block order in the table on the Parents tab

You may enter either a block number, or an error correction block of the following types:

PD | Parity of data
PA | Parity of all
RS | Reed-Solomon
SP | Spare Part
I | Ignore

Note: You should specify an error correction block only when the correct sequence is selected on the RAID Sequences window.

Click to enlarge

Sequences window

Using the keyboard: arrow keys to navigate, digit, and rs, pd, pa, u, i keys to enter the block order.

Using the mouse: right-click the cell and select the number or parity from the shortcut menu. If the block table is too large, you better use the keyboard to enter the digits.

For the rows:

Select the required row sequence on the RAID Sequences window, select the cell on the RAID table, and enter the required value. R-Studio automatically generates those sequences when you add RAID parents.

For the columns and arbitrary sequences:

You need to create those sequences and add the respective blocks to it manually.

To create a sequence: Click Add empty on the RAID Sequences window or select Create New Sequence on the shortcut menu on the Parents tab.

To add a block to a sequence: Right-click the respective cell and select Add To Sequence on the shortcut menu on the Parents tab.

To remove a block to a sequence: Right-click the respective cell and select Remove From Sequence on the shortcut menu on the Parents tab.

6 When you finishes entering the information, click the Apply button on the Parents tab
> The created Virtual Block RAID 1 object can now be processed like regular drives/volumes

If R-Studio detects a valid file system on this RAID object, a partition object will appear on the Drives panel.

The Description Files for RAID Configurations topic shows the RAID description file for this RAID configuration.

You also may check the RAID consistency, if necessary. See the Checking RAID Consistency help page for details.


Nested and Non-Standard RAID Levels

R-Studio can work with various nested and non-standard RAID levels. Currently, the following RAID levels are supported:

·RAID10 (1+0)

·RAID1E

·RAID5E

·RAID5EE

·RAID6E


RAID10 (1+0)

A RAID 10 (or 1+0) is a stripe of mirrors. Its block order can be represented as:

 | A | B | C | D
1 | 1 | 1 | 2 | 2

To create a RAID 10 object

1 Click the Create Virtual RAID button and select Create Virtual Block RAID & Autodetect

or select the Create Virtual Block RAID & Autodetect on the Create menu

> A Virtual Block RAID object will appear on the Drives panel
2 Drag the required partitions from the Drives panel to the Parents tab

Click to expand/collapse Other ways to add objects

·Right-click the Parents tab and select the required partition from the shortcut menu,

or

·Right-click the partition on the Drives panel, select Add to RAID on the shortcut menu, and select the RAID object you want to add the partition to.
3 Select RAID 10 on the RAID type

You may either make R-Studio to process your changes immediately or wait until you finish editing the RAID layout. Select or clear the Apply changes immediately checkbox on the Parents tab. Click the Apply button to apply the changes when are you through.

Note: Objects should be placed in the same order as they were in the original RAID 10. If this order is incorrect, you must change it by dragging the parents to place them in the correct order.

Object control buttons

Locate | Click this button to locate the selected object in the Drives panel.
Add Empty Space/Add Missing Disk | Click this button to add an empty space or missing disk object to the RAID
Remove | Click this button to remove the selected object from the RAID
Move Up | Click this button to move up the selected object in the RAID
Move Down | Click this button to move down the selected object in the RAID
Synchronize Offsets | Click this button to make the offsets the same for all objects in the RAID

The RAID block size and Offset (in sectors) parameters must be set the same as for the original RAID 10.

You also need to specify Block order for virtual RAID 10. You may select it on the Block order drop-down or shortcut menu.

If the those parameters are not correct, data on the parents will not be damaged, but files from the RAID 10 cannot be recovered.

Note: You may check how correctly you have reconstructed the original RAID 10. Find a file and preview it. If the file appears correct, you have created a correct RAID 10 layout.

> The RAID 10 object can now be processed like regular drives/volumes

If R-Studio detects a valid file system on the newly created RAID object, a partition object will appear on the Drives panel.

The Description Files for RAID Configurations topic shows the RAID description file for this RAID configuration.

You also may check the RAID consistency, if necessary. See the Checking RAID Consistency help page for details.


RAID1E

RAID 1E is utilizes both the mirroring and striping: data is striped across all drives, as in RAID 0. Additionally, a copy of each stripe is stored on a different drive, as in RAID 1. Its block order can be represented as:

 | A | B | C
1 | 1 | 1 | 2
2 | 2 | 3 | 3

To create a RAID 1E object

1 Click the Create Virtual RAID button and select Create Virtual Block RAID & Autodetect

or select the Create Virtual Block RAID & Autodetect on the Create menu

> A Virtual Block RAID object will appear on the Drives panel
2 Drag the required partitions from the Drives panel to the Parents tab

Click to expand/collapse Other ways to add objects

·Right-click the Parents tab and select the required partition from the shortcut menu,

or

·Right-click the partition on the Drives panel, select Add to RAID on the shortcut menu, and select the RAID object you want to add the partition to.
3 Select RAID 1E on the RAID type

You may either make R-Studio to process your changes immediately or wait until you finish editing the RAID layout. Select or clear the Apply changes immediately checkbox on the Parents tab. Click the Apply button to apply the changes when are you through.

Note: Objects should be placed in the same order as they were in the original RAID 1E. If this order is incorrect, you must change it by dragging the parents to place them in the correct order.

Object control buttons

Locate | Click this button to locate the selected object in the Drives panel.
Add Empty Space/Add Missing Disk | Click this button to add an empty space or missing disk object to the RAID
Remove | Click this button to remove the selected object from the RAID
Move Up | Click this button to move up the selected object in the RAID
Move Down | Click this button to move down the selected object in the RAID
Synchronize Offsets | Click this button to make the offsets the same for all objects in the RAID

The RAID block size and Offset (in sectors) parameters must be set the same as for the original RAID 1E.

You also need to specify Block order for virtual RAID 1E You may select it on the Block order drop-down or shortcut menu.

If the those parameters are not correct, data on the parents will not be damaged, but files from the RAID 1E cannot be recovered.

Note: You may check how correctly you have reconstructed the original RAID 1E. Find a file and preview it. If the file appears correct, you have created a correct RAID 1E layout.

> The RAID 1E object can now be processed like regular drives/volumes

If R-Studio detects a valid file system on the newly created RAID object, a partition object will appear on the Drives panel.

The Description Files for RAID Configurations topic shows the RAID description file for this RAID configuration.

You also may check the RAID consistency, if necessary. See the Checking RAID Consistency help page for details.


RAID5E

RAID 5E (where E stands for Enhanced) is a RAID 5 layout with an integrated hot-spare drive, where the spare drive is an active part of the block rotation scheme. An example of such RAID layout is in the table below:

 | A | B | C | D
1 | 1 | 2 | 3 | PD
2 | 5 | 6 | PD | 4
3 | 9 | PD | 7 | 8
4 | PD | 10 | 11 | 12
5 | SP | SP | SP | SP

where PD and SP stand for Parity of Data and Spare Part.

To create a RAID 5E object

1 Click the Create Virtual RAID button and select Create Virtual Block RAID & Autodetect

or select the Create Virtual Block RAID & Autodetect on the Create menu

> A Virtual Block RAID object will appear on the Drives panel
2 Drag the required partitions from the Drives panel to the Parents tab

Click to expand/collapse Other ways to add objects

·Right-click the Parents tab and select the required partition from the shortcut menu,

or

·Right-click the partition on the Drives panel, select Add to RAID on the shortcut menu, and select the RAID object you want to add the partition to.
3 Select RAID 5E on the RAID type

You may either make R-Studio to process your changes immediately or wait until you finish editing the RAID layout. Select or clear the Apply changes immediately checkbox on the Parents tab. Click the Apply button to apply the changes when are you through.

Note: Objects should be placed in the same order as they were in the original RAID 5E. If this order is incorrect, you must change it by dragging the parents to place them in the correct order.

Object control buttons

Locate | Click this button to locate the selected object in the Drives panel.
Add Empty Space/Add Missing Disk | Click this button to add an empty space or missing disk object to the RAID
Remove | Click this button to remove the selected object from the RAID
Move Up | Click this button to move up the selected object in the RAID
Move Down | Click this button to move down the selected object in the RAID
Synchronize Offsets | Click this button to make the offsets the same for all objects in the RAID

The RAID block size and Offset (in sectors) parameters must be set the same as for the original RAID 5E.

You also need to specify Block order for virtual RAID 5E You may select it on the Block order drop-down or shortcut menu.

If the those parameters are not correct, data on the parents will not be damaged, but files from the RAID 5E cannot be recovered.

Note: You may check how correctly you have reconstructed the original RAID 5E. Find a file and preview it. If the file appears correct, you have created a correct RAID 5E layout.

> The RAID 5E object can now be processed like regular drives/volumes

If R-Studio detects a valid file system on the newly created RAID object, a partition object will appear on the Drives panel.

The Description Files for RAID Configurations topic shows the RAID description file for this RAID configuration.

You also may check the RAID consistency, if necessary. See the Checking RAID Consistency help page for details.


RAID5EE

RAID 5EE (where E stands for Enhanced) is a RAID 5 layout with an integrated hot-spare drive, where the spare drive is an active part of the block rotation scheme. An example of such RAID layout is in the table below:

 | A | B | C | D
1 | 1 | 2 | SP | PD
2 | 4 | SP | PD | 3
3 | SP | PD | 5 | 6
4 | PD | 7 | 8 | SP

where PD and SP stand for Parity of Data and Spare Part.

To create a RAID 5EE object

1 Click the Create Virtual RAID button and select Create Virtual Block RAID & Autodetect

or select the Create Virtual Block RAID & Autodetect on the Create menu

> A Virtual Block RAID object will appear on the Drives panel
2 Drag the required partitions from the Drives panel to the Parents tab

Click to expand/collapse Other ways to add objects

·Right-click the Parents tab and select the required partition from the shortcut menu,

or

·Right-click the partition on the Drives panel, select Add to RAID on the shortcut menu, and select the RAID object you want to add the partition to.
3 Select RAID 5EE on the RAID type

You may either make R-Studio to process your changes immediately or wait until you finish editing the RAID layout. Select or clear the Apply changes immediately checkbox on the Parents tab. Click the Apply button to apply the changes when are you through.

Note: Objects should be placed in the same order as they were in the original RAID 5EE. If this order is incorrect, you must change it by dragging the parents to place them in the correct order.

Object control buttons

Locate | Click this button to locate the selected object in the Drives panel.
Add Empty Space/Add Missing Disk | Click this button to add an empty space or missing disk object to the RAID
Remove | Click this button to remove the selected object from the RAID
Move Up | Click this button to move up the selected object in the RAID
Move Down | Click this button to move down the selected object in the RAID
Synchronize Offsets | Click this button to make the offsets the same for all objects in the RAID

The RAID block size and Offset (in sectors) parameters must be set the same as for the original RAID 5EE.

You also need to specify Block order for virtual RAID 5EE You may select it on the Block order drop-down or shortcut menu.

If the those parameters are not correct, data on the parents will not be damaged, but files from the RAID 5EE cannot be recovered.

Note: You may check how correctly you have reconstructed the original RAID 5EE. Find a file and preview it. If the file appears correct, you have created a correct RAID 5EE layout.

> The RAID 5EE object can now be processed like regular drives/volumes

If R-Studio detects a valid file system on the newly created RAID object, a partition object will appear on the Drives panel.

The Description Files for RAID Configurations topic shows the RAID description file for this RAID configuration.

You also may check the RAID consistency, if necessary. See the Checking RAID Consistency help page for details.


RAID6E

RAID 6E (where E stands for Enhanced) is a RAID 6 layout with an integrated hot-spare drive, where the spare drive is an active part of the block rotation scheme. An example of such RAID layout is in the table below:

 | A | B | C | D | E | F
1 | RS | 1 | 2 | 3 | 4 | PD
2 | 5 | 6 | 7 | 8 | PD | RS
3 | 10 | 11 | 12 | PD | RS | 9
4 | 15 | 16 | PD | RS | 13 | 14
5 | 20 | PD | RS | 17 | 18 | 19
6 | PD | RS | 21 | 22 | 23 | 24
7 | SP | SP | SP | SP | SP | SP

where RS, PD and SP stand for Reed-Solomon, Parity of Data, and Spare Part, respectively.

To create a RAID 6E object

1 Click the Create Virtual RAID button and select Create Virtual Block RAID & Autodetect

or select the Create Virtual Block RAID & Autodetect on the Create menu

> A Virtual Block RAID object will appear on the Drives panel
2 Drag the required partitions from the Drives panel to the Parents tab

Click to expand/collapse Other ways to add objects

·Right-click the Parents tab and select the required partition from the shortcut menu,

or

·Right-click the partition on the Drives panel, select Add to RAID on the shortcut menu, and select the RAID object you want to add the partition to.
3 Select RAID 6E on the RAID type

You may either make R-Studio to process your changes immediately or wait until you finish editing the RAID layout. Select or clear the Apply changes immediately checkbox on the Parents tab. Click the Apply button to apply the changes when are you through.

Note: Objects should be placed in the same order as they were in the original RAID 6E. If this order is incorrect, you must change it by dragging the parents to place them in the correct order.

Object control buttons

Locate | Click this button to locate the selected object in the Drives panel.
Add Empty Space/Add Missing Disk | Click this button to add an empty space or missing disk object to the RAID
Remove | Click this button to remove the selected object from the RAID
Move Up | Click this button to move up the selected object in the RAID
Move Down | Click this button to move down the selected object in the RAID
Synchronize Offsets | Click this button to make the offsets the same for all objects in the RAID

The RAID block size and Offset (in sectors) parameters must be set the same as for the original RAID 6E.

You also need to specify Block order for virtual RAID 6E You may select it on the Block order drop-down or shortcut menu.

If the those parameters are not correct, data on the parents will not be damaged, but files from the RAID 6E cannot be recovered.

Note: You may check how correctly you have reconstructed the original RAID 6E. Find a file and preview it. If the file appears correct, you have created a correct RAID 6E layout.

> The RAID 6E object can now be processed like regular drives/volumes

If R-Studio detects a valid file system on the newly created RAID object, a partition object will appear on the Drives panel.

The Description Files for RAID Configurations topic shows the RAID description file for this RAID configuration.

You also may check the RAID consistency, if necessary. See the Checking RAID Consistency help page for details.


Various Disk and Volume Managers

R-Studio can work with objects created by various disk and volume managers. Currently, the following managers are supported:

·Windows Dynamic Disks

·Windows Storage Spaces

·Apple RAIDs

·Logical Volume Manager (LVM and LVM2)

R-Studio can automatically recognize and add their physical components, component images, or the user can manually add the components when their data is damaged so severely that R-Studio cannot recognize them.


Windows Dynamic Disks

R-Studio supports dynamic disks, including Windows software RAIDs, mirrors, and spanned volumes. When R-Studio detects components from such dynamic disks, it assembles them accordingly.

Click to enlarge

Windows dynamic disks (RAID5)

R-Studio automatically detects components form dynamic disks and creates those dynamic disks automatically. At the same time, R-Studio gives access to the parents of the dynamic disks (hard drives and images).

Click to enlarge

Windows dynamic disks (RAID5) in R-Studio

Also, R-Studio automatically detects inconsistent components of dynamic disks and marks them accordingly.

Click to enlarge

Windows dynamic disks (RAID5) with unsynced parent


Windows Storage Spaces

Storage pools and spaces is a new storage technology, first introduced in Windows 8 and Windows Server 2012, that allows the user to combine various (not always similar) hard drives into a kind of a RAID or compound volume. First, the hard drives are combined into a storage pool, then several storage spaces with striping (similar to RAID0), mirroring (similar to RAID1), and parity (similar to RAID5) can be created in that storage pool. You may read more about storage pools and spaces in the Microsoft's Storage Spaces: FAQ.

R-Studio supports Windows Storage Spaces created by Windows 8/8.1 and Windows 10/Anniversary update.

When drives from a storage pool are connected to a Windows computer, it automatically detects them and assembles storage spaces accordingly.

Click to enlarge

Storage spaces

Storage pools and spaces can be managed using the Storage Spaces item in the Control Panel.

Click to enlarge

Storage spaces

R-Studio automatically detects disks from storage pools and creates storage pools and spaces automatically. At the same time, R-Studio gives access to the parents of the storage spaces (hard drives and images).

Click to enlarge

Storage spaces in R-Studio

R-Studio shows broken storage spaces in pink.

Click to enlarge

Broken storage spaces in R-Studio

If recognized parents of a storage space are added to R-Studio (including disk images), R-Studio automatically adds them to their respective storage spaces.

When storage space parents are such damaged that R-Studio cannot recognize them as parents of broken storage spaces, you may add them manually. Right-click the required storage space, select Add missing disks on the shortcut menu and select the required object(s) on the Add missing disks dialog box.

Click to enlarge

Add missing parent dialog box

You should place the objects on their correct places.

R-Studio shows such storage spaces in blue:

Click to enlarge

Storage spaces with added parents in R-Studio


Apple RAIDs

OS X can create several software RAIDs from disks connected to a Mac computer: RAID1 (Mirror set), RAID0 (Stripe set), and Concatenated disk set.

Click to enlarge

Apple RAID0 example

R-Studio automatically detects disks from Apple RAID sets and creates their virtual RAIDs automatically. At the same time, R-Studio gives access to the individual members of the Apple RAID sets (hard drives and images).

Click to enlarge

Apple RAIDs in R-Studio

R-Studio shows broken Apple RAIDs in pink.

Click to enlarge

Broken Apple RAIDs in R-Studio

If recognized members of a Apple RAID are added to R-Studio (including disk images), R-Studio automatically adds them to their respective Apple RAIDs.

When Apple RAID members are such damaged that R-Studio cannot recognize them as members of broken Apple RAIDs, you may add them manually. Right-click the required Apple RAID, select Add missing disks on the shortcut menu and select the required object(s) on the Add missing disks dialog box.

Click to enlarge

Add missing disks dialog box

You should place the objects on their correct places.

R-Studio shows such Apple RAIDs in blue:

Click to enlarge

Apple RAIDs with added members in R-Studio


Linux LVM/LVM2

Linux LVM is a logical volume manager for the Linux OS that manages disk drives and other data storage devices. Using it, It is possible to create single logical volumes on several physical disks, add and replace them in a running system, resize logical volumes, create various RAID configuration, and so on. You may read more about Linux LVM on this Wikipedia article: Logical Volume Manager (Linux).

Click to enlarge

LVM volume example

R-Studio automatically detects disks from LVMs and creates their virtual volumes automatically. At the same time, R-Studio gives access to the components of the virtual LVM volumes (hard drives and images).

Click to enlarge

LVM Volumes in R-Studio

R-Studio shows broken virtual LVM volumes in pink.

Click to enlarge

Broken LVM volumes in R-Studio

If recognized components of a virtual LVM volume are added to R-Studio (including disk images), R-Studio automatically adds them to their respective virtual LVM volumes.

When virtual LVM volume components are such damaged that R-Studio cannot recognize them as components of broken virtual LVM volumes, you may add them manually. Right-click the required virtual LVM volume, select Add missing disks on the shortcut menu and select the required object(s) on the Add missing disk dialog box.

Click to enlarge

Add missing disk dialog box

You should place the objects on their correct places.

R-Studio shows such virtual LVM volumes in blue:

Click to enlarge

LVM volumes with added parents in R-Studio


Finding RAID Parameters

R-Studio can find parameters for RAID 5 and 6. RAID parameters can be found automatically or manually.

The number of disks in the RAID should be between 3 and 32. RAID parameters can be found only when all original disks (or their images) are present. Even one substitute object in a RAID (like a missing disk) makes finding RAID parameters impossible.

To find RAID parameters automatically,

1 Click the Auto Detect button on the Parents tab
> R-Studio will start searching for the RAID parameters and show the most probable one on the RAID Parameter Detection dialog box
Click to enlarge

RAID Parameter Detection dialog box

2 Click the Apply button and R-Studio will change the RAID layout to the selected one on the Parents tab.
3 Click the Apply button on the Parents tab
> R-Studio will use the found parameters for the RAID.

If necessary, you may return to the RAID Parameter Detection dialog box by clicking the Choose Variants button, and select another RAID layout.

To find RAID parameters manually,

1 Click the drop-down Auto Detect list on the Parents tab and select Advanced Detection.
2 Specify the necessary detection parameters on the RAID Parameter Detection dialog box and click the Start detection button
Click to enlarge

Raid Parameters Detection dialog box

You may change the disk order, offset for disk(s), and enable /disable disks.

Advanced Parameters
Max offset: | The area on the disk to find RAID parameters in.
Offset search performance RAID layouts search performance | Cumulative parameters that estimates the probability of certain found RAID parameters. Moving it to the right increases accuracy but slows the process. Moving it to the left reduces the accuracy but makes the process faster.

You may add your own RAID offsets. Right-click empty space on the Found offsets pane and select Add Custom offset on the shortcut menu and specify the offset individually for every disk.

3 Select an offset and click the Click here to find RAID Layouts button on the Raid Parameters Detection dialog box
Click to enlarge

RAID Parameters Detection dialog box

4 Select a RAID variant on the Found RAID layouts pane and click the Apply button
5 Click the Apply button on the Parents tab
> R-Studio will use the found parameters for the RAID.

If necessary, you may return to the RAID Parameter Detection dialog box by clicking the Choose Variants button, and select another RAID layout.


Checking RAID Consistency

You may check RAID consistency (whether the data parity values are valid) for RAID layouts with parity blocks.

To check RAID consistency,

* Right-click the RAID and select Check RAID consistency... on the shortcut menu
> The RAID consistency check window will appear showing the progress.
Click to enlarge

RAID consistency check window

When the check is finished, you may inspect the results.

Block color |
Green | Data parity values are valid.
Red | Data parity values are not valid.
White | 0's

When a mouse pointer hovers over a block, a tooltip will show the sector range within the block and number of consistent and inconsistent sectors. Double-clicking the block moves it to the upper-leftmost corner and zooms in the data by 2.

Click to expand/collapse RAID consistency check controls

Sectors | The number of the first sector in the row.
Offset | Offset in the data. Enter the address you want to jump to and press the Enter key.
Sectors/Bytes/KB... | Specifies the dimension of the data in the Offset field.
Previous/Next | Moves to the previous/next part of the data.
+/- | Zooms into/out of, the data.


Syntax of a Description File for RAID Configurations

You may create and store your own RAID configurations The syntax of those files is similar to that of the XML language. They are stored in an .xml file specified on the R-Studio Settings.

A number of file examples are shown on the Description Files for RAID Configurations topic.

There are two types of such description files: for RAID presets and custom-created RAID layouts.

RAID preset configuration file

<?xml version="1.0" encoding="UTF-8"?>

<RAIDList version="1">

<RAID blockSize="65536" name="RAID5" rows="3" type="5" order="2" parityDelay="1">

<Parents>

<Parent comp="RAID5Disk1.dsk" name="Promise1+0 JBOD1.10" size="40060321792" order="1"/>

<Parent comp="RAID5Disk2.dsk" name="Promise1+0 JBOD1.10" size="40060321792" order="2"/>

<Parent comp="RAID5Disk3.dsk" name="Promise1+0 JBOD1.10" size="40060321792" order="3"/>

</Parents>

</RAID>

</RAIDList>

Custom-created RAID configuration file example

<?xml version="1.0" encoding="UTF-8"?>

<RAIDList version="1">

<RAID blockSize="65536" name="RAID6Complex" rows="6" type="256">

<Parents>

<Parent name="img1.bin" size="941359104" order="1"/>

<Parent name="img2.bin" fs="NTFS" size="941359104" order="2"/>

<Parent name="img3.bin" size="941359104" order="3"/>

<Parent name="img4.bin" size="941359104" order="4"/>

<Parent name="img5.bin" size="941359104" order="5"/>

</Parents>

<Table>

<Block id="A1">ReedSolomon</Block>

<Block id="B1">1</Block>

<Block id="C1">2</Block>

<Block id="D1">3</Block>

<Block id="E1">XorOfData</Block>

<Block id="A2">4</Block>

<Block id="B2">5</Block>

<Block id="C2">6</Block>

<Block id="D2">XorOfData</Block>

<Block id="E2">ReedSolomon</Block>

<Block id="A3">8</Block>

<Block id="B3">9</Block>

<Block id="C3">XorOfData</Block>

<Block id="D3">ReedSolomon</Block>

<Block id="E3">7</Block>

<Block id="A4">12</Block>

<Block id="B4">XorOfData</Block>

<Block id="C4">ReedSolomon</Block>

<Block id="D4">10</Block>

<Block id="E4">11</Block>

<Block id="A5">XorOfData</Block>

<Block id="B5">ReedSolomon</Block>

<Block id="C5">13</Block>

<Block id="D5">14</Block>

<Block id="E5">15</Block>

<Block id="A6" sequence="1">XorOfAll</Block>

<Block id="B6" sequence="2">XorOfAll</Block>

<Block id="C6" sequence="3">XorOfAll</Block>

<Block id="D6" sequence="4">XorOfAll</Block>

<Block id="E6" sequence="5">XorOfAll</Block>

</Table>

<Sequences>

<Sequence id="1">A1 A2 A3 A4 A5 A6</Sequence>

<Sequence id="2">B1 B2 B3 B4 B5 B6</Sequence>

<Sequence id="3">C1 C2 C3 C4 C5 C6</Sequence>

<Sequence id="4">D1 D2 D3 D4 D5 D6</Sequence>

<Sequence id="5">E1 E2 E3 E4 E5 E6</Sequence>

</Sequences>

</RAID>

</RAIDList>

File structure

File header

The file starts with a standard XML header:

<?xml version="1.0" encoding="utf-8"?>

Section RAIDList

<RAIDList>

It can contain any number of the <RAID> sections and requires a closing element </FileTypeList>.

Section structure example:

<RAIDList>

<RAID [attributes]>

...

</RAID>

...

<RAID [attributes]>

...

</RAID>

Section RAID

This section describes each RAID layout.

It must contain at least one <Table> and <Parents> sections and can contain one block <Sequences>..

<RAIDList version="1">

<RAID blockSize="65536" name="RAID5" rows="3" type="5" order="2" parityDelay="1">

<Parents>

</Parents>

<Table>

</Table>

<Sequences>

</Sequences>

</RAID>

</RAIDList>

Attributes:

blocksize | <u32> | Required | The block size of the RAID in bytes
name | <string> | Optional | The name of the RAID layout
rows | <u16> | Required | The number of rows in the RAID layout table.
type | <u16> | Required | The type of the RAID preset. The following types are supported: 1: RAID0 (Stripe set) 2: RAID10 3: RAID1E 4: RAID4 5: RAID5 6: RAID5E 7: RAID5EE 8: RAID6 / Reed-Solomon Encoding 9: RAID6E / Reed-Solomon Encoding 10: RAID6 / Vertical Xor Encoding 256: Custom Raid Table If the RAID type parameter contradicts to the RAID table, the RAID table always prevails.
order | <u16> | Required/Optional | The RAID sub-type. For example, order="2" means Left Asynchronous for RAID5 layouts. Any value for the custom RAID layouts will be ignored.
parityDelay | <u16> | Required | The Parity delay parameter.

Section structure example:

<RAID blockSize="65536" rows="6" type="256">

<Parents>

</Parents>

<Table>

</Table>

<Sequences>

</Sequences>

</RAID>

Section Parents

This section describes the RAID parents. It contains the <Parent> elements of the RAID.

Section structure example:

<Parents>

<Parent comp="RAID5Disk1.dsk" name="Promise1+0 JBOD1.10" size="40060321792" order="1"/>

<Parent comp="RAID5Disk2.dsk" name="Promise1+0 JBOD1.10" size="40060321792" order="2"/>

<Parent comp="RAID5Disk3.dsk" name="Promise1+0 JBOD1.10" size="40060321792" order="3"/>

</Parents>

Element Parent

The element specifies the parent of the RAID.

Attributes:

comp | <string> | Required/Optional | The file-container with the parent object.
name | <string> | Required | The object name of the RAID parent.
offset | <u16> | Required is not 0 | The offset value in bytes
size= | <u16> | Required | The object size in bytes
order | <u16> | Required | The order of the RAID object

Section Table

This section describes the RAID layout table. It contains the <Block> elements which number is a product of two attributes in the <RAID> section: <parents> x <rows>.

Section structure example:

<RAIDList>

<RAID name="example" parents="2" rows="2" blocksize="16777216">

<Table>

<Block [attributes]> ... </Block>

<Block [attributes]> ... </Block>

<Block [attributes]> ... </Block>

<Block [attributes]> ... </Block>

</Table>

</RAID>

</RAIDList>

Element Block

The element specifies the block number in the RAID layout table (a positive integer number) or an error correction block of the following types:

·PD or ParityOfData

·PA or ParityOfAll

·RS or ReedSolomon

·U or Unknown

·I or Ignore

Any other value is treated as Unknown.

Attributes:

id | <string> | Required | The alpha-numerical identifier of the block in the RAID layout table. The element in the 3-rd column of the 2-nd line is designated as C2. AA is used after letter Z, and so on.
sequence | <string> | Optional | The numerical identifier for non-default sequences.

Section Sequences

This section describes the non-default data checksum sequences used to preserve data integrity. It is not necessary to explicitly list default sequences (the table rows). Sequences can contain any number of the <Sequence> elements.

Section structure example:

<RAIDList>

<RAID name="example" parents="4" rows="4" blocksize="16777216">

<Parents>

</Parents>

<Table>

...

</Table>

<Sequences>

<Sequence [attributes]> ... </Sequence>

...

<Sequence [attributes]> ... </Sequence>

</Sequences>

</RAID>

</RAIDList>

Element Sequence

The element contains the list of the RAID blocks belonging to that sequence. The elements are separated by a space .

Attributes:

id

<u16>

Required

The sequence identifier.

Element example:

See the RAID configuration file example.

Comments

<!-- Comment string -->

An XML standard string for a comment.


Description Files for RAID Configurations

Below are description files for RAID examples described in the Volume Sets and RAIDs chapter. The syntax of them is described in the Syntax of a Description File for RAID Configurations topic.

StripeSet

The stripe set layout is described in the Volume Sets, Stripe Sets, and Mirrors topic.

<?xml version="1.0" encoding="UTF-8"?>

<RAIDList version="1">

<RAID blockSize="65536" name="StripeSet" rows="2" type="1" order="7" parityDelay="1">

<Parents>

<Parent comp="RAID0Disk1.dsk" name="Promise1+0 JBOD1.10" size="40060321792" order="1"/>

<Parent comp="RAID0Disk2.dsk" name="Promise1+0 JBOD1.10" size="40060321792" order="2"/>

</Parents>

</RAID>

</RAIDList>

Basic RAID 5

The RAID layout is described in the Working with Basic RAID 4 and RAID 5 Operations topic.

<?xml version="1.0" encoding="UTF-8"?>

<RAIDList version="1">

<RAID blockSize="65536" name="RAID5" rows="3" type="5" order="2" parityDelay="1">

<Parents>

<Parent comp="RAID5Disk1.dsk" name="Promise1+0 JBOD1.10" size="40060321792" order="1"/>

<Parent comp="RAID5Disk2.dsk" name="Promise1+0 JBOD1.10" size="40060321792" order="2"/>

<Parent comp="RAID5Disk3.dsk" name="Promise1+0 JBOD1.10" size="40060321792" order="3"/>

</Parents>

</RAID>

</RAIDList>

RAID 5 with parity delays

The RAID layout is described in the RAID5 with Parity Delays Operations topic.

<?xml version="1.0" encoding="UTF-8"?>

<RAIDList version="1">

<RAID blockSize="16384" name="RAID5HP" rows="48" type="5" order="2" parityDelay="16" firstParity="16">

<Parents>

<Parent name="RAID5HPDisk1.bin" offset="557056" size="941359104" order="1"/>

<Parent name="RAID5HPDisk2.bin" offset="557056" size="941359104" order="2"/>

<Parent name="RAID5HPDisk3.bin" offset="557056" size="941359104" order="3"/>

</Parents>

</RAID>

</RAIDList>

Advanced RAID 5

The RAID layout is described in the Working with Advanced RAID Layouts topic.

<?xml version="1.0" encoding="UTF-8"?>

<RAIDList version="1">

<RAID blockSize="4096" name="RAID5Complex" rows="9" type="256">

<Parents>

<Parent name="RAID5CDisk1.bin" offset="16777216" size="941359104" order="1"/>

<Parent name="RAID5CDisk2.bin" offset="16777216" size="941359104" order="2"/>

<Parent name="RAID5CDisk3.bin" offset="16777216" size="941359104" order="3"/>

</Parents>

<Table>

<Block id="A1">XorOfData</Block>

<Block id="B1">1</Block>

<Block id="C1">2</Block>

<Block id="A2">XorOfData</Block>

<Block id="B2">3</Block>

<Block id="C2">4</Block>

<Block id="A3">XorOfData</Block>

<Block id="B3">5</Block>

<Block id="C3">6</Block>

<Block id="A4">7</Block>

<Block id="B4">XorOfData</Block>

<Block id="C4">8</Block>

<Block id="A5">9</Block>

<Block id="B5">XorOfData</Block>

<Block id="C5">10</Block>

<Block id="A6">11</Block>

<Block id="B6">XorOfData</Block>

<Block id="C6">12</Block>

<Block id="A7">13</Block>

<Block id="B7">14</Block>

<Block id="C7">XorOfData</Block>

<Block id="A8">15</Block>

<Block id="B8">16</Block>

<Block id="C8">XorOfData</Block>

<Block id="A9">17</Block>

<Block id="B9">18</Block>

<Block id="C9">XorOfData</Block>

</Table>

</RAID>

</RAIDList>

Advanced RAID 5

The RAID layout is described in the Working with Advanced RAID Layouts topic.

<?xml version="1.0" encoding="UTF-8"?>

<RAIDList version="1">

<RAID blockSize="524288" name="RAID_MacPro" rows="3" type="256">

<Parents>

<Parent name="RAID_MAC_ProDisk1.bin" fs="NTFS" offset="16777216" size="941359104" order="1"/>

<Parent name="RAID_MAC_ProDisk2.bin" offset="16777216" size="941359104" order="2"/>

<Parent name="RAID_MAC_ProDisk3.bin" offset="16777216" size="941359104" order="3"/>

<Parent name="RAID_MAC_ProDisk4.bin" offset="16777216" size="941359104" order="4"/>

</Parents>

<Table>

<Block id="A1" sequence="1">XorOfData</Block>

<Block id="B1">1</Block>

<Block id="C1">2</Block>

<Block id="D1" sequence="2">XorOfData</Block>

<Block id="A2">3</Block>

<Block id="B2">4</Block>

<Block id="C2" sequence="3">XorOfData</Block>

<Block id="D2">5</Block>

<Block id="A3">6</Block>

<Block id="B3" sequence="4">XorOfData</Block>

<Block id="C3">7</Block>

<Block id="D3">8</Block>

</Table>

<Sequences>

<Sequence id="1">A1 B1 C1</Sequence>

<Sequence id="2">D1 A2 B2</Sequence>

<Sequence id="3">C2 D2 A3</Sequence>

<Sequence id="4">B3 C3 D3</Sequence>

</Sequences>

</RAID>

</RAIDList>

RAID 6 Reed-Solomon (Left Synchronous (Standard)) Preset

The RAID layout is described in the Working with RAID 6 Presets topic.

<?xml version="1.0" encoding="UTF-8"?>

<RAIDList version="1">

<RAID blockSize="65536" name="RAID6RS" rows="5" type="8" order="1" parityDelay="1">

<Parents>

<Parent name="img1.bin" size="941359104" order="1"/>

<Parent name="img2.bin" fs="NTFS" size="941359104" order="2"/>

<Parent name="img3.bin" size="941359104" order="3"/>

<Parent name="img4.bin" size="941359104" order="4"/>

<Parent name="img5.bin" size="941359104" order="5"/>

</Parents>

</RAID>

</RAIDList>

RAID6 (Double Xor) Preset

The RAID layout is described in the Working with RAID 6 Presets topic.

<?xml version="1.0" encoding="UTF-8"?>

<RAIDList version="1">

<RAID blockSize="65536" name="RAID62X" rows="4" type="10" order="1" parityDelay="1">

<Parents>

<Parent name="RAID62X1.bin" fs="NTFS" size="941359104" order="1"/>

<Parent name="RAID62X2.bin" size="941359104" order="2"/>

<Parent name="RAID62X3.bin" size="941359104" order="3"/>

<Parent name="RAID62X4.bin" size="941359104" order="4"/>

<Parent name="RAID62X5.bin" size="941359104" order="5"/>

<Parent name="RAID62X6.bin" size="941359104" order="6"/>

</Parents>

</RAID>

</RAIDList>

Advanced RAID 6

The RAID layout is described in the Working with Advanced RAID Layouts topic.

<?xml version="1.0" encoding="UTF-8"?>

<RAIDList version="1">

<RAID blockSize="65536" name="RAID6Complex" rows="6" type="256">

<Parents>

<Parent name="img1.bin" size="941359104" order="1"/>

<Parent name="img2.bin" fs="NTFS" size="941359104" order="2"/>

<Parent name="img3.bin" size="941359104" order="3"/>

<Parent name="img4.bin" size="941359104" order="4"/>

<Parent name="img5.bin" size="941359104" order="5"/>

</Parents>

<Table>

<Block id="A1">ReedSolomon</Block>

<Block id="B1">1</Block>

<Block id="C1">2</Block>

<Block id="D1">3</Block>

<Block id="E1">XorOfData</Block>

<Block id="A2">4</Block>

<Block id="B2">5</Block>

<Block id="C2">6</Block>

<Block id="D2">XorOfData</Block>

<Block id="E2">ReedSolomon</Block>

<Block id="A3">8</Block>

<Block id="B3">9</Block>

<Block id="C3">XorOfData</Block>

<Block id="D3">ReedSolomon</Block>

<Block id="E3">7</Block>

<Block id="A4">12</Block>

<Block id="B4">XorOfData</Block>

<Block id="C4">ReedSolomon</Block>

<Block id="D4">10</Block>

<Block id="E4">11</Block>

<Block id="A5">XorOfData</Block>

<Block id="B5">ReedSolomon</Block>

<Block id="C5">13</Block>

<Block id="D5">14</Block>

<Block id="E5">15</Block>

<Block id="A6" sequence="1">XorOfAll</Block>

<Block id="B6" sequence="2">XorOfAll</Block>

<Block id="C6" sequence="3">XorOfAll</Block>

<Block id="D6" sequence="4">XorOfAll</Block>

<Block id="E6" sequence="5">XorOfAll</Block>

</Table>

<Sequences>

<Sequence id="1">A1 A2 A3 A4 A5 A6</Sequence>

<Sequence id="2">B1 B2 B3 B4 B5 B6</Sequence>

<Sequence id="3">C1 C2 C3 C4 C5 C6</Sequence>

<Sequence id="4">D1 D2 D3 D4 D5 D6</Sequence>

<Sequence id="5">E1 E2 E3 E4 E5 E6</Sequence>

</Sequences>

</RAID>

</RAIDList>

RAID10 (1+0)

The RAID layout is described in the RAID10 (1+0) topic.

<?xml version="1.0" encoding="UTF-8"?>

<RAIDList version="1">

<RAID blockSize="65536" name="RAID10" rows="1" type="2" order="7" parityDelay="1">

<Parents>

<Parent name="RAID10-1.bin" size="941359104" order="1"/>

<Parent name="RAID10-2.bin" size="941359104" order="2"/>

<Parent name="RAID10-3.bin" size="941359104" order="3"/>

<Parent name="RAID10-4.bin" size="941359104" order="4"/>

</Parents>

</RAID>

</RAIDList>

RAID1E

The RAID layout is described in the RAID1E topic.

<?xml version="1.0" encoding="UTF-8"?>

<RAIDList version="1">

<RAID blockSize="65536" name="RAID1E" rows="2" type="3" order="1" parityDelay="1">

<Parents>

<Parent name="RAID1EDisk1.bin" fs="NTFS" size="941359104" order="1"/>

<Parent name="RAID1EDisk2.bin" size="941359104" order="2"/>

<Parent name="RAID1EDisk3.bin" size="941359104" order="3"/>

</Parents>

</RAID>

</RAIDList>

RAID5E

The RAID layout is described in the RAID5E topic.

<?xml version="1.0" encoding="UTF-8"?>

<RAIDList version="1">

<RAID blockSize="65536" name="RAID5E" rows="5" type="6" order="1" parityDelay="1">

<Parents>

<Parent name="RAID5EDisk1.bin" fs="NTFS" size="941359104" order="1"/>

<Parent name="RAID5EDisk2.bin" size="941359104" order="2"/>

<Parent name="RAID5EDisk3.bin" size="941359104" order="3"/>

<Parent name="RAID5EDisk4.bin" size="941359104" order="4"/>

</Parents>

</RAID>

</RAIDList>

RAID5EE

The RAID layout is described in the RAID5EE topic.

<?xml version="1.0" encoding="UTF-8"?>

<RAIDList version="1">

<RAID blockSize="65536" name="RAID5EE" rows="4" type="7" order="1" parityDelay="1">

<Parents>

<Parent name="RAID5EEDisk1.bin" fs="NTFS" size="941359104" order="1"/>

<Parent name="RAID5EEDisk2.bin" size="941359104" order="2"/>

<Parent name="RAID5EEDisk3.bin" size="941359104" order="3"/>

<Parent name="RAID5EEDisk4.bin" fs="NTFS" size="941359104" order="4"/>

</Parents>

</RAID>

</RAIDList>

RAID6E

The RAID layout is described in the RAID6E topic.

<?xml version="1.0" encoding="UTF-8"?>

<RAIDList version="1">

<RAID blockSize="65536" name="RAID6E" rows="7" type="9" order="1" parityDelay="1">

<Parents>

<Parent name="RAID6E1.bin" size="941359104" order="1"/>

<Parent name="RAID6E2.bin" fs="NTFS" size="941359104" order="2"/>

<Parent name="RAID6E3.bin" size="941359104" order="3"/>

<Parent name="RAID6E4.bin" size="941359104" order="4"/>

<Parent name="RAID6E5.bin" size="941359104" order="5"/>

<Parent name="RAID6E6.bin" size="941359104" order="6"/>

</Parents>

</RAID>

</RAIDList>


Reverse RAIDs

Reverse RAIDs is a technique that is reverse to creating virtual RAIDs. When creating a reverse RAID, the data from a real object is decomposed into virtual parents.Then data on those virtual parents can be processed like on real objects. They can be viewed, edited, imaged, copied to physical drives, etc.

·Reverse RAID of an Object

This technique can be used to decompose data on a single volume into virtual parents. Then such virtual parents can be processed like on real objects. They can be viewed, edited, imaged, copied to physical drives, etc.

·Reverse RAID of a RAID

This technique can be used to re-construct data on individual RAID disks when data on physical disks is corrupted, but can be recovered using RAID redundancy. A missing disk is an example of this case. Or if there are bad sectors scattered over the physical disks but the overall RAID integrity remains. Then the data can be copied to physical hard drives to create a healthy RAID.

Note: Many controllers write their own metadata to disks to recognize that the disks belong to certains RAIDs. Without that metadata they won't see those RAIDs. You have to write that metadata manually.


Reverse RAID of an Object

This technique can be used to decompose data on a single object into virtual parents. Then such virtual parents can be processed like on real objects. They can be viewed, edited, imaged, copied to physical drives, etc.

Suppose you have an image of a former RAID 6 (Reed-Solomon) and you wand to re-create data on individual disks from that RAID 6. You can do that by creating a reverse RAID of an image.

Note: Many controllers write their own metadata to disks to recognize that the disks belong to certains RAIDs. Without that metadata they won't see those RAIDs. You have to write that metadata manually.

To create a reverse RAID of a disk image (or other disk object),

1 Right-click the disk object on the Drives panel and select Create Reverse RAID on the shortcut menu.
> The Reverse parents will appear on the Drives panel

Initially, the reverse RAID is set to its default values as RAID 5 on the Parents tab.

2 Adjust RAID parameters on the Parents tab, as necessary.

You need to add one reverse parent, change RAID type, and adjust RAID offset .

> Process the appeared reverse parents on the Drives panel as real objects.

These parents can be imaged, viewed/edited, etc.


Reverse RAID of a RAID

This technique can be used to re-construct data on individual RAID disks when data on physical disks is corrupted, but can be recovered using RAID redundancy.

Suppose you have a RAID 5 with one missing hard drive and you need to reconstruct data on that disk. You can do that by creating a reverse RAID for it and then copy data from that missing disk to a real one, or to an image.

Note: Many controllers write their own metadata to disks to recognize that the disks belong to certains RAIDs. Without that metadata they won't see those RAIDs. You have to write that metadata manually.

To create a reverse RAID of a RAID with a missing disk,

1 Create a virtual RAID 5 of the existing hard drives or their images

Add a missing disk to the Parents tab.

If necessary, read the Basic RAID 4 and RAID 5 Operations and Volumes Sets and RAIDs help pages for details.

2 Right-click the Virtual Block Raid on the Drives panel and select Create Reverse RAID on the shortcut menu.
> The Reverse parents will appear on the Drives panel

These parents may be processed as real objects, they can be imaged, viewed/edited. For your case the missing disk can be copied to a hard drive in the Drive Copy Wizard.

Note: The reverse parents contain the data that should be on the RAID parents, according to its layout, while RAID parents contain actual data, that may be corrupted.


Data Recovery over Network

This chapter explains how to perform data recovery operations over network.

R-Studio has network capabilities that allow the system administrator, using its computer, to recover files on any computers accessible over network.

R-Studio supports the TCP/IP protocol and any protocol supported in Microsoft Network.

R-Studio Agent must be installed on computers where files are to be recovered. This program gives R-Studio access to local disks on remote computers over network.

If, due to file system crash, the network computer where you are going to recover your data cannot start, you may use R-Studio Agent Emergency to start the computer.

Files can be recovered without R-Studio Agent if the computer where the files are to be recovered runs Windows NT/2000/XP/2003/Vista/2008/7/8/8.1/10 is accessible from a computer also running Windows NT/2000/XP/2003/Vista/2008/7/8/8.1/10. In this case, the administrator must have administrator privileges on the remote computer.

You should always disable a firewall and/or antivirus software on the both computers. As an alternative, advanced users may tune them to allow R-Studio and R-Studio Agent to communicate via network.

All data transmitted over network are encrypted with a strong algorithm for data security. Restoring data over network is very much the same as that on a local computer.

In addition, R-Studio can load/save any files like disk images, scan info files, RAID configuration files, from/to the computers to which it has access using R-Studio Agent.

·R-Studio Agent

·Data Recovery over Network

·Connecting over the Internet


R-Studio Agent

R-Studio Agent is a program that provides R-Studio with an access to the drives of a network computer. It should be installed and properly registered on the computer which drives are to be accessed. R-Studio Agent has versions for the following PC operating systems:

·Windows

·Mac OS

·Linux

and there is R-Studio Agent Emergency that can be used to start a computer from which you are going to recover data that cannot start other way due to a file system crash, for example. Please, note that you need to use R-Studio Emergency as an emergency agent if you want to start a Mac computer.

R-Studio can work equally with all versions of R-Studio Agent and access computers run under Windows, Mac OS, and Linux.

You must have enough rights on the remote computer to install and run R-Studio Agent.


R-Studio Agent for Windows

Attention Windows NT/2000/XP/2003/Vista/2008/7/8/8.1/10 users: R-Studio Agent should be installed under an administrator account.

When installed, R-Studio Agent starts automatically and runs as a service. To configure it, R-Studio Agent should be started again manually.

Click to expand/collapse The following switches are available:

-? | evokes a help screen;
-install | installs R-Studio Agent as a service
-remove | removes R-Studio Agent services
-console | starts R-Studio Agent as a console application

Started without a switch, R-Studio Agent runs as a GUI application and its icon appears on the taskbar tray. In this mode, it can be configured and its log may be viewed.

Simply connect to the remote computer providing a desired password for R-Studio Agent in the Connect to Remote Computer dialog box. R-Studio checks if there is R-Studio Agent running on this computer. If not, a Can't connect... message will appear.

Click the Yes button, and R-Studio will remotely install R-Studio Agent.

Attention Windows NT/2000/XP/2003/Vista/2008/7/8/8.1/10 users: R-Studio Agent may be remotely installed over a network from a computer running Windows NT/2000/XP/2003/Vista/2008/7/8/8.1/10 to another computer running Windows NT/2000/XP/2003/Vista/2008/7/8/8.1/10. To do so, you must have administrator accounts on both computers.

To access the R-Studio Agent main panel,

1 Click its tray icon
> The main panel will appear. You may view its log
Click to enlarge

R-Studio Agent main panel

To configure R-Studio Agent,

1 Right-click its tray icon and select Configure
2 Specify required parameters on the Please configure R-Studio Agent dialog box and click the OK button
Click to enlarge

Please configure R-Studio Agent dialog box

Click to expand/collapse R-Studio Agent Options

Password: | Enter a password to obtain access to this computer from a network.
Re-Enter: | Re-enter the password.
Accepted Protocols
Pipes | supported by Windows NT/2000/XP/2003/Vista/2008/7/8/8.1/10 only. To improve security, this option should be disabled.
TCP/IP | supported by any network OS.
Port | port for incoming connections
Accepted IP Addresses
IP Address | specifies addresses from which this computer can be accessed.
Subnet Mask | specifies a subnet mask of the network from which this computer can be accessed.
> R-Studio Agent will now run with the specified parameters


R-Studio Agent for Mac

You need to have an administrative account on the Mac computer to start R-Studio Agent for Mac.

To start the R-Studio Agent for Mac and access its main panel,

1 Go to the Application folder, double-click R-Studio Agent for Mac, and enter the account password
> The main panel will appear. You may view its log
Click to enlarge

R-Studio Agent for Mac main panel

To configure R-Studio Agent for Mac,

1 Go to the R-Studio Agent for Mac menu and select Preferences
2 Specify required parameters on the Please configure R-Studio Agent dialog box and click the OK button
Click to enlarge

Please configure R-Studio Agent Mac dialog box

Click to expand/collapse R-Studio Agent for Mac Options

Password: | Enter a password to obtain access to this computer from a network.
Re-Enter: | Re-enter the password.
Incoming connection preferences
Enable incoming connections | Select this checkbox if you want to allow incoming connections.
TCP/IP Port | A TCP/IP port for incoming connections
Accepted IP Addresses
IP Address | specifies addresses from which this computer can be accessed.
Subnet Mask | specifies a subnet mask of the network from which this computer can be accessed.
> R-Studio Agent for Mac will now run with the specified parameters

Connecting from R-Studio Agent for Mac to R-Studio.

To establish a connection from R-Studio Agent for Mac to R-Studio,

1 Run the R-Studio Agent for Mac and select Connect from the Tools menu
2 Enter the necessary information on the Connect to R-Studio dialog box and click the Connect button.
Click to enlarge

Connect to R-Studio dialog box

Click to expand/collapse Connect to R-Studio settings
Server | Specify the DNS name or IP address of the host where R-Studio is running.
Port | Specify the port set on the R-Studio Connect to Remote Computer dialog box.
Password | Specify the password set on the R-Studio Connect to Remote Computer dialog box.
> R-Studio Agent for Mac will connect to the computer where R-Studio is running and it will show the hard drive and logical disk structure of the remote computer.

It can be processed the same way as that on a local computer.


R-Studio Agent for Linux

You need to have the root privileges to run R-Studio Agent for Linux.

Unlike R-Studio Agent for Windows and R-Studio Agent for Mac, R-Studio Agent for Linux is a console application and should be run in the Terminal. You also need to mark it as an executable before start.

When it is started for the first time, R-Studio Agent for Linux asks for its configuration.

Click to enlarge

R-Studio Agent for Linux Configuration dialog box

Click to expand/collapse R-Studio Agent for Linux Options

Specify password for incoming connection | Enter a password to obtain access to this computer from a network.
Confirm password for incoming connection | Re-enter the password for confirmation.
Specify IP address... | Specifies addresses and a subnet mask from which this computer can be accessed. Enter 0 to allow connections from any address.
Specify TCP/IP Port for listening | A TCP/IP port for incoming connections. Press Enter for the default one [3174].

Don't pay much attention to the warning about "unregistered demo version". If necessary, you'll be able to register R-Studio Agent for Linux through R-Studio.

You may see the current configuration by starting R-Studio Agent for Linux with the command rsagent --show_config .

Click to enlarge

R-Studio Agent for Linux Configuration dialog box

You may change the current configuration by starting R-Studio Agent for Linux with the command rsagent --configure .

Connecting from R-Studio Agent for Linux to R-Studio.

To establish a connection from R-Studio Agent for Linux to R-Studio,

1 Run the R-Studio Agent for Linux and press Enter
2 Enter the necessary information
Click to enlarge

Connect to R-Studio dialog box

> R-Studio Agent for Linux will connect to the computer where R-Studio is running and it will show the hard drive and logical disk structure of the remote computer.

It can be processed the same way as that on a local computer.


Data Recovery over Network

Generally, data restoring over network is very much the same as that on a local computer.

R-Studio Agent should be running on the network computer where data are to be recovered.

Read the Connecting over the Internet topic to learn how to establish connection between R-Studio and R-Studio Agent over the Internet.

To connect to a remote computer

1 Click the Connect to Remote button or select Connect To Remote on the Drive menu and select Connect to the remote computer

A list of nearby computers will appear in the Computer List on the Connect to Remote Computer dialog box.

Click to enlarge

Connect to Remote Computer dialog box

2 Select a computer from the list on the Connect to Remote Computer dialog box and enter the password

Otherwise, you need to specify in the Computer: field the name or IP address of the remote computer where data are to be recovered. The Port should coincide with the port specified for the R-Studio Agent.

The Password: field is for the password of R-Studio Agent running on the remote computer. If you want to see the entered password, right-click the field and select Show password on the shortcut menu.

Note: If the remote computer is started with R-Studio Agent Emergency, leave this field blank.

> R-Studio will connect to the remote computer and show its hard drive and logical disk structure of the remote computer below the device/disk structure of your local computer

It can be processed the same way as that on a local computer.

Click to enlarge

Recover dialog box

When the Recover dialog box appears, you may select whether you want to save recovered files on the local or remote computer. Saving recovered files on a remote computer may be useful when the remote computer has a healthy disk because you do not have to transfer files over network. It may be an external USB hard drive, for example.

When R-Studio connects to the remote computer, it check if R-Studio Agent is present and its password. If there is no R-Studio Agent installed, R-Studio may try to remotely install it. See the R-Studio Agent topic for details.


Connecting over the Internet

R-Studio and R-Studio Agent can be connected over the Internet. The connection can be made either using IP addresses or DNS names.

If hosts where R-Studio and R-Studio Agent are running have public IP addresses the connection can be made the same way as for the local network, except that the IP address or DNS name should be explicitly specified in the Computer filed the Connect to Remote Computer dialog box

If either (or both) of the hosts are on private networks behind NATs and firewalls and do not have public IP addresses, the corresponding ports should be opened or forwarded. In addition, connection should be made either only from R-Studio or from R-Studio Agent.

Connection directions

* Both R-Studio and R-Studio Agent have public IP addresses (no NAT/firewall) or the ports on the NAT/firewall are forwarded/opened.

A connection can be made either from R-Studio or from R-Studio Agent.

* R-Studio is behind a NAT and R-Studio Agent has a public IP address or the ports on its NAT/firewall are forwarded/opened.

A connection should be made from R-Studio.

* R-Studio has a public IP address or the ports on its NAT/firewall are forwarded/opened and R-Studio Agent is behind a NAT.

A connection should be made from R-Studio Agent.

* Both R-Studio and R-Studio Agent are behind NATs/firewalls.

No connections are possible.

Connection from R-Studio Agent to R-Studio

R-Studio settings

If a connection is to be made from R-Studio Agent to R-Studio, R-Studio should be set to accept connection on the Connect to Remote Computer dialog box.

Click to enlarge

Connect to Remote Computer dialog box

Select Wait connection from remote computer, and specify options for incoming connections.

Click to expand/collapse R-Studio Incoming Connection Options

Password: | Enter a password to obtain access to this computer from a network.
Allow connection from any address | Select this option if you want to allow connections to R-Studio from any IP address
Allow connection from the host | Select this option if you want to allow connections to R-Studio from a specific IP address or a network
IP Address | specifies addresses from which this computer can be accessed.
Subnet Mask | specifies subnet mask of the network from which this computer can be accessed.
Port | port for incoming connections.

R-Studio will wait for an incoming connection.

Click to enlarge

Waiting for remote connection dialog box

Connecting from R-Studio Agent to R-Studio.

To establish a connection from R-Studio Agent to R-Studio,

(See the R-Studio Agent for Mac or R-Studio Agent for Linux help page to learn how to establish connections from those R-Studio Agent versions).

1 Right-click the R-Studio Agent tray icon and select Connect
2 Enter the necessary information on the Connect to R-Studio dialog box and click the Connect button.
Click to enlarge

Connect to R-Studio dialog box

Click to expand/collapse Connect to R-Studio settings
Server | Specify the DNS name or IP address of the host where R-Studio is running.
Port | Specify the port set on the R-Studio Connect to Remote Computer dialog box.
Password | Specify the password set on the R-Studio Connect to Remote Computer dialog box.
> R-Studio Agent will connect to the computer where R-Studio is running and it will show the hard drive and logical disk structure of the remote computer.

It can be processed the same way as that on a local computer.


Text/hexadecimal Editor

Any object visible to R-Studio can be viewed and edited in the Text/hexadecimal editor. It is also able to parse the data and represent data according to various data patterns. You may also create your own patterns to parse data.

You may turn numerical indexes for objects to distinguish them better.

·Viewing and Editing Objects

·Navigating through an Object

·Files and Sectors

·Creating Custom Patterns

·Pattern Example I

·Pattern Example II

R-Studio Features

Contact Information and Technical Support

Data Recovery Using R-Studio

Basic File Recovery

Advanced Data Recovery

Mass File Recovery

Volume Sets and RAIDs

Data Recovery over Network

Technical Information and Troubleshooting

R-Studio Emergency

R-Studio Agent Emergency


Viewing and Editing Objects

YOU MUST BE ABSOLUTELY SURE OF WHAT AND WHERE YOU ARE WRITING!

Or you may completely lose all your data.

Before you can physically write anything on a disk, you need to enable writing.

To enable writing,

1 On the R-Studio main panel, select the Tools menu, then Settings, and select Enable Write on the Settings dialog box.
> The Editable: status will change to Yes from Read Only.

Now the object can be edited.

Locking and unlocking objects

It is possible to manually lock an object being edited in Text/hexadecimal Editor.

When an object is locked, Text/hexadecimal Editor has an exclusive access to it, and no other programs or Windows can make any changes on it. Text/hexadecimal Editor itself always locks the object itself before writing anything on the disk and then unlocks it. But sometimes locking/unlocking may take quite a lot of time, up to several seconds. That is why sometimes it is a good practice to lock an object while editing it in Text/hexadecimal Editor. This can be done by selecting Lock on the Tools menu.

When considering locking an object in Text/hexadecimal Editor, keep in mind the following:

·Starting from Windows 7, it is impossible to change data if it resides on a logical disk without locking the disk. If the data is on a place outside of any logical disk (on an unmounted partition or empty space), such lock is not necessary. Windows Vista, XP, or below do not have such restrictions.

·The Lock command tries to lock all logical disks on which the object being edited is placed. For a hard drive, those are all its logical disks, for a file that is a logical disk where it resides. And if a RAID is created from logical disks and a file is opened on that RAID, Text/hexadecimal Editor blocks all logical disks on which the file resides.

Moreover:

·If a logical disk is opened in Text/hexadecimal Editor, the Lock command locks the disk if there is no files opened by some other programs.

·If a hard drive is opened in Text/hexadecimal Editor, the Lock command locks the drive if all its logical disks can be locked. That may cause problems is one of the logical disks is a system one.

To view/edit an object,

1 Right-click the object and select View/Edit on the shortcut menu

Click to expand/collapse Other ways to view/edit the object

·Select the object and select View/Edit on the File menu

or

·Select the object and press the Ctrl+E keys
> A Text/hexadecimal Editor panel will appear

Click to expand/collapse R-Studio Text/hexadecimal editor

Click the panel regions to learn their functions.

Panel view options

You may set which panels and bars to enable/disable.

Click to expand/collapse To enable/disable:

ANSI data | Select/clear ANSI on the View menu
OEM data | Select/clear OEMr on the View menu
UNICODE data | Select/clear UNICODE on the View menu
UNICODE+ data | Select/clear UNICODE+ on the View menu
Toolbar | Select/clear Toolbar on the View menu
Properties View | Select/clear Properties View on the View menu
Sectors View | Select/clear Sectors View on the View menu
Data Interpreter View | Select/clear Data Interpreter View on the View menu
Template View | Select/clear Template View on the View menu
Bookmarks View | Select/clear Bookmarks View on the View menu
Find Results View | Select/clear Find Results View on the View menu
2 View the information and make necessary changes

Select Save Changes on the Tools menu if you want to save changes.

Click to expand/collapse Other ways to save changes

·Select Save Changes on the File menu

or

·Press the Ctrl+S keys

Viewing

There are up to four tabs showing the data in different representations. Actual number of tabs depends on the object and property being viewed/edited.

Std | Exact attribute data. If the attribute is compressed, R-Studio decompresses it prior to showing.
Unlimited | Exact attribute data + free space of last cluster. If the attribute is compressed, R-Studio decompresses it prior to showing.
Direct | Actual data written on the disk. If the attribute is not compressed, it coincides with the Std representation.
Allocation | Resident part of the attribute.

You may view data in 4 various code pages: ANSI/OEM/UNICODE/UNICODE+ by switching on/off the respective code pages in the Code pages buttons or select the appropriate code pages on the View menu.

You may see which file is written on a particular sector. See Files and Sectors for details.

Patterns or Templates

You may select a pattern according to which the data will be parsed and shown in the parsed data pane. The Data Interpreter shows the data selected on the Template pane in various representations.

You may find the next or previous data that matches the pattern signature on the disk. Right-click the right pane of the editor and select either Find Template Signature Next or Find Template Signature Previous on the shortcut menu. You may also select these items on the Edit menu.

You may also create your own patterns to parse data from various objects.

Navigating

Text/hexadecimal Editor gives you various ways to navigate into an object. See the Navigating through an Object for more details.

Filling an area with a pattern

To fill an area with a pattern, select Fill on the Edit menu, and specify the pattern and area on the Fill dialog box.

Click to enlarge

Fill dialog box

Click to expand/collapse Fill options

Fill pattern
HEX | Field for the pattern to fill the area in the hexadecimal representation
ANSI | Field for the pattern to fill the area in the ANSI encoding
OEM | Field for the pattern to fill the area in the OEM encoding
UNICODE | Field for the pattern to fill the area in the UNICODE encoding
Fill range
From (hex) | Field for the start position of the area to fill with the pattern
To (hex) | Field for the end position of the area to fill with the pattern
3 Click the Save Changes button to save the changes

Click to expand/collapse Other ways to save the changes made

·Select Save Changes on the Edit menu

or

·Press the F2 key
> Viewer/Editor will save the changes on the object

YOU MUST BE ABSOLUTELY SURE OF WHAT AND WHERE YOU ARE WRITING!

Or you may completely lose all your data.

Selecting and saving an area in the Viewer/Editor

You may select an area in the Viewer/Editor panel and save it as a file.

To select and save an area in the Viewer/Editor panel,

1 Right-click the beginning of the selection and select Select From on the shortcut menu
2 Right-click the end of the selection and select Select To on the shortcut menu

Click to expand/collapse Other ways to select an area

· Select Select... on the Tools menu and specify an area to select on the Select dialog box,

or

·Click the start point of the area and drag the mouse cursor to its end.

If you need to select an entire object, select Select All on the Tools menu or click the Ctrl+A key

Click to enlarge

Select dialog box

3 Select an appropriate item in the Tools menu to save the data in a required format and specify its file name

Select:

Save to Binary File... | to save the data in the binary format (default extension is .bin)
Save to Hexadecimal File | to save the data in the binary format (default extension is .hex)

on the Tools menu.

If you select an existing file, R-Studio will ask you if you want to append or overwrite the file.

If a remote computer is connected for Data Recovery over Network, the Save as... dialog box will appear when you select a place to save the data. You may save it to the local or remote computer.

> Viewer/Editor will save the data in the file

Loading data from an external file

You may load a data from a file and overwrite an area of the object opened in the Viewer/Editor panel.

To load binary data from a file and overwrite an area of the object opened in the Viewer/Editor panel,

1 Select an area to overwrite and select Load from File... on the Tools menu

If a remote computer is connected for Data Recovery over Network, the Open as Binary File dialog box will appear when you select a place to open the data file from. You may open it from the local or remote computer.

2 Select the necessary file and load the data.
> The area in the Viewer/Editor will be overwritten with the new data.


Navigating through an Object

Navigating

You may quickly move to a particular part of the object. To move to a particular part of the object being viewed/edited, enter the required offset in the Go to Offset field between the buttons.

You may also use the Go To Offset dialog box to go to a specified place in the object. Click the Offset field on the Status bar. You may also use this dialog box to copy the offset.

Click to enlarge

Go To Offset dialog box

Click to expand/collapse Go To Offset options

From: | Jump / offset direction. For example, if you need to find the offset from the object end for a selected byte, switch to the End (backward) option.
HEX / DEC | Switch between the hexadecimal and decimal data representation.
Range | Range of values that can be entered.
dec / hex: | Alternative data representation.
Offset: | Flat data offset (without separation between the sector and offset in the sector).
Sector / offset | Data offset represented as a sector and offset in the sector.
Go! /OK buttons | The Go! button moves the cursor to the specified positions, but the Go To Offset dialog box remains open. The OK button closes the dialog box after moving the cursor.

Searching

To search for a particular string, click the Find, Find Next, or Find Previous buttons or the same items on the Edit menu, and specify the string on the Search dialog box.

Click to enlarge

Search dialog box

Click to expand/collapse Search options

Not Equal | Search for the place which content is not equal to the string. For example, the first byte not equal to 00 or FF.
Search for
HEX | Field for the string to search for in the hexadecimal representation
ANSI | Field for the string to search for in the ANSI encoding
OEM | Field for the string to search for in the OEM encoding
UNICODE | Field for the string to search for in the UNICODE encoding
Match case | Select this check box to make the search case-sensitive
Search area
From current position | Select this check box to start search from the current position
From start position | Select this check box to start search from the beginning of the object
From Address | Select this check box and specify the range in which the search is to be carried out
Search position
Exhaustive search | Select this check box to search the entire object
Search at offset | Select this check box and specify the sector offset from which the search will start
Reverse | Select this check box to start the search in the reverse direction
Find all | Select this check box to search for all instances of the string to search. Search results will be shown in the Find Results pane.

Text/hexadecimal Editor will show the search progress.

Search results are shown on the Find Results pane. You may easily move to the required found item by clicking the item.

Click to expand/collapse Features of the Not Equal option

Suppose we have an object which first 3 consecutive sectors start with:

Sector1 FILEAAAAA..............................................

Sector2 FILEBBBBB..............................................

Sector3 NOTAFILE...............................................

And the search string is Not Equal FILE.

If the Exhaustive search option is selected, the Text/hexadecimal Editor will stop at the first A character in Sector1.

If the Search at offset=0 option is selected, the Text/hexadecimal Editor will stop at the N character in Sector3.

Bookmarking

You may create bookmarks to easily move to those places. Right-click the cursor on the place you want to bookmark and select Toggle Bookmark on the shortcut menu. The list of bookmarks appears in the Bookmark pane. You may easily move to the required bookmark by clicking it in the list.

You may control bookmarks on the Edit menu.


Files and Sectors

You may see which file is written on a particular sector. To do so:

1 Enumerate files on a logical disk on the Drives panel.
2 Go to the tab of that logical disk and select Show Files in HexEditor on the Files menu.
3 Return to the Drives panel and select View/Edit on the shortcut menu.
> R-Studio will show a file that belongs to a particular section.
Click to enlarge

File in a sector


Creating Custom Patterns

You may create your own patterns yourself.

An example of a commented pattern parsing an AVI file.

The syntax of pattern description is similar to that of the XML language. The folder where the files should be placed is specified on the Main tab of the Settings dialog box.

Pattern structure

Pattern header

Each pattern starts with a standard header

<?xml version="1.0" encoding="utf-8"?>

Section template

Each pattern starts with a section giving to the pattern a name that will be shown in the parsed data pane.

Attributes:

name

Specifies the pattern name shown in the parsed data pane

Example:

<template name="AVI File LIST">

........

</template>

Section signature

Attributes:

align <positive integer>

Specifies if the data structure address is aligned (i.g., by a sector: 512)

This section contains elements field with hex-codes of the signature. The attribute offset specifies their offset from the start of the record. Field length is equal to the number of hex-codes.

Example:

<signature align="1">

<field offset="0">46 49</field>

<field offset="2">4c 45</field>

</signature>

Section section

Such sections contain all expressions and operations needed for the pattern to parse the data. A section name is shown in the parsed data pane. In fact, sections are virtual objects used to group logically connected fields. Sections can be nested.

The main section is not shown in the parsed data pane.

Section contain elements field which are actual data objects. field names are shown in the parsed data pane with their values.

Attributes:

name

Specifies the pattern name shown in the parsed data pane

Example:

<section name="JUNK">

....

</section>

List of All Objects in Patterns

Data types (in field)

·integer

Sub-types:

int8

int16

int32

int64

uint8

uint16

uint32

uint64

uintX

Attributes:

endian: (be | le | system) | Optional. Default: system.
base: (decimal | hex | octal) | Optional. Specifies data representation. Default: decimal.
as-offset: <expression> | Optional. Specifies that this field is an offset and its value should be evaluated using the expression. A special variable this returns the value of this field.
purpose: (offset | rsector |sector | cluster | rcluster) | Optional. Specifies the type of the as-offset expression result . If this attribute is present, the attribute is necessary if the offset value should differ from the value of this field (variable this ). rsector and rcluster are offsets relative to the absolute position of the pattern beginning.
assigned-template: <TemplateName> | Specifies the pattern name linked with this field. Ignored if the as-offset or purpose attributes are not specified.
var: <Name> | Optional. Specifies the name under which the value of this field can be accessed in expressions.

·binary

Attributes:

display-encoding: (hex | binary) | Optional. Default: hex.
size: <bytes> | Mandatory.

·char

Attributes:

size: <bytes> | Mandatory.
codepage: (ansi | oem | utf8 | utf16) | Optional. Specifies which codepage is used. Default: ansi.

·filetime

Shows time in the Win32 format (64 bits)

·unixtime

Shows time in the Unix format (seconds from 01/01/1970)

·filetime

Shows time in the DOS format (date: hiword, time: loword)

·bits

Attributes:

size: <bytes> | Mandatory.
pos: <comma separated list of bit positions> | Mandatory. Specifies bit positions in a data block.

Commands

·goto

Specifies a jump to a specified offset (either absolute or relative one)

Attributes:

address: <expression> | Specifies an absolute address to jump to.
offset: <expression> | Specifies a relative offset to jump by.

One and only one of the attributes should always be specified.

·if

Evaluates a condition specified in the test attribute and, if the condition is true, reads fields specified in this tag.

Attribute:

test: <expression>

Sets a condition to test against.

·repeat

Reads the fields specified in the tag until the exit condition is equal to 0 or specified times

Attributes:

count: <expression> | <expression> is evaluated one time upon entering the block. Internal elements are read the specified number of times.
test: <expression> | <expression> is evaluated upon entering the block. Similar to the C++ construction while(...) {}.
test: <expression> | <expression> is evaluated upon exiting the block. Similar to the C++ construction do {} while(...).

·setvar

Sets the value of an internal variable. As an example, this command is convenient to store the current offset. The value of the current offset is stored in a predefined variable offset.

Attributes:

var: <string> | Specifies the name of the variable.
expr: <expression> | Specifies an expression which result will be assigned to the variable.

Expressions

Expressions in the patterns are arithmetic expressions which syntax is similar to that of the C language, including operation preceding.

The following operations are supported:

+ - * / & | > < <= >= != == || &&

Predefined variables

·offset

An offset in bytes from the pattern beginning data is currently read at.

·start_position

An absolute position of the pattern beginning. offset + start_position = absolute offset.

·this

This variable exists only within the context of the ass-offset expression evaluation and is the current value of the data field for which that expression is specified


Pattern Example I

Below is an example of a commented pattern parsing an AVI file.

<?xml version="1.0" encoding="utf-8"?>

<!-- A pattern section. The pattern name is AVI File. -->

<template name="AVI File">

<!-- A template signature section. Alignment is 1. -->

<signature align="1">

<!-- A 4-byte signature at offset 0x00. -->

<field offset="0x00">52 49 46 46</field> <!-- ANSI: RIFF -->

<!-- A 4-byte signature at offset 0x08. -->

<field offset="0x08">41 56 49 20</field> <!-- ANSI: LIST -->

</signature>

<!-- A data section. Its name is AVI File. This is the main data section. It is not shown in the parsing tree as a section (its name is ignored). -->

<section name="AVI File">

<!-- The first 4 bytes are read and shown as an ANSI string. -->

<field type="char" size="4" name="Signature: RIFF" var="signature"/>

<!-- The current position is moved to the beginning of the file. -->

<goto offset="-4"/>

<!-- The first 4 bytes in the file are read and shown as an unsigned integer. The internal variable signature gets the value of the field. -->

<field type="uint32" base="hex" name="Signature RIFF as unsigned integer in hex format" var="signature"/>

<!-- A test against the condition (signature == RIFF) -->

<if test="signature == 0x46464952"> <!-- ANSI: RIFF -->

<!-- The next 4 bytes are read and shown as an unsigned integer. The internal variable dataSize gets the value of the field. -->

<field type="uint32" name="Size of the data in file" var="dataSize"/>

<!-- A new internal variable endOfFile is created and the expr field evaluates its value.-->

<setvar var="endOfFile" expr="offset + dataSize - 8"/>

<!-- The next 4 bytes is read and shown as an ANSI string. -->

<field type="char" size="4" name="File type"/>

<!-- A new section named DATA is created -->

<section name="DATA">

<!-- A new internal variable chunksOffset is created, the expr filed evaluating its value. This variable gets the absolute value of template offset. -->

<setvar var="chunksOffset" expr="start_position"/>

<!-- A loop is created. Its condition is set in the test field (while the endOfFile variable is greater then the current position.) -->

<repeat test="endOfFile > offset">

<!-- 4 bytes are read and shown as an ANSI string. -->

<field type="char" size="4" name="Signature"/>

<!-- The current position is moved backwards by 4 bytes. -->

<goto offset="-4"/>

<!-- The same 4 bytes are read and shown as an unsigned integer. The internal variable signature gets this value. -->

<field type="uint32" name="Signature as unsigned integer" var="signature"/>

<!-- A test against the condition (signature == LIST) -->

<if test="signature == 1414744396"> <!-- ANSI: LIST -->

<!-- The section is shown. Its name is LIST -->

<section name="LIST">

<!-- The current position is moved backward by 4 bytes. -->

<goto offset="-4"/>

<!-- The 4 bytes are read and shown as an unsigned hexadecimal integer. This field has the attributes offset and assigned-template. If the user double-clicks this field, the AVI File LIST pattern will be invoked and the current pattern position will be moved to the address specified in as-offset.-->

<field type="uint32" base="hex" name="Signature LIST as unsigned integer in hex format" as-offset="start_position + offset - 4" assigned-template="AVI File LIST"/>

<!-- The next 4 bytes are read and shown as an unsigned integer. The listSize variable gets its value. -->

<field type="uint32" name="Size of the data in the list" var="listSize"/>

<!-- The 4 bytes are read and shown as an ANSI string. -->

<field type="char" size="4" name="List type"/>

<!-- The current position is moved backward by 4 bytes. -->

<goto offset="-4"/>

<!-- The same 4 bytes are shown as an unsigned hexadecimal integer. The listType variable gets its value.-->

<field type="uint32" base="hex" name="List type as unsigned integer in hex format" var="listType"/>

<!-- A test against condition (type == movi) -->

<if test="listType == 0x69766f6d"> <!-- ANSI: movi -->

<!-- The chunksOffset variable gets the value evaluated in the expr attribute. -->

<setvar var="chunksOffset" expr="start_position + offset - 4"/>

</if>

<!-- The current position is moved to the address evaluated in the address attribute. -->

<goto address="offset + listSize - 4"/>

</section>

</if>

<!-- A test against condition (signature == JUNK) -->

<if test="signature == 1263424842"> <!-- ANSI: JUNK -->

<!-- The section is shown with the JUNK name. -->

<section name="JUNK">

<!-- The next 4 bytes are read and shown as an unsigned integer. The internal variable junkSize gets its value. -->

<field type="uint32" name="Size of the data of the junk" var="junkSize"/>

<!-- The current position is moved by junkSize bytes forward. -->

<goto offset="junkSize"/>

</section>

</if>

<!-- A test against condition (signature == idx1) -->

<if test="signature == 829973609"> <!-- ANSI: idx1 -->

<!-- The section is shown with the idx1 name. -->

<section name="idx1">

<!-- The next 4 bytes are read and shown as an unsigned integer. The internal variable idxSize gets its value. -->

<field type="uint32" name="Size of the data of the idx1" var="idxSize"/>

<!-- The section is shown with the First AVIINDEXENTRY name. -->

<section name="First AVIINDEXENTRY">

<!-- The 4 bytes are read and shown as an ANSI string. -->

<field type="char" size="4" name="Chunck id"/>

<!-- The next 4 bytes are read and shown as an unsigned hexadecimal integer. -->

<field type="uint32" base="hex" name="Flags"/>

<!-- The next 4 bytes are read ans shown as an unsigned hexadecimal integer. The offset attribute is evaluated for this field as a sum of the chunksOffset variable and valued of this field. -->

<field type="uint32" base="hex" name="Chunk offset" as-offset="chunksOffset + this"/>

<!-- The next 4 bytes are read and shown as an unsigned integer. -->

<field type="uint32" name="Chunk size"/>

</section>

<!-- The current position is moved by idxSiz bytes forward. -->

<goto offset="idxSize"/>

</section>

</if>

<!-- A test against the condition. &amp;&amp; is a logical AND (&&) -->

<if test="signature != 1414744396 &amp;&amp; signature != 1263424842 &amp;&amp; signature != 829973609">

<!-- An empty section is shown. Its name is Unknown signature found -->

<section name="Unknown signature found">

</section>

<!-- The current position is moved to the address set in the endOfFile variable. -->

<goto address="endOfFile"/>

</if>

</repeat>

</section>

</if>

</section>

</template>


Pattern Example II

<?xml version="1.0" encoding="utf-8"?>

<!-- A pattern section. The pattern name is AVI File LIST -->

<template name="AVI File LIST">

<!-- A template signature section. Alignment is 1. -->

<signature align="1">

<!-- A 4-byte signature at offset 0x00. -->

<field offset="0x00">4C 49 53 54</field> <!-- ANSI: LIST -->

</signature>

<!-- A data section. Its name is AVI File LIST. This is the main data section. It is not shown in the parsing tree as a section (its name is ignored).-->

<section name="AVI File LIST">

<!-- The first 4 bytes are read and shown as an ANSI string. -->

<field type="char" size="4" name="Signature: LIST"/>

<!-- The current position is moved to the beginning of the file (4 bytes backward). -->

<goto offset="-4"/>

<!-- The first 4 bytes in the file are read and shown as an unsigned integer. The internal variable signature gets the value of the field. -->

<field type="uint32" name="Signature LIST as unsigned integer" var="signature"/>

<!-- A test against the condition (signature == LIST) -->

<if test="signature == 1414744396"> <!-- ANSI: LIST -->

<!-- The next 4 bytes are read and shown as an unsigned integer. The internal variable listSize gets its value. -->

<field type="uint32" name="Size of the data in the list" var="listSize"/>

<setvar var="endOfList" expr="offset + listSize"/>

<field type="char" size="4" name="List type"/>

<goto offset="-4"/>

<field type="uint32" base="hex" name="List type as unsigned integer in hex format" var="listType"/>

<!-- A test against condition (listType == movi) -->

<if test="listType == 0x69766f6d"> <!-- ANSI: movi -->

<!-- This chunk is not to be parsed. The current position is moved to the end of the chunk. -->

<goto address="endOfList"/>

</if>

<setvar var="mediaType" expr="0"/>

<repeat test="endOfList > offset - 8">

<section name="CHUNK">

<field type="char" size="4" name="Chunk ID"/>

<goto offset="-4"/>

<field type="uint32" name="Chunk ID as unsigned integer" var="chunkId"/>

<if test="chunkId == 1414744396"> <!-- ANSI: LIST -->

<goto offset="-4"/>

<field type="uint32" base="hex" name="LIST chunk ID as unsigned integer in hex format" as-offset="start_position + offset - 4" assigned-template="AVI File LIST"/>

</if>

<field type="uint32" name="Size of the data in the chunk" var="chunkSize"/>

<setvar var="endOfChunk" expr="offset + chunkSize"/>

<!-- Rounding the value of the variable endOfChunk to a number divisible by 2. -->

<if test="endOfChunk &amp; 1">

<setvar var="endOfChunk" expr="endOfChunk &amp; 0xFFFFFFFE"/>

<setvar var="endOfChunk" expr="endOfChunk + 2"/>

</if>

<if test="chunkId == 1751742049"> <!-- ANSI: avih -->

<field type="uint32" name="Number of microseconds between frames"/>

<field type="uint32" name="Approximate maximum data rate of the file"/>

<field type="uint32" name="Alignment for data, in bytes"/>

<field type="uint32" name="Bitwise combination of zero or more of the flags"/>

<field type="uint32" name="Total number of frames of data in the file"/>

<field type="uint32" name="Initial frame for interleaved files"/>

<field type="uint32" name="Number of streams in the file"/>

<field type="uint32" name="Suggested buffer size for reading the file"/>

<field type="uint32" name="Width of the AVI file in pixels"/>

<field type="uint32" name="Height of the AVI file in pixels"/>

<field type="binary" size="16" name="Reserved"/>

</if>

<if test="chunkId == 1852994675"> <!-- ANSI: strn -->

<field type="char" size="chunkSize" name="Stream name"/>

</if>

<if test="chunkId == 1752331379"> <!-- ANSI: strh -->

<field type="char" size="4" name="Type"/>

<goto offset="-4"/>

<field type="uint32" base="hex" name="Type as unsigned integer in hex format" var="type"/>

<setvar var="mediaType" expr="type"/>

<field type="char" size="4" name="Handler (codec)"/>

<field type="uint32" base="hex" name="Flags"/>

<field type="uint32" name="Number of the first block of the stream that is present in the file"/>

<field type="uint32" name="Scale"/>

<field type="uint32" name="Rate"/>

<field type="uint32" name="Start time of stream"/>

<field type="uint32" name="Size of stream in units as defined in Rate and Scale"/>

<field type="uint32" name="Size of buffer necessary to store blocks of that stream"/>

<field type="uint32" name="Quality"/>

<field type="uint32" name="Sample size (number of bytes of one stream atom)"/>

</if>

<if test="chunkId == 1718776947"> <!-- ANSI: strf -->

<if test="mediaType == 0x73646976"> <!-- ANSI: vids -->

<section name="BITMAPINFOHEADER">

<field type="uint32" name="Number of bytes required by the structure"/>

<field type="int32" name="Width of the bitmap, in pixels"/>

<field type="int32" name="Height of the bitmap, in pixels"/>

<field type="uint16" name="Number of planes for the target device"/>

<field type="uint16" name="Number of bits-per-pixel"/>

<field type="uint32" name="Type of compression for a compressed bottom-up bitmap"/>

<field type="uint32" name="Size, in bytes, of the image"/>

<field type="int32" name="Horizontal resolution, in pixels-per-meter, of the target device for the bitmap"/>

<field type="int32" name="Vertical resolution, in pixels-per-meter, of the target device for the bitmap"/>

<field type="uint32" name="Number of color indexes in the color table that are actually used by the bitmap"/>

<field type="uint32" name="Number of color indexes that are required for displaying the bitmap"/>

</section>

</if>

<if test="mediaType == 0x73647561"> <!-- ANSI: auds -->

<section name="WAVEFORMATEX">

<field type="uint16" name="Waveform-audio format type"/>

<field type="uint16" name="Number of channels in the waveform-audio data"/>

<field type="uint32" name="Sample rate, in samples per second (hertz)"/>

<field type="uint32" name="Required average data-transfer rate, in bytes per second, for the format tag"/>

<field type="uint16" name="Block alignment, in bytes"/>

<field type="uint16" name="Bits per sample for the Waveform-audio format type"/>

<field type="uint16" name="Size, in bytes, of extra format information appended to the end of the WAVEFORMATEX structure"/>

</section>

</if>

</if>

<goto address="endOfChunk"/>

</section>

</repeat>

</if>

<if test="signature != 1414744396">

<section name="Invalid LIST signature found">

</section>

</if>

</section>

</template>


Technical Information and Troubleshooting

This chapter covers various technical issues and troubleshooting.

·IntelligentScan technology

·Data Recovery Issues

·Extended Information Recovery

·Data Formats and Multipliers

·Data Recovery on HFS/HFS+ file system

·Bad Sectors

·Memory Usage

·Forensic Mode

·R-Studio Switches

·Properties Tab

R-Studio Features

Contact Information and Technical Support

Data Recovery Using R-Studio

Basic File Recovery

Advanced Data Recovery

Mass File Recovery

Volume Sets and RAIDs

Data Recovery over Network

Text/hexadecimal editor

R-Studio Emergency

R-Studio Agent Emergency


IntelligentScan Technology

R-Studio uses a unique IntelligentScan technology when it tries to recover the data on the area being scanned.

While scanning the selected area, R-Studio reads data directly from the disk, analyzes them, and tries to determine a record to which the data belong. The following record types are possible:

·MBR record

·NTFS Boot Sector record

·FAT Boot Sector record

·MFT record

·NTFS Folder record

·FAT record

·FAT Folder record

·Ext2/3/4FS SuperBlocks record

·UFS/FFS SuperBlock record

·HFS/HFS+ Volume Header

·HFS/HFS+ BTree+ Node

All these record types have different, but known, structure. Knowing valid values of record fields and relations between them for each record type, R-Studio determines a record type for the data. If such record type cannot be unambiguously determined, the data are assigned to the most probable record type. The same data can be assigned to several record types, with a certain probability for each assignment. A list of possible files is generated from these records.

R-Studio generates a record list for each record type. This list contains references to records assigned to a record type from the list with their assignment probability. The same data can be included into different record lists. Then R-Studio analyzes relations between elements in each list and between different lists, and generates a list of found partitions with their parameters, such as partition start point and probable size, file system type, cluster size, and existence probability.

Using the file list and partition list, R-Studio reconstructs file systems and files on the found partitions. One file can be attributed to several different partitions.

When the entire disk or its part has been scanned, R-Studio shows all found partitions. Then the parameters of the found partitions may be manually corrected, if additional information on them is available.

Using the IntelligentScan technology, R-Studio can recover files not only on new and existing partitions. It also can find and recover data on partitions that have been deleted or reformatted. If, for example, there was an NTFS partition, which later was reformatted as a FAT partition, R-Studio will show two partitions on the same place on the disk, one having the FAT file system, the other the NTFS. Then, files found on those partitions can be recovered.

The IntelligentScan technology makes R-Studio a very powerful data recovery tool, but it is not omnipotent. As it uses probabilistic approach to data reconstruction, it cannot guarantee 100% correct results. Moreover, even if R-Studio has reconstructed data structure correctly, it is impossible to guarantee that all found files will be completely and correctly recovered, as new data may be already written over the old files. See the Data Recovery Issues topic for details.


Data Recovery Issues

NEVER TRY TO SAVE RECOVERED FILES/FOLDERS TO THE SAME LOGICAL DISK WHERE THEY RESIDE!!!

Or you may obtain unpredictable results and lose all of your data.

R-Studio writes directly to a hard drive only when writing recovered data and from its hex editor, if writing is enabled. In all other actions, R-Studio only reads data and analyzes them, and never modifies data on the hard drives being analyzed.

Most operating systems use lazy-write. So, there is a time lag between file actions and actual changes on data on a hard drive. R-Studio analyzes data on hard drives only. That is why it does not always detect recent changes in data structure.

Most operating systems constantly write their service information on hard drives. Such writing is especially intensive during startup and shutdown procedures. When an operating system deletes a file/folder, it treats the space where it has resided as empty and may write something in this place. If this happened, the file/folder and its parameters may be detected correctly, but its data may be lost.

Folder names like $$$Folder58448 on NTFS partitions mean that the folder has not been found on the drive but some references to it have been. For example, folders My documents, Work, Photos have been found and all they have one parent folder, whose description has not actually been found on the disk, so its name is unknown and therefore represented as $$$Folder58448. It may happen that the description of such folders was outside of the scan area, so try to enlarge the region or scan the entire hard drive. If that does not help, most likely that the description of the folder has been overwritten.

Folder names like $ROOT58448 on FAT partitions mean that some folders have been found, but they cannot be included into the folder structure for this FAT partition. Sometimes, such folders may contain other folder structures.

If you recover a file, and it appears that the file contains wrong data, try to do the following:

·Scan:

the logical disk, if the file has been just deleted.

the hard drive, if the data structure is damaged more seriously.

·Search for the file to be restored on all found partitions and try to recover it from all found partitions. Check each recovered file to ensure that it contains correct data. As soon as you found the partition from which the file is recovered correctly, use this partitions to recover all other deleted files.

If there are several deleted files to be restored, you should use a file larger than 2KB to select the required partition.

FAT file system:

Cross-Linked Folders

Often R-Studio finds several FAT folder records that contain the same data. Such folders are called cross-linked. R-Studio marks such folders with an arrow mark:

R-Studio attributes the content of cross-linked folders to one folder called a target folder. When recovering, R-Studio places the content to the target folder.

To view the list of cross-linked folders,

1 Right-click a cross-linked folder and select Cross Linked Folders on the shortcut menu
> A list of cross-linked folders will appear

You may go to any folder in this list by clicking it.

To find a target folder,

* Right-click a cross-linked folder and select Go Target on the shortcut menu, or

Select the cross-linked folder and select Goto Target on the File menu

If Go Target is gray, this folder is already the target folder.

To set the target folder manually,

* Right-click a cross-linked folder and select Set As Default Target on the shortcut menu, or

Select the cross-linked folder and select Set As Default Target on the File menu.

If Set As Default Target is gray, this folder is already the target folder.

Questionable Folders

Sometimes, R-Studio may find FAT records, which look like folders, but their content is invalid. For example, file names have invalid characters, date, time, and size, or other file attributes may look strange. Please note that R-Studio correctly recognizes localized names. R-Studio treats such records as folders, but does not analyze their content and structure. You can manually scan such folders, but results may be unpredictable. Usually, such scan reveals garbage.

R-Studio marks such folders with a question mark.

To re-scan an object,

* Right-click a questionable folder on the R-Studio's Folders panel and select Rescan on the shortcut menu, or

Select the questionable folder and select Rescan on the File menu.

NTFS file system:

Symbolic links (symlinks)

Symbolic links (of symlinks) are file system objects that point to other file system objects (named targets). Those objects are usually folders, but may be of any kind. R-Studio shows symlinks and targets using the following icons:

A symlinked folder:

The target folder:

You may find a target or symlink for an object. Right-click the object and select Links on the shortcut menu.

Files:

Hard links

Hard links are file system entries that give file names to files. This term is usually used when files may have several names. R-Studio shows hard links using the following icons:

A hard link:

The target file:

You may find a target or hard link for a file. Right-click the file and select Links on the shortcut menu.


Extended Information Recovery

R-Studio supports recovery of compressed files, alternative data streams, encrypted files, file security and extended file attributes. If the R-Studio host OS and the file system of the disk you are going to save file to support any particular extended information, it will be saved with the file, too. Otherwise, the extended information will be saved as separate files with the same name as the restored file and extension showing the type of the extended information. Below is a quick reference for the host OS and file system of the target drive.

Extended Information | Required host OS | Required target disk FS
Encrypted files | Windows 2000/XP/2003/Vista/2008/7/8/8.1/10 | NTFS
Alternative data streams | Windows NT/2000/XP/2003/Vista/2008/7/8/8.1/10 | NTFS
File security | Windows NT/2000/XP/2003/Vista/2008/7/8/8.1/10 | NTFS
Extended file attributes | Windows NT/2000/XP/2003/Vista/2008/7/8/8.1/10 | NTFS or FAT


Data Formats and Multipliers

You may enter data in all numerical fields either in sectors or in bytes. If there is no letters are after the number, R-Studio assumes the numbers are in bytes.

Decimal numbers are entered as they are: 2372354

Hexadecimal numbers are entered as 0x23Fa67 or 23Fa67 hex.

The following case-insensitive notation is possible:

b | 1 byte
kb | 1 kb = 2^10=1024 bytes
mb | 1 mb = 2^20=104857 bytes
gb | 1 gb = 2^30=1073741824 bytes
tb | 1 tb = 2^40=1099511627776 bytes
eb | 1 eb = 2^50=1125899906842624 bytes
hex | A hexadecimal number
sec (sector) | A number is in sectors

You may also slect the multipliers in the drop-down boxes.

When the multiplier has been changed, the data value will be changed according to the specific shortcut commands for that field:

Suppose, the initial value is 1 GB, and the sector size of the object is 512 byte. The results will be the following:

Command: No recalculate

Change from GB to MB: 1

Change from GB to Sectors: 1

Command: Always recalculate

Change from GB to MB: 1024

Change from GB to Sectors: 2097152

Command: Units type recalculate

Change from GB to MB: 1

Change from GB to Sectors: 2097152


Data Recovery on HFS/HFS+ File System

When deleting a file, Mac OS X deletes system BTree+ records describing the file. Therefore, it is hard to recover such file directly. Those records may remain in:

1.The swap file (if the deleted file has been deleted recently).

2.In the journal (if the HFS+ journaling is on, and the deleted file has been CREATED recently)

Actually, if a file has been deleted, chances that the records would be found are small. To greatly increase the chances to recover deleted files successfully , you may actively use scanning with enabled Known Files Types.

Note: All above is correct for intentionally deleted files. In case of a corrupted file system, HFS/HFS+ can be recovered quite successfully.

When recovering files with HFS+-specific attributes (resource fork, finder info, etc.), R-Studio saves it in the so-called AppleDouble format. When they are copied to an HFS+ disk under Mac OS X, those attributes will be automatically restored.


Bad Sectors

Quite often, drives from which the data are to be recovered have bad sectors, or those sectors that are very hard, even impossible, to read, mostly due to hardware problems. R-Studio tries to read such sectors several times. The number of tries is specified either on the Settings/Bad Sectors dialog box, or on the Properties tab, the Drive Control section, for each drive separately.

When R-Studio encounters such bad sectors while performing various tasks and they appear unreadable, it treats them as follows:

Object images:

R-Studio fills the space in the image file where the bad sectors should be with the pattern specified in the Pattern to fill bad blocks field on the Settings/Bad Sectors dialog box. Please note that R-Studio writes the pattern on the image, not on the source drive.

Files

If Skip files with bad sectors on the Recovery dialog box is cleared, R-Studio fills bad sectors in the recovered file with the pattern specified on the the Settings/Bad Sectors dialog box. Information about such files will appear in the Log.

If Skip files with bad sectors on the Recovery dialog box is selected, R-Studio skips files with bad sectors and displays their list on the Files with bad sectors dialog box when the recovery has been completed. You may select files to immediately recover them or to mark for later recovery. You may also save this list to a text file.

Click to enlarge

Files with bad sectors dialog box

Click to expand/collapse Files with bad sectors Buttons

Select All | Click this button to select all files in the list.
Clear All | Click this button to unselect all selected files.
Mark | Click this button to mark all selected files in the list.
Save to File | Click this button to save the list of files with bad sectors to a text file.
Recover | Click this button to immediately recover selected files. The bad sectors in the recovered files will be filled with the pattern specified in the Pattern to fill bad blocks field on the Settings/Bad Sectors dialog box.

Objects edited in the Text/hexadecimal editor/viewer

Bad sectors in the objects viewed/edited in the Text/hexadecimal editor are shown as filled with the pattern specified in the Pattern to fill bad blocks field on the Settings/Bad Sectors dialog box.


Memory Usage

You may see how much memory R-Studio uses while performing a data recovery task. This is especially useful when scanning large disks on a computer with limited resources. You may specify memory control options on the Memory usage tab in the R-Studio Settings.

To view memory usage,

1 Select Memory usage on the Tools menu
> R-Studio will show the total memory in your computer and how much memory it uses
Click to enlarge

Memory usage dialog box

Click to expand/collapse Memory usage

Process Memory | Shows how much memory R-Studio uses. Limit shows how much memory your system can virtually allocate to R-Studio. Actual memory allocation depends also on the RAM and swap file sizes.
System Memory Physical | Shows how much RAM is in your system
System Memory Swap | Shows how much virtual memory is in your system


Forensic Mode

Note: This feature is available for the Technician version of R-Studio only!

When this mode is enabled, R-Studio will generate a forensic data collection audit log that can be presented at court hearings. This log includes information about a hardware configuration on which the forensic data collection takes place and MD5 for recovered files.

Note: A new log will be generated each time the hardware configuration is changed (a hard drive is connected/disconnected, an external USB device is connected/disconnected, etc)

To enable this feature,

* Select Enable Forensic Mode on the Main tab of the Settings dialog box.

Each time you start file recovery, the Forensic Log Settings dialog box will appear.

Click to enlarge

Forensic Log Settings dialog box

Enter the required information and click the OK button to go to the Recovery dialog box.

While file recovery, R-Studio will create forensic data collection audit log in the specified folder. Below is an example of such log.

******************************** Forensic Data Collection Audit Log ********************************

R-STUDIO Network Technician 6.2.153589/2/3/2013

Case Name: Steven v. Christofer

Case Number: 28-S-0205-CR-85763

Operator / Investigator Name: J.F. Lewson

**************************************** Drives Information ****************************************

- Drive Number 0 ---------------------------------

* Drive Type [256 bytes]: Computer,Local Computer

* Name [30 bytes]: Local Computer

* OS [74 bytes]: Windows 7 Build 7601, Service Pack 1

* System [150 bytes]: 4 x Intel(R) Core(TM) i3 CPU 530 @ 2.93GHz, 2933 MHz, 3919 MB RAM

- Drive Number 3 ---------------------------------

* Drive Type [256 bytes]: CDROM

* Name [54 bytes]: PIONEERDVD-RW DVR-219L1.00

+ Device Identification [8 bytes]:

* Vendor [32 bytes]: PIONEER

* Product [64 bytes]: DVD-RW DVR-219L

* Firmware [16 bytes]: 1.00

+ SCSI Address [8 bytes]:

* Port Number [1 bytes]: 3

* Path Id [1 bytes]: 1

* Target Id [1 bytes]: 0

* Lun [1 bytes]: 0

- Drive Number 4 ---------------------------------

* Drive Type [256 bytes]: Physical Drive,Disk

* Name [52 bytes]: WDC WD75AA-00BAA010.09K11

* OS Object [38 bytes]: \\.\PhysicalDrive0

* R-Studio Driver [44 bytes]: WinNT\Handle\Physical

* Size [8 bytes]: 7.02GB (14726880 sec)

* Sector Size [4 bytes]: 512B

* Partition Size [8 bytes]: 7.02GB (14726880 sec)

# I/O Tries [4 bytes]: Default

+ Drive Control [8 bytes]:

# Maximum Transfer [4 bytes]: 131072

# I/O Unit [4 bytes]: 512

# Buffer Alignment [4 bytes]: 2

+ Physical Drive Geometry [8 bytes]:

* Cylinders [8 bytes]: 916

* Tracks Per Cylinder [4 bytes]: 255

* Sectors Per Track [4 bytes]: 63

* Sector Size [4 bytes]: 512B

# Partition Layout Sector Size [4 bytes]: 512B

+ Device Identification [8 bytes]:

* Product [64 bytes]: WDC WD75AA-00BAA0

* Firmware [16 bytes]: 10.09K11

* Serial Number [32 bytes]: WD-WMA2L2883101

+ SCSI Address [8 bytes]:

* Port Number [1 bytes]: 0

* Path Id [1 bytes]: 0

* Target Id [1 bytes]: 0

* Lun [1 bytes]: 0

* Bus Type [4 bytes]: IDE/ATA

+ IDE Properties [8 bytes]:

* Buffer [116 bytes]: 2 MB, Dual ported multi-sector buffer with a read caching

* ECC Bytes [2 bytes]: 40

* PIO Modes [16 bytes]: 1,2,3,4

* DMA Modes [12 bytes]: 0,1,2

* UltraDMA Modes [20 bytes]: 0,1,2,3,4

* Current Mode [22 bytes]: UltraDMA 4

* Int13 Drive Number [4 bytes]: 0x81

- Drive Number 5 ---------------------------------

* Drive Type [256 bytes]: Physical Drive,Disk

* Name [32 bytes]: ST3320418ASCC44

* OS Object [38 bytes]: \\.\PhysicalDrive1

* R-Studio Driver [44 bytes]: WinNT\Handle\Physical

* Size [8 bytes]: 298GB (625142448 sec)

* Sector Size [4 bytes]: 512B

* Partition Size [8 bytes]: 298GB (625142448 sec)

# I/O Tries [4 bytes]: Default

+ Drive Control [8 bytes]:

# Maximum Transfer [4 bytes]: 131072

# I/O Unit [4 bytes]: 512

# Buffer Alignment [4 bytes]: 2

+ Physical Drive Geometry [8 bytes]:

* Cylinders [8 bytes]: 38913

* Tracks Per Cylinder [4 bytes]: 255

* Sectors Per Track [4 bytes]: 63

* Sector Size [4 bytes]: 512B

# Partition Layout Sector Size [4 bytes]: 512B

+ Device Identification [8 bytes]:

* Product [64 bytes]: ST3320418AS

* Firmware [16 bytes]: CC44

* Serial Number [32 bytes]: 9VMMRZKW

+ SCSI Address [8 bytes]:

* Port Number [1 bytes]: 2

* Path Id [1 bytes]: 0

* Target Id [1 bytes]: 0

* Lun [1 bytes]: 0

* Bus Type [4 bytes]: SerialATA-II

+ IDE Properties [8 bytes]:

* Buffer [12 bytes]: 16 MB

* ECC Bytes [2 bytes]: 4

* PIO Modes [16 bytes]: 1,2,3,4

* DMA Modes [12 bytes]: 0,1,2

* UltraDMA Modes [28 bytes]: 0,1,2,3,4,5,6

* Current Mode [22 bytes]: UltraDMA 5

* Int13 Drive Number [4 bytes]: 0x80

- Drive Number 6 ---------------------------------

* Drive Type [256 bytes]: Volume

* Name [90 bytes]: Volume{445abf3b-13ef-11e0-b147-806e6f6e6963}

* OS Object [98 bytes]: \\?\Volume{445abf3b-13ef-11e0-b147-806e6f6e6963}

* R-Studio Driver [42 bytes]: WinNT\Handle\Logical

* Size [8 bytes]: 100MB (204800 sec)

* Sector Size [4 bytes]: 512B

* Partition Offset [8 bytes]: 1.00MB (2048 sec)

* Partition Size [8 bytes]: 100MB (204800 sec)

* Partition Number [4 bytes]: 1

* Partition Type [256 bytes]: NTFS/HPFS

+ NTFS Information [8 bytes]:

* Cluster Size [4 bytes]: 4.00KB (8 sec)

* MFT Record Size [4 bytes]: 1.00KB

* MFT Position [8 bytes]: 33.3MB (68264 sec)

* MFT Mirror Position [8 bytes]: 8.00KB (16 sec)

* Index Block Size [4 bytes]: 4.00KB

* Sector Size [4 bytes]: 512B

* Volume Size [8 bytes]: 99.9MB (204799 sec)

# I/O Tries [4 bytes]: Default

+ Drive Control [8 bytes]:

# Maximum Transfer [4 bytes]: 131072

# I/O Unit [4 bytes]: 512

# Buffer Alignment [4 bytes]: 2

+ Physical Drive Geometry [8 bytes]:

* Cylinders [8 bytes]: 38913

* Tracks Per Cylinder [4 bytes]: 255

* Sectors Per Track [4 bytes]: 63

* Sector Size [4 bytes]: 512B

+ SCSI Address [8 bytes]:

* Port Number [1 bytes]: 2

* Path Id [1 bytes]: 0

* Target Id [1 bytes]: 0

* Lun [1 bytes]: 0

* Bus Type [4 bytes]: IDE/ATA

- Drive Number 7 ---------------------------------

* Drive Type [256 bytes]: Volume,Disk

* Name [6 bytes]: F:

* Mount Points [8 bytes]: F:\

* OS Object [98 bytes]: \\?\Volume{ccb23f8c-1302-11e2-8330-20cf30be3944}

* R-Studio Driver [42 bytes]: WinNT\Handle\Logical

* Size [8 bytes]: 2.92GB (6136766 sec)

* Sector Size [4 bytes]: 512B

* Partition Offset [8 bytes]: 32.0KB (64 sec)

* Partition Size [8 bytes]: 2.92GB (6136766 sec)

* Partition Number [4 bytes]: 1

* Partition Type [256 bytes]: NTFS/HPFS

+ NTFS Information [8 bytes]:

* Cluster Size [4 bytes]: 2.00KB (4 sec)

* MFT Record Size [4 bytes]: 1.00KB

* MFT Position [8 bytes]: 12.0KB (24 sec)

* MFT Mirror Position [8 bytes]: 302KB (604 sec)

* Index Block Size [4 bytes]: 4.00KB

* Sector Size [4 bytes]: 512B

* Volume Size [8 bytes]: 2.92GB (6136700 sec)

# I/O Tries [4 bytes]: Default

+ Drive Control [8 bytes]:

# Maximum Transfer [4 bytes]: 131072

# I/O Unit [4 bytes]: 512

# Buffer Alignment [4 bytes]: 2

+ Physical Drive Geometry [8 bytes]:

* Cylinders [8 bytes]: 916

* Tracks Per Cylinder [4 bytes]: 255

* Sectors Per Track [4 bytes]: 63

* Sector Size [4 bytes]: 512B

+ SCSI Address [8 bytes]:

* Port Number [1 bytes]: 0

* Path Id [1 bytes]: 0

* Target Id [1 bytes]: 0

* Lun [1 bytes]: 0

* Bus Type [4 bytes]: IDE/ATA

- Drive Number 8 ---------------------------------

* Drive Type [256 bytes]: Volume,Disk

* Name [6 bytes]: G:

* Mount Points [8 bytes]: G:\

* OS Object [98 bytes]: \\?\Volume{e0651538-ace3-11e1-8eff-20cf30be3944}

* R-Studio Driver [42 bytes]: WinNT\Handle\Logical

* Size [8 bytes]: 2.02GB (4257161 sec)

* Sector Size [4 bytes]: 512B

* Partition Offset [8 bytes]: 2.92GB (6136893 sec)

* Partition Size [8 bytes]: 2.02GB (4257161 sec)

* Partition Number [4 bytes]: 2

* Partition Type [256 bytes]: FAT32

+ FAT Information [8 bytes]:

* FAT Bits (12,16,32) [4 bytes]: 32

* Cluster Size [4 bytes]: 4.00KB (8 sec)

* First Cluster Offset [8 bytes]: 4.06MB (8322 sec)

* Root Directory Cluster [4 bytes]: 2

* First FAT Offset [8 bytes]: 19.0KB (38 sec)

* Size of One FAT Table [8 bytes]: 2.02MB (4150 sec)

* Number of FAT Copies [4 bytes]: 2

# Active FAT copy [4 bytes]: Auto

* Sector Size [4 bytes]: 512B

* Major Version [1 bytes]: 0

* Minor Version [1 bytes]: 0

* Volume Size [8 bytes]: 2.02GB (4257161 sec)

# I/O Tries [4 bytes]: Default

+ Drive Control [8 bytes]:

# Maximum Transfer [4 bytes]: 131072

# I/O Unit [4 bytes]: 512

# Buffer Alignment [4 bytes]: 2

+ Physical Drive Geometry [8 bytes]:

* Cylinders [8 bytes]: 916

* Tracks Per Cylinder [4 bytes]: 255

* Sectors Per Track [4 bytes]: 63

* Sector Size [4 bytes]: 512B

+ SCSI Address [8 bytes]:

* Port Number [1 bytes]: 0

* Path Id [1 bytes]: 0

* Target Id [1 bytes]: 0

* Lun [1 bytes]: 0

* Bus Type [4 bytes]: IDE/ATA

- Drive Number 9 ---------------------------------

* Drive Type [256 bytes]: Volume,Disk

* Name [6 bytes]: H:

* Mount Points [8 bytes]: H:\

* OS Object [98 bytes]: \\?\Volume{e0651537-ace3-11e1-8eff-20cf30be3944}

* R-Studio Driver [42 bytes]: WinNT\Handle\Logical

* Size [8 bytes]: 2.00GB (4208966 sec)

* Sector Size [4 bytes]: 512B

* Partition Offset [8 bytes]: 4.95GB (10394118 sec)

* Partition Size [8 bytes]: 2.00GB (4208966 sec)

* Partition Number [4 bytes]: 3

* Partition Type [256 bytes]: FAT16 (big)

+ FAT Information [8 bytes]:

* FAT Bits (12,16,32) [4 bytes]: 16

* Cluster Size [4 bytes]: 32.0KB (64 sec)

* First Cluster Offset [8 bytes]: 209KB (418 sec)

* Root Directory Offset [8 bytes]: 263168

* Root Directory Length [4 bytes]: 16.0KB

* First FAT Offset [8 bytes]: 1.00KB (2 sec)

* Size of One FAT Table [8 bytes]: 128KB (256 sec)

* Number of FAT Copies [4 bytes]: 2

# Active FAT copy [4 bytes]: Auto

* Sector Size [4 bytes]: 512B

* Major Version [1 bytes]: 0

* Minor Version [1 bytes]: 0

* Volume Size [8 bytes]: 1.99GB (4193698 sec)

# I/O Tries [4 bytes]: Default

+ Drive Control [8 bytes]:

# Maximum Transfer [4 bytes]: 131072

# I/O Unit [4 bytes]: 512

# Buffer Alignment [4 bytes]: 2

+ Physical Drive Geometry [8 bytes]:

* Cylinders [8 bytes]: 916

* Tracks Per Cylinder [4 bytes]: 255

* Sectors Per Track [4 bytes]: 63

* Sector Size [4 bytes]: 512B

+ SCSI Address [8 bytes]:

* Port Number [1 bytes]: 0

* Path Id [1 bytes]: 0

* Target Id [1 bytes]: 0

* Lun [1 bytes]: 0

* Bus Type [4 bytes]: IDE/ATA

- Drive Number 10 --------------------------------

* Drive Type [256 bytes]: Volume,Disk

* Name [6 bytes]: C:

* Mount Points [8 bytes]: C:\

* OS Object [98 bytes]: \\?\Volume{445abf3c-13ef-11e0-b147-806e6f6e6963}

* R-Studio Driver [42 bytes]: WinNT\Handle\Logical

* Size [8 bytes]: 121GB (255793152 sec)

* Sector Size [4 bytes]: 512B

* Partition Offset [8 bytes]: 101MB (206848 sec)

* Partition Size [8 bytes]: 121GB (255793152 sec)

* Partition Number [4 bytes]: 2

* Partition Type [256 bytes]: NTFS/HPFS

+ NTFS Information [8 bytes]:

* Cluster Size [4 bytes]: 4.00KB (8 sec)

* MFT Record Size [4 bytes]: 1.00KB

* MFT Position [8 bytes]: 3.00GB (6291456 sec)

* MFT Mirror Position [8 bytes]: 8.00KB (16 sec)

* Index Block Size [4 bytes]: 4.00KB

* Sector Size [4 bytes]: 512B

* Volume Size [8 bytes]: 121GB (255793151 sec)

# I/O Tries [4 bytes]: Default

+ Drive Control [8 bytes]:

# Maximum Transfer [4 bytes]: 131072

# I/O Unit [4 bytes]: 512

# Buffer Alignment [4 bytes]: 2

+ Physical Drive Geometry [8 bytes]:

* Cylinders [8 bytes]: 38913

* Tracks Per Cylinder [4 bytes]: 255

* Sectors Per Track [4 bytes]: 63

* Sector Size [4 bytes]: 512B

+ SCSI Address [8 bytes]:

* Port Number [1 bytes]: 2

* Path Id [1 bytes]: 0

* Target Id [1 bytes]: 0

* Lun [1 bytes]: 0

* Bus Type [4 bytes]: IDE/ATA

- Drive Number 11 --------------------------------

* Drive Type [256 bytes]: Volume,Disk

* Name [6 bytes]: D:

* Mount Points [8 bytes]: D:\

* OS Object [98 bytes]: \\?\Volume{605e4bfe-13f3-11e0-be0a-20cf30be3944}

* R-Studio Driver [42 bytes]: WinNT\Handle\Logical

* Size [8 bytes]: 176GB (369137664 sec)

* Sector Size [4 bytes]: 512B

* Partition Offset [8 bytes]: 122GB (256000000 sec)

* Partition Size [8 bytes]: 176GB (369137664 sec)

* Partition Number [4 bytes]: 3

* Partition Type [256 bytes]: NTFS/HPFS

+ NTFS Information [8 bytes]:

* Cluster Size [4 bytes]: 4.00KB (8 sec)

* MFT Record Size [4 bytes]: 1.00KB

* MFT Position [8 bytes]: 3.00GB (6291456 sec)

* MFT Mirror Position [8 bytes]: 8.00KB (16 sec)

* Index Block Size [4 bytes]: 4.00KB

* Sector Size [4 bytes]: 512B

* Volume Size [8 bytes]: 176GB (369137663 sec)

# I/O Tries [4 bytes]: Default

+ Drive Control [8 bytes]:

# Maximum Transfer [4 bytes]: 131072

# I/O Unit [4 bytes]: 512

# Buffer Alignment [4 bytes]: 2

+ Physical Drive Geometry [8 bytes]:

* Cylinders [8 bytes]: 38913

* Tracks Per Cylinder [4 bytes]: 255

* Sectors Per Track [4 bytes]: 63

* Sector Size [4 bytes]: 512B

+ SCSI Address [8 bytes]:

* Port Number [1 bytes]: 2

* Path Id [1 bytes]: 0

* Target Id [1 bytes]: 0

* Lun [1 bytes]: 0

* Bus Type [4 bytes]: IDE/ATA

- Drive Number 12 --------------------------------

* Drive Type [256 bytes]: Volume,CDROM

* Name [6 bytes]: E:

* Mount Points [8 bytes]: E:\

* OS Object [98 bytes]: \\?\Volume{445abf3f-13ef-11e0-b147-806e6f6e6963}

* R-Studio Driver [42 bytes]: WinNT\Handle\Logical

# I/O Tries [4 bytes]: Default

+ Drive Control [8 bytes]:

# Maximum Transfer [4 bytes]: 131072

# I/O Unit [4 bytes]: 2048

# Buffer Alignment [4 bytes]: 2

+ SCSI Address [8 bytes]:

* Port Number [1 bytes]: 3

* Path Id [1 bytes]: 1

* Target Id [1 bytes]: 0

* Lun [1 bytes]: 0

* Bus Type [4 bytes]: IDE/ATAPI

- Drive Number 13 --------------------------------

* Drive Type [256 bytes]: Partition,Logical

* Name [22 bytes]: Partition1

* Mount Points [8 bytes]: F:\

* Size [8 bytes]: 2.92GB (6136766 sec)

* Partition Offset [8 bytes]: 32.0KB (64 sec)

* Partition Size [8 bytes]: 2.92GB (6136766 sec)

* Partition Number [4 bytes]: 1

* Partition Type [256 bytes]: NTFS/HPFS

+ NTFS Information [8 bytes]:

* Cluster Size [4 bytes]: 2.00KB (4 sec)

* MFT Record Size [4 bytes]: 1.00KB

* MFT Position [8 bytes]: 12.0KB (24 sec)

* MFT Mirror Position [8 bytes]: 302KB (604 sec)

* Index Block Size [4 bytes]: 4.00KB

* Sector Size [4 bytes]: 512B

* Volume Size [8 bytes]: 2.92GB (6136700 sec)

- Drive Number 14 --------------------------------

* Drive Type [256 bytes]: Partition,Logical

* Name [22 bytes]: Partition2

* Mount Points [8 bytes]: G:\

* Size [8 bytes]: 2.02GB (4257161 sec)

* Partition Offset [8 bytes]: 2.92GB (6136893 sec)

* Partition Size [8 bytes]: 2.02GB (4257161 sec)

* Partition Number [4 bytes]: 2

* Partition Type [256 bytes]: FAT32

+ FAT Information [8 bytes]:

* FAT Bits (12,16,32) [4 bytes]: 32

* Cluster Size [4 bytes]: 4.00KB (8 sec)

* First Cluster Offset [8 bytes]: 4.06MB (8322 sec)

* Root Directory Cluster [4 bytes]: 2

* First FAT Offset [8 bytes]: 19.0KB (38 sec)

* Size of One FAT Table [8 bytes]: 2.02MB (4150 sec)

* Number of FAT Copies [4 bytes]: 2

# Active FAT copy [4 bytes]: Auto

* Sector Size [4 bytes]: 512B

* Major Version [1 bytes]: 0

* Minor Version [1 bytes]: 0

* Volume Size [8 bytes]: 2.02GB (4257161 sec)

- Drive Number 15 --------------------------------

* Drive Type [256 bytes]: Partition,Logical

* Name [22 bytes]: Partition3

* Mount Points [8 bytes]: H:\

* Size [8 bytes]: 2.00GB (4208966 sec)

* Partition Offset [8 bytes]: 4.95GB (10394118 sec)

* Partition Size [8 bytes]: 2.00GB (4208966 sec)

* Partition Number [4 bytes]: 3

* Partition Type [256 bytes]: FAT16 (big)

+ FAT Information [8 bytes]:

* FAT Bits (12,16,32) [4 bytes]: 16

* Cluster Size [4 bytes]: 32.0KB (64 sec)

* First Cluster Offset [8 bytes]: 209KB (418 sec)

* Root Directory Offset [8 bytes]: 263168

* Root Directory Length [4 bytes]: 16.0KB

* First FAT Offset [8 bytes]: 1.00KB (2 sec)

* Size of One FAT Table [8 bytes]: 128KB (256 sec)

* Number of FAT Copies [4 bytes]: 2

# Active FAT copy [4 bytes]: Auto

* Sector Size [4 bytes]: 512B

* Major Version [1 bytes]: 0

* Minor Version [1 bytes]: 0

* Volume Size [8 bytes]: 1.99GB (4193698 sec)

- Drive Number 16 --------------------------------

* Drive Type [256 bytes]: Empty Space

* Name [28 bytes]: Empty Space16

* Size [8 bytes]: 60.4MB (123796 sec)

* Partition Offset [8 bytes]: 6.96GB (14603084 sec)

* Partition Size [8 bytes]: 60.4MB (123796 sec)

- Drive Number 17 --------------------------------

* Drive Type [256 bytes]: Partition,Active

* Name [22 bytes]: Partition1

* Size [8 bytes]: 100MB (204800 sec)

* Partition Offset [8 bytes]: 1.00MB (2048 sec)

* Partition Size [8 bytes]: 100MB (204800 sec)

* Partition Number [4 bytes]: 1

* Partition Type [256 bytes]: NTFS/HPFS

+ NTFS Information [8 bytes]:

* Cluster Size [4 bytes]: 4.00KB (8 sec)

* MFT Record Size [4 bytes]: 1.00KB

* MFT Position [8 bytes]: 33.3MB (68264 sec)

* MFT Mirror Position [8 bytes]: 8.00KB (16 sec)

* Index Block Size [4 bytes]: 4.00KB

* Sector Size [4 bytes]: 512B

* Volume Size [8 bytes]: 99.9MB (204799 sec)

- Drive Number 18 --------------------------------

* Drive Type [256 bytes]: Partition,Primary

* Name [22 bytes]: Partition2

* Mount Points [8 bytes]: C:\

* Size [8 bytes]: 121GB (255793152 sec)

* Partition Offset [8 bytes]: 101MB (206848 sec)

* Partition Size [8 bytes]: 121GB (255793152 sec)

* Partition Number [4 bytes]: 2

* Partition Type [256 bytes]: NTFS/HPFS

+ NTFS Information [8 bytes]:

* Cluster Size [4 bytes]: 4.00KB (8 sec)

* MFT Record Size [4 bytes]: 1.00KB

* MFT Position [8 bytes]: 3.00GB (6291456 sec)

* MFT Mirror Position [8 bytes]: 8.00KB (16 sec)

* Index Block Size [4 bytes]: 4.00KB

* Sector Size [4 bytes]: 512B

* Volume Size [8 bytes]: 121GB (255793151 sec)

- Drive Number 19 --------------------------------

* Drive Type [256 bytes]: Partition,Primary

* Name [22 bytes]: Partition3

* Mount Points [8 bytes]: D:\

* Size [8 bytes]: 176GB (369137664 sec)

* Partition Offset [8 bytes]: 122GB (256000000 sec)

* Partition Size [8 bytes]: 176GB (369137664 sec)

* Partition Number [4 bytes]: 3

* Partition Type [256 bytes]: NTFS/HPFS

+ NTFS Information [8 bytes]:

* Cluster Size [4 bytes]: 4.00KB (8 sec)

* MFT Record Size [4 bytes]: 1.00KB

* MFT Position [8 bytes]: 3.00GB (6291456 sec)

* MFT Mirror Position [8 bytes]: 8.00KB (16 sec)

* Index Block Size [4 bytes]: 4.00KB

* Sector Size [4 bytes]: 512B

* Volume Size [8 bytes]: 176GB (369137663 sec)

****************************************************************************************************

-------------------------------------------- Session 1 ---------------------------------------------

START Date / Time of Collection: 2013-02-06 22:09:29

Source drive:Sector Modification Date MD5 File Name

8 2012-12-04 19:53:00 Music

File Data

3966106-3966113

8 2012-12-04 19:53:50 Music\Carl Orff CarminaBurana

File Data

3966114-3966121

8 2008-05-10 12:31:54 e3ed08b18d2dfe4fffa90fc7e5b7f1ac Music\Carl Orff CarminaBurana\a_young_girl.mp3

File Data

3966122-3974289

8 2008-05-10 12:28:44 96a828f7d852871c2a8707a918b2a26a Music\Carl Orff CarminaBurana\boiling_rage.mp3

File Data

3974290-3983473

8 2008-05-10 12:32:50 aeabe7bdc208dd47a1bc6fb6810c7455 Music\Carl Orff CarminaBurana\come_my_beauty.mp3

File Data

3983474-3990817

8 2008-05-10 12:27:38 f6d9d74f36ccf747c947da697a88e8a8 Music\Carl Orff CarminaBurana\if_the_whole_world_was_mine.mp3

File Data

3990818-3993353

8 2008-05-10 12:30:38 855047c9885454adff15d8343f9f4792 Music\Carl Orff CarminaBurana\in_the_tavern.mp3

File Data

3993354-4000649

8 2008-05-10 12:30:58 1b8588242e838d32b6477657ad2d410a Music\Carl Orff CarminaBurana\love_flies_everywhere.mp3

File Data

4000650-4006017, 4006018-4006697

8 2008-05-10 12:22:30 2f5d751b174e6e6c575dfb5980351011 Music\Carl Orff CarminaBurana\sunrise.mp3

File Data

4006698-4013025

8 2008-05-10 12:26:32 64eb19ac44e2bfcd0481c9c8b11d80a1 Music\Carl Orff CarminaBurana\sweetest_boy.mp3

File Data

4013026-4014601

8 2008-05-10 12:26:02 7cf363567fc0a7d3945dd7fe43c2022b Music\Carl Orff CarminaBurana\the_dance.mp3

File Data

4014602-4021481

8 2008-05-10 12:19:52 47b8aadf4db862f4f6ab7ab0ea98eb53 Music\Carl Orff CarminaBurana\the_face_of_spring.mp3

File Data

4021482-4033465

8 2008-05-10 12:36:36 222faa73045887b591fd69c0131b1c8a Music\Carl Orff CarminaBurana\the_lovers.mp3

File Data

4033466-4037073

8 2008-05-10 12:29:40 8c0935c960b42c4c4b3b034efb1a301a Music\Carl Orff CarminaBurana\the_roasted_swan.mp3

File Data

4037074-4043233

8 2008-05-10 12:38:38 c9fcfaf50a336c6619f42afefa2d9525 Music\Carl Orff CarminaBurana\the_wheel_of_fortune.mp3

File Data

4043234-4052081

8 2008-05-10 12:14:46 8292a5f076dd419499234f554eeb890f Music\Carl Orff CarminaBurana\the_wounds_of_fate.mp3

File Data

4052082-4062641

8 2008-05-10 12:23:20 7743d3e148f833f524bf99c0e58a60fc Music\Carl Orff CarminaBurana\welcome.mp3

File Data

4062642-4070417

8 2012-12-04 19:55:40 Music\Elton_John

File Data

4070418-4070425

8 2008-04-27 18:09:38 700c87da7656c365d7a066caecccc48b Music\Elton_John\02-A Word in Spanish.mp3

File Data

4070426-4071553, 4071554-4083369

8 2001-10-04 16:41:16 8ff86aa42faaa1169fd14635126945e4 Music\Elton_John\04-Club At The End Of The Street.mp3

File Data

4083370-4096873

8 2008-04-27 18:10:40 ee22ed32d77106baf6ba0adaf9384d7c Music\Elton_John\05-Sorry Seems to Be the Hardest Word.mp3

File Data

4096874-4107633

8 2001-10-04 16:41:24 dd11b71234d0f11926878da8f156bdab Music\Elton_John\07-Sacrifice.mp3

File Data

4107634-4121921

8 2001-10-04 16:41:24 43efe3779b6bd5d9a3d7692ada485302 Music\Elton_John\08-I Newer Knew Her Name.mp3

File Data

4121922-4131777

8 2008-04-27 18:11:32 a201b3be4ecb6dd3b4ca6558954824c4 Music\Elton_John\09-Candy By The Pound.mp3

File Data

4131778-4137089, 4137090-4142793

8 2001-10-04 16:41:30 c27400f5d678252ea2a2b9a9dd2603d4 Music\Elton_John\10-Blue avenue.mp3

File Data

4142794-4155081

8 2008-04-27 18:12:02 d5892763c3becea6afec39210e71a917 Music\Elton_John\12-I'm Your Puppet.mp3

File Data

4155082-4165097

8 2008-04-27 18:09:22 326c5af71d036f97c1adfd210b574995 Music\Elton_John\AlbumArtSmall.jpg

File Data

4165098-4165105

8 2008-04-27 18:05:46 317359a14280c519ce8d1f3e4fe607a2 Music\Elton_John\AlbumArt_{00FEB343-A4EF-48C0-A58B-0321C72AFB82}_Large.jpg

File Data

4165106-4165113, 4165114-4165137

8 2008-04-27 18:04:58 0aecba6783c8d3dc9331acadd3394203 Music\Elton_John\AlbumArt_{00FEB343-A4EF-48C0-A58B-0321C72AFB82}_Small.jpg

File Data

4165138-4165145

8 2008-04-27 18:10:04 d75dd97722a8cb3b5d645d280e81b93b Music\Elton_John\AlbumArt_{6609CAD8-CCF6-4FE7-BB50-D79D8DA92302}_Large.jpg

File Data

4165146-4165153, 4165154-4165161

8 2008-04-27 18:08:22 5235095d98e89f6d03847668788cc00a Music\Elton_John\AlbumArt_{6609CAD8-CCF6-4FE7-BB50-D79D8DA92302}_Small.jpg

File Data

4165162-4165169

8 2008-04-27 18:10:32 0854eac43624b3ff0a3735ca1463d841 Music\Elton_John\AlbumArt_{758956AA-1FD8-41D1-BEC1-BAF69BCF80DC}_Large.jpg

File Data

4165170-4165177, 4165178-4165185

8 2008-04-27 18:09:22 326c5af71d036f97c1adfd210b574995 Music\Elton_John\AlbumArt_{758956AA-1FD8-41D1-BEC1-BAF69BCF80DC}_Small.jpg

File Data

4165186-4165193

8 2008-04-27 18:08:08 1c1f55cfa551c80ae01494470d5a0ad6 Music\Elton_John\AlbumArt_{AD88489E-F38C-4942-B531-7BE274FACDB2}_Large.jpg

File Data

4165194-4165201, 4165202-4165217

8 2008-04-27 18:07:06 d0ecfea1f078c4457e90412a15ff558c Music\Elton_John\AlbumArt_{AD88489E-F38C-4942-B531-7BE274FACDB2}_Small.jpg

File Data

4165218-4165225

8 2008-04-27 18:11:12 1252d6a3aef8f3efa58fce8391182166 Music\Elton_John\?esktop.ini

File Data

4165226-4165233

8 2007-06-07 05:07:38 ecb10bc7c33aefb1f30949cc737070e9 Music\Elton_John\Elton_John-02.MP3

File Data

4165234-4176001

8 2007-06-07 05:08:06 d2dbfb298bb2638c3b57d7c679dfe94a Music\Elton_John\Elton_John-03.MP3

File Data

4176002-4191169

8 2007-06-07 05:08:24 09753362b96e24585b4a5915ae3250de Music\Elton_John\Elton_John-04.MP3

File Data

4191170-4200257

8 2007-06-07 05:09:46 ab933d4eba7f0f36888d7ef44c73f415 Music\Elton_John\Elton_John-08.MP3

File Data

4200258-4202625, 4202626-4217089

8 2007-06-07 05:12:12 9312b2e9a7496b02ba1d6547ca109367 Music\Elton_John\Elton_John-15.MP3

File Data

4217090-4228729

8 2007-06-07 05:12:44 724c5db8a39b7ea61e0ca196c06c96e5 Music\Elton_John\Elton_John-17.MP3

File Data

4228730-4236537

8 2008-04-27 18:10:32 0854eac43624b3ff0a3735ca1463d841 Music\Elton_John\Folder.jpg

File Data

4236538-4236545, 4236546-4236553

8 2012-12-04 19:55:38 6ca1829fb46c96917e6e61a54d75d0f4 Music\Elton_John\AlbumArtSmall.jpg

File Data

1066442-1066449

8 2012-12-04 19:55:38 6ca1829fb46c96917e6e61a54d75d0f4 Music\Elton_John\AlbumArt_{00FEB343-A4EF-48C0-A58B-0321C72AFB82}_Small.jpg

File Data

1066450-1066457

8 2012-12-04 19:55:40 61ee818e8e3041c22d1d64f4aea053f3 Music\Elton_John\?esktop.ini

File Data

1066522-1066529

8 2012-12-04 19:53:58 Music\Manu_Chao

File Data

4236554-4236561

8 2002-05-21 16:04:52 cb7c1b923d38e16087ba8a90a5b2c9fa Music\Manu_Chao\01-Clandestino.mp3

File Data

4236562-4243529

8 2002-05-21 16:05:36 9b7e1c8711230d72b487a8f26967657d Music\Manu_Chao\02-Desaparecido.mp3

File Data

4243530-4254193

8 2002-06-24 22:35:42 c67a50c2b40ca8d68cf51a825c65dd1f Music\Manu_Chao\03-Bongo Bong.mp3

File Data

4254194-4257153, 344370-348833

8 2002-06-24 22:36:50 e1be88d37a71ba4d8f95a1b8ebeb135d Music\Manu_Chao\04-Je Ne T'Aime Plus.mp3

File Data

348834-354593

8 2002-06-24 22:37:22 ba2e9970e88c4060c4a286f596cb4975 Music\Manu_Chao\05-Mentira....mp3

File Data

354594-367585

8 2002-05-21 16:05:36 ebdb3355e7cc9a35237d1fe6d9ee7d6e Music\Manu_Chao\06-Lagrimas De Oro.mp3

File Data

367586-375921

8 2002-05-21 16:05:36 b934faff976af01937157d4c7bdd4ce1 Music\Manu_Chao\10-Welcome To Tijuana.mp3

File Data

375922-387377

8 2002-05-21 16:05:36 0367c0565f6ef3da3d97d668c0b25695 Music\Manu_Chao\15-La Despedida.mp3

File Data

387378-396281

8 2008-04-27 19:03:06 df78baa97be4093cae95909a6f94d5fe Music\Manu_Chao\AlbumArtSmall.jpg

File Data

396282-396289

8 2008-04-27 19:03:20 38e457ed886866f93335968a8638ad08 Music\Manu_Chao\AlbumArt_{A0F31A58-545E-4020-9120-DB47553C0B48}_Large.jpg

File Data

396290-396313

8 2008-04-27 19:03:06 df78baa97be4093cae95909a6f94d5fe Music\Manu_Chao\AlbumArt_{A0F31A58-545E-4020-9120-DB47553C0B48}_Small.jpg

File Data

396314-396321

8 2008-04-27 19:03:40 afcc0d798665335141014707f4f4ae33 Music\Manu_Chao\?esktop.ini

File Data

396322-396329

8 2008-04-27 19:03:20 38e457ed886866f93335968a8638ad08 Music\Manu_Chao\Folder.jpg

File Data

396330-396353

8 2012-12-04 19:44:14 Video

File Data

1056914-1056921

8 2011-01-22 13:19:16 7b1c1214777f91c71dfbfec0b79e2e3d Video\Cirque.Du.Soleil.Kooza.2008.avi

File Data

1109602-1122433, 1122434-1187969, 1187970-1253505, 1253506-1319041, 1319042-1384577, 1384578-1450113, 1450114-1515649, 1515650-1581185, 1581186-1646721, 1646722-1712257, 1712258-1777793, 1777794-1843329, 1843330-1908865, 1908866-1974401, 1974402-2039937, 2039938-2105473, 2105474-2171009, 2171010-2236545, 2236546-2302081, 2302082-2367617, 2367618-2433153, 2433154-2498689, 2498690-2564225, 2564226-2629761, 2629762-2695297, 2695298-2760833, 2760834-2826369, 2826370-2891905, 2891906-2957441, 2957442-3022977, 3022978-3088513, 3088514-3154049, 3154050-3219585, 3219586-3285121, 3285122-3350657, 3350658-3416193, 3416194-3481729, 3481730-3547265, 3547266-3612801, 3612802-3678337, 3678338-3743873, 3743874-3809409, 3809410-3874945, 3874946-3940481, 3940482-3966097

END Date / Time of Collection: 2013-02-06 22:11:30

----------------------------------------------------------------------------------------------------


R-Studio Switches

If there are problems in starting R-Studio and while working with it, you may use switches to avoid them.

The following switches are available:

-all_drives | Forces R-Studio to show all logical disks in the system. Normally R-Studio shows only local disks in the system. Some storage devices may pretend that they are not local disks.
-debug | Includes additional debug information. When this switch is used, an additional command Create FS Snapshot on the shortcut menu appears for an object with a file system. An FS Snapshot contains system data for the file system only (file descriptions without file contents). If a problem appears, this snapshot can be sent to R-Studio technical support to identify the problem. This switch greatly slows R-Studio. You may also turn this mode on by selecting Debug Mode on the Settings dialog box.
-flush | Flushes the log file after each write to log operations. This switch is helpful when R-Studio locks and its log file remains in memory cache unwritten to a disk. This switch greatly slows R-Studio.
-log <filename> | Started with this switch, R-Studio writes its log into the specified file. If R-Studio locks and its log file remains in memory cache unwritten to a disk, use the -flush switch.
-mem <size in MB> | Sets memory usage limit in MB for R-Studio to reconstruct the file tree. When it exceeds the limit, a Too many files... message appears. You may temporally stop file listing and browse through found files. Then you can resume file listing. You also may skip this file section and continue file listing. Example: -mem 400 - sets the limit to 400 MB.
-no_ide_ext | Turns off the inquiry about extended information on HDDs in Wind9x/ME. This switch may be helpful if R-Studio returns information about HDDs incorrectly (detects HDD geometry incorrectly).
-no_int13 | Turns off the disc access through Int13 in Wind9x/ME. This switch may be helpful if the system operates incorrectly (detects HDD geometry incorrectly or lock the system).
-no_ios | Turns off the Wind9x/ME protected-mode I/O system. This switch may be helpful if this system operates incorrectly (detects HDD geometry incorrectly or lock the system).
-reset | R-Studio resets an HDD controller each time it reads a bad sector. This switch may be helpful if the controller locks after it attempts to read a bad sector, or returns incorrect data.
-safe | Disables automatic partition search on a hard drive, file system recognition on partitions, and other potentially problematic operations. In this mode, it is necessary to use Find partition command from the hard drive shortcut menu to manually find a partition.

If an unrecognized problem appears, start R-Studio with the -debug and -log <filename> switches, and send the log and screenshot of the R-Studio main panel to the R-Studio technical support:

R-Studio Technical Support Team is available 24 hours a day, seven days a week, and has an average response time less than 4 hours.


Properties Tab

Object size units

You may select the units in which the information on object sizes will be displayed. Some parameters can be edited when the Debug mode is turned on on the Main dialog box of the R-Studio settings.

To select the units

1 Select Properties on the View menu
2 Select the units in which you want to see object sizes.

You may select

Show as Bytes

Show as Sectors

Show as Bytes and Sectors

1.Basic information

This section shows basic information for a disk object.

Click to expand/collapse More information...

Drive Type | Device/disk type and subtype. Current R-Studio version supports the following types: Disk, WORM, CDROM, Optical, Changer, Floppy, RAM Disk, LDM Partition, LDM Component, LDM Volume and subtypes: Device, OS File, Physical Drive, Mount Point, Partition, Volume Set, Mirror, Stripe Set, RAID 4, RAID 5, RAID 6
Name | Device/disk name
Size | Device/disk size
Bus Type | Device/disk bus type. Can be: IDE/ATA, IDE/ATAPI, SCSI, Floppy, USB, 1394, SSA, FibreChannel, RAID, SMART, ABIOS

2.Information on hard drives and logical disks

This section shows available information on hard drives and logical disks. These properties depend on the drive/disk type and appear only when applicable. Under Windows NT/2000/XP/2003/Vista/2008/7/8/8.1/10, an IDE drive/disk may be represented as a SCSI device, that is why the SCSI Address section appears under these OSes for those drives/disks.

Click to expand/collapse More information...

OS object | Appears for image files under Windows 9x/ME and NT/2000/XP/2003/Vista/2008/7/8/8.1/10, for drives/disks under Windows NT/2000/XP/2003/Vista/2008/7/8/8.1/10 only. An object name used by OS to access the device/disk.
R-Studio driver | Driver names (both internal and OS) used to access this drive/disk.
Sector Size | Drive/disk sector size
Physical Drive Geometry | This section shows physical geometry for a hard drive. For a logical disk it shows the physical geometry for a hard drive where the logical disk resides
Cylinders |
Tracks Per Cylinder |
Sectors Per Track |
Sector Size |
Device Identification | This section shows vendor information for the drive/disk
Vendor |
Product |
Firmware |
Bus |
SCSI Address | This section shows SCSI information for the drive/disk
Port Number |
Path ID |
Target ID |
Lun |
Windows 9x/ME adds the following properties:
Int13 Drive Number | 128 for the first hard drive accessible through Int13, 129 for the second one, etc. 0...128 for drives and other devices accessible through a Windows 9x/ME protected mode driver, if their Int13 device option is disabled. R-Studio can use Int13 disk access, and for some drive types, like SCSI devices, Int13 access is preferable. You may consider enabling the Int13 device option in the Windows Device Manager for such devices.
Int13 Extension Version | Int13 Extension Version Support for hard drives. Extended Int13 support is necessary for large drives. If this property is zero, Extended Int13 is not supported, otherwise, it shows Extended Int13 standard version, the large, the better.

3.Properties controlling access to hard drives and logical disks

This section shows properties that control access (read and write) to hard drives and logical disks. They are set to their optimal values and should be altered only if access problems appear.

Click to expand/collapse More information...

Drive Control

Maximum transfer

Maximum data size that can be read or written during a single access to the drive. If there are problems with drive access, decrease the value of this property

I/O Unit

Data size read or written during a single access to the drive is a multiple value of this property. If there are problems with drive access, decrease the value of this property

Buffer Alignment

Drive data transfer buffer is positioned at an address multiple value of this property. If there are problems with drive access, increase the value of this property.

These three properties are set by OS drivers. If the drivers set incorrect values, problems may appear during data transfer operations. You can alter them until data transfer becomes stable.

I/O Tries

Number of read/write tries during access to the drive. If there are bad sectors on the drive, increase the value of this property. This may help to successfully read those sectors. Sometimes, if the I/O Tries parameter is set too large and there are some unreadable sectors on the hard drive, the hard drive-controller pair may refuse to perform any successive read/write operations with the entire hard drive when it fails to read/write such sectors. In this case, set this parameter to zero.

The default value is specified on the Settings (Bad Sectors) panel.

R-Studio treats bad sectors in the following way:

It reads a certain part of disk (predefined by Windows) and

·If Default read attempts is set to 0, the entire part with bad sectors will be filled with the specified pattern.

·If Default read attempts is set to a non-zero value, R-Studio reads again that part sector by sector, repeating the attempts the specified number of times. If R-Studio still cannot read a bad sector, it fills the sectors with the specified pattern. In this case only the bad sectors will be filled with the pattern, but that extremely slows the disk read process.

For example, if you set Default read attempts to 1, a bad sector will be read 2 times.

4.Partition properties

A partition is a continuous area on a hard drive, characterized by its offset and size. There are partitions on basic disks, dynamic disks, and recognized volumes and partitions. R-Studio treats regions like partitions.

Click to expand/collapse More information...

Partition Offset | Initial offset for the partition.
Partition Size | Size of the partition.
Partition Type | File system type for the partition. If the record in the drive partition table is incorrect, this property may differ from the actual file system type for this partition. Still, R-Studio will process this partition correctly, as it does not use this property.
Partition number | Appears under Windows NT/2000/XP/2003/Vista/2008/7/8/8.1/10 only. Shows the number of the partition on the physical drive.
For regions and recognized partitions, Partition Offset and Partition Type properties can be manually corrected.

5.Compound volume properties

A compound volume is a union of several partitions or other disk objects. Each union type has its own rules, unique for each compound volume type. Among compound volumes are: Volume Sets (RAIDs Level 0), Mirrors (RAIDs Level 1), RAIDs4/5/6 (RAIDs Level 4/5/6), both physical and created by the user (Virtual Volume Sets, Virtual Stripe Sets, Virtual Mirrors, Virtual RAID5).

Click to expand/collapse More information...

Main properties of compound volumes are parents (disk objects from which a compound volume is created) and their order. These properties may be viewed in the Parents tab. For user-created compound volumes these properties may be altered.

Raid Block Size

Data block size for compound volumes of RAID (Level 0-5) types

6.LDM disks and volumes (Dynamic Disks)

LDM disks and volumes are volumes controlled by Logical Disk Manager (LDM). They are represented on a hard drive as a LDM database rather than partition tables. Under Windows 2000/XP/2003/Vista/2008/7/8/8.1/10, LDM disks are also called Dynamic Disks.

Click to expand/collapse More information...

Offset of Logical Disk | Initial offset of a logical disk on a hard drive. For disks, initially formatted by LDM, this value is often 31.5KB, for converted disks, it may be larger.
Supposed Parents Count | Supposed number of parent partitions for compound LDM volumes. If the LDM database is not damaged, the value of this property must be equal to the number of parent objects in the Parents tab for the disk object.
LDM Host GUID | Global Unique Identifier of a computer system where this LDM disk group has been created.
LDM DiskGroup GUID | Global Unique Identifier of the LDM disk group.
LDM Disk GUID | Global Unique Identifier of the hard drive.
LDM Volume GUID | Global Unique Identifier of the volume.
LDM Disk ID | Local hard drive Identifier, unique within this LDM disk group.
LDM Partition ID | Local partition Identifier, unique within this LDM disk group.
LDM Component ID | Local component Identifier, unique within this LDM disk group.
LDM Volume ID | Local volume Identifier, unique within this LDM disk group.
LDM Disk AltName | Additional Alternative Name given by LDM to the hard drive.
LDM Disk DriveHint | Last name of the volume, under which is has been mounted in the system. May be either a letter (C:, D:, etc.), or a mount point under Windows 2000/XP/2003/Vista/2008/7/8/8.1/10.

7.File System Volume properties

A File System (FS) volume is a disk object where a certain, supported by R-Studio, file system is present. There are two FS volume types: FS volume on a regular disk object and a recognized volume, found by a scan process. FS volume properties depend on volume's file system and type.

7.1.NTFS Volume properties

These properties are present for all NTFS volumes and represent their main properties. For recognized volumes, these values can be altered.

Click to expand/collapse More information...

NTFS Information | Regular volumes
Recognized NTFS | Recognized volumes
Cluster Size | Cluster size for the NTFS volume.
MFT record size | Size of one MFT record describing one file on the NTFS volume. This is an important property of any NTFS volume. Its common value is 1KB. If this property has incorrect value, many files may be incorrectly recovered.
Sector Size | Sector size for the physical drive. This property is read from the boot sector of the NTFS volume and does not affect R-Studio operation.
Index Block Size | Index block size for the NTFS volume. This property determines binary trees used to store NTFS folder structure. It does not affect R-Studio operation.
MFT position | MFT offset from the start of the NTFS volume.
MFT Mirror Position | Second MFT copy offset from the start of the NTFS volume.
Volume size | Size of the NTFS volume. This property does not affect R-Studio operation.

7.2.FAT Volume properties

These properties are present for all FAT volumes and represent their main properties. For recognized volumes, these values can be altered.

Click to expand/collapse More information...

FAT Information | Regular volumes
Recognized FAT | Recognized volumes
FAT Bits (12,16,32) | FAT type. 12 for the FAT12, 16 for the FAT16, 32 for the FAT32.
Cluster Size | Cluster size for the FAT volume.
First Cluster Offset | Offset of the first cluster from the start of the FAT volume.
Boot Directory Cluster | (For FAT32 only.) Cluster number where the root directory starts on the FAT volume where the logical disk resides.
Root Directory Offset | (For FAT12 and 16 only.) Root directory offset from the start of the FAT volume.
Root Directory Length | (For FAT12 and 16 only.) Root directory length for the FAT volume.
First FAT Offset | Offset for the first FAT table on the volume. Together with the Size of One Fat Table property, is a most important property for a FAT volume. If this property is incorrect, many files (especially fragmented ones) may be incorrectly recovered.
Size of One FAT Table | Size of one FAT table on the volume.
Sector Size | Sector size of the hard drive. This property is read from the boot sector of the FAT volume and does not affect R-Studio operation.
Number of FAT Copies | Number of FAT copies on the FAT volume.
Active FAT copy | Active FAT table number for the FAT volume. Can be set to Disabled, Auto, 1, or 2. If it is Disabled, R-Studio processes the volume as there is no FAT table present. This may be useful if the volume has been reformatted and thus a new FAT table is created and the old one is deleted. In this case, it is reasonable to recover files from the previous volume without processing the new and irrelevant FAT table. All files will be recovered as continuous byte chains beginning from their start cluster. Unfragmented files will be recovered successfully. If it is 1 or 2, R-Studio uses the first or second FAT table copy, respectively. If it is Auto, R-Studio uses both FAT table copies and decides, which FAT table copy should be used for a particular FAT table sector. This may be useful when both FAT tables are partially damaged.
Major version | FAT version.
Minor version | FAT minor version.
Volume size | Size of the volume.

7.3.Ext2/3/4FS Volume properties

These properties are present for all Ext2/3/4FS volumes and represent their main properties. For recognized volumes, these values can be altered.

Click to expand/collapse More information...

Ext2FS Information | Regular volumes
Recognized Ext2FS | Recognized volumes
Block Size | Block size of Ext2FS file system. A block in the Ext2/3/4FS file system is similar to a cluster in the FAT file system.
First SuperBlock Offset | Offset of the first SuperBlock from the start of the Ext2/3/4FS volume.
Blocks Per Volume | Number of blocks in the Ext2/3/4FS volume.
INodes Per Volume | Number of inodes on the Ext2/3/4FS volume. An inode is a record describing file's size, attributes, position on an Ext2F/3/4S volume - all information about a file, except its name, which is stored separately. Therefore, the INodes Per Volume parameter is equal to the maximum number of files on an Ext2/3/4FS volume.
Creator OS | The OS that created this Ext2/3/4FS volume. May be Linux, Hurd, Masix, FreeBSD, Lites.
Major version | Ext2/3/4FS version. Usually 1.
Minor version | Ext2/3/4FS minor version. Usually 0.
Last Mount Time | Last mount time for this Ext2/3/4FS volume.
Last Write Time | Last write time for this Ext2/3/4FS volume.
Last Check Time | Last check time for this Ext2/3/4FS volume.
Volume size | Size of the volume.

7.4.Recognized Volume properties

These properties are present for all recognized volumes, regardless of their file system type. They estimate how reliable those volumes are recognized. This is useful for fast search for, and selection of, optimally recognized volume to recover.

Click to expand/collapse More information...

Parsed File Entries | Number of files proving that this recognized volume existed. May have any non-negative values. The main property characterizing the reliability of volume recognition. The larger it, the higher probability that this recognized volume has file system properties that have been correctly found.
Parsed Boot Records | Number of boot records proving that this recognized volume existed. May be 0 or 1. This is the second important property characterizing the reliability of volume recognition.
Estimated Size | Estimated size of the recognized FS partition/volume. This property shows the most probable size of the recognized FS partition/volume. Alternatively, Size and Partition Size are set to the highest possible values in order to recover the maximum number of files.


Working with the Third-Party Hardware

The Technician version of R-Studio can work together with third-party hardware developed for in-depth data recovery. Currently, the following devices are supported:

·DeepSpar Disk Imager™


DeepSpar Disk Imager™

DeepSpar Disk Imager™ (DDI) is an HDD imaging device specifically built for data recovery from hard drives with hardware issues. It greatly increases imaging speed, accuracy, and integrity of data retrieved from such drives.

The main features that DDI provides when working with hard drives are the following:

·Direct low-level access to a hard drive bypassing the computers BIOS.

·Disabling specific drive read/write heads.

·Disable SMART subsystem, Bad Sector Reallocation, and Read Look-Ahead

·Read sector timeout controlled by Software/Hardware/PHY drive reset commands

·Bit level analysis of corrupted data to filter out the read-write channel noise

·Fully customizable multi-pass imaging

And many more others an advanced disk imager must have. You may learn more about DDI on its vendor site: DeepSpar Disk Imager™.

DeepSpar Disk Imager™ basics

The main idea of data recovery with DDI is to clone data from the source hard drive with a certain level of hardware malfunction to a clone drive and perform data recovery operations either from the clone drive or while data is being cloned. Such approach greatly reduces tear and wear of the source hard drive and reduces further deterioration of its state.

There are two modes in which DDI processes disks:

·DDI clones the entire source hard drive to the source one consequently, sector by sector. Any further data recovery will be made from the clone HDD.

·DDI clones those sectors of the source HDD which have been read during data recovery. Such readings are optimized to minimize the movement of the drive's head unit. All following reads from those sectors will be done from the clone disk. For example, if files are to be recovered from a partition on the drive, DDI will clone the boot record of the drive, the file table of the partition, and the sectors of the files. If the partition is scanned, the scanned sectors will be cloned, too. All consecutive operations, such as file preview, and so on, will be done from the clone disk. This greatly reduces the time necessary to perform the recovery operations and furthermore hard disk wear.

Click to enlarge

DeepSpar Disk Imager™ board

Read the DDI documentation on how to install DDI connect the drives to DDI and start working with it.

The DDI board should be installed into a separate network computer (the DDI computer), and the source and clone drives should be connected to it. The DDI computer should be started using the boot USB stick supplied with the board. R-Studio running on another computer (the R-Studio computer) accesses the disk via the network. All data recovery operations will be done through this setup:

There may be several DDI computers on the network, R-Studio will connect to all of them. Such configuration may be useful for RAID recovery when several disks on the RAID have hardware problems.

Working with DDI

To start working with DDI, its computer should be connected to R-Studio.

To connect R-Studio to the DDI computer,

* Select Connect to DDI on the Drive menu
> The disks connected to DDI will appear on the Drive pane.

Now it is possible to work with disks connected to DDI like all other disk objects on the Drive panel. For example, such disks may be included into virtual RAIDs and other compound objects.

Viewing the drive map

A drive map shows the conditions for individual disk sectors. You may see which sectors are OK, bad, or unstable.

To view the drive map,

* Right-click the required hard drive/partition and select Show drive map... on the shortcut menu,

or

select the object and select Show drive map... on the Create menu

> The drive map will appear in the right tab.
Click to enlarge

DDI Drive Map tab

Click to expand/collapse Drive map controls

Sectors | The number of the first sector in the row.
Offset | Offset in the data. Enter the address you want to jump to and press the Enter key.
Sectors/Bytes/KB... | Specifies the dimension of the data in the Offset field.
Previous/Next | Moves to the previous/next part of the data.
+/- | Zooms into/out of, the data.

To see more detailed information about a particular sector range, right click the corresponding rectangle and select Information on the shortcut menu.

Click to enlarge

Block information dialog box

Click the Open in Hex Editor button to open the selected block in the Text/hexadecimal editor.

Cloning file sectors

You may clone separate files when necessary.

To clone sectors of a single file,

* Right-click the file and select Clone file sectors on the shortcut menu.

or

select the file and select Clone file sectors on the File menu

> The file sectors will be cloned and R-Studio will show their status in the Contents pane.

To clone sectors of several files,

* Mark the files, right-click them, and select Clone marked file sectors on the shortcut menu.
> The file sectors will be cloned and R-Studio will show their status in the Contents pane.

Sector status

OK | Read without errors
B | Bad
C | Corrupted. At least one sector hasn't been read.
Unprocessed | At least one sector isn't cloned yet.

Viewing the file map

A file map shows the conditions for individual file sectors. You may see which sectors are OK, bad, or unstable.

To view the file map,

* Right-click the required file and select Map of file... on the shortcut menu,
> The file map will appear in the lower pane.
Click to enlarge

DDI File Map pane

Click to expand/collapse File map controls

Sectors | The number of the first sector in the row.
Offset | Offset in the data. Enter the address you want to jump to and press the Enter key.
Sectors/Bytes/KB... | Specifies the dimension of the data in the Offset field.
Previous/Next | Moves to the previous/next part of the data.
+/- | Zooms into/out of, the data.

To see more detailed information about a particular sector range, right click the corresponding rectangle and select Information on the shortcut menu.

Click to enlarge

Block information dialog box

Click the Open in Hex Editor button to open the selected block in the Text/hexadecimal editor.

R-Studio can also load and process images created with the DeepSpar Disk Imager™.

Connecting to DeepSpar Disk Imager™ manually

If R-Studio cannot find DeepSpar Disk Imager™, the Select Interface dialog box will appear. Try to find the DDI interface manually.


R-Studio Emergency

R-Studio Emergency is a tool that allows you to startup a computer with a damaged startup disk and recover data stored on its hard drives. Then restored data can either be saved on its disk or transferred to a working computer via a network.

The R-Studio Emergency version is a part of the R-Studio software package.

You may run this R-Studio Emergency version on a computer for which you have bought an R-Studio license, and you may not transfer the licensed software to another computer.

R-Studio Emergency

Contact Information and Technical Support

Installing R-Studio Emergency Startup Media Creator

Creating Startup Disks

R-Studio Emergency Operation

Starting a Computer with the R-Studio Emergency Startup Disks

File Recovery

Searching for a File

Disk Scan

Disk Images

Using R-Studio Emergency as Emergency Agent

Technical Information

Network Drives

Properties and Text/Hexadecimal Viewer

Log

Devices to Store Recovered Files

Hardware Compatibility List


Contact Informaiton and Technical Support

Contact Information and Technical Support

To obtain the latest version of R-Studio Emergency, go to:

Product Site: http://www.r-tt.com

Sales Department: sales@r-tt.com

R-StudioTechnical Support Team is available 24 hours a day, seven days a week, and has an average response time less than 4 hours.

Tech. Support: support@r-tt.com

Send your support request to: http://www.r-tt.com/Support_request.html


Creating Startup Disks

·Installing R-Studio Emergency Startup Media Creator

·Creating Startup Disks Using R-Studio Emergency Startup Media Creator

·Creating Startup Disks for Mac and Linux Computers


Installing R-Studio Emergency Startup Media Creator

Attention Windows NT/2000/XP/2003/Vista/2008/7 users! You must have administrative privileges to install R-Studio Emergency Startup Media Creator.

If you are not sure whether you have such privileges, you almost certainly do not have them. Contact your system administrator for assistance.

1. Run the setup file.
2. Follow the on-screen instructions.

You may create startup disks even before the installation ends.


Creating Startup Disks Using R-Studio Emergency Startup Media Creator

You need to create either

·A startup CD/DVD disc. You may create an ISO image, or write the disc directly from R-Studio Emergency Startup Media Creator, if there is a CD/DVD recorder in your system. You may use this disc to start both UEFI computers (modern Windows/Mac/Linux systems) and old Windows/Mac/Linux machines.

or

·A startup FAT/FAT32 removable device recognized by your system as a bootable one. The total available size of the device should be more than 50 MB. You may use this device to start both UEFI computers (modern Windows/Mac/Linux systems) and old Windows/Mac/Linux machines.

or

·5 floppy disks. You may use them to start old Windows/Mac/Linux computers

Check the Hardware Compatibility List.

If you have problems with starting you computer up from the R-Studio Emergency startup disks, select Configure startup media troubleshooting options on the Startup media type selection dialog box. Then the Startup Media Troubleshooting Options dialog box will appear. You may configure these options to eliminate those problems.

When R-Studio Emergency Startup Media Creator starts, its Welcome dialog box appears:

Welcome to R-Studio Emergency Startup Media Creator dialog box

Click to enlarge

R-Studio Emergency Startup Media Creator dialog box

click the Next button to see the list of all devices on which startup disks may be created.

Click to enlarge

Startup media type selection dialog box

To create a startup CD/DVD disc directly on your CD/DVD writer (if present):

1 Run R-Studio Emergency
2 Select the CD/DVD writer on the Startup media type selection dialog box and click the Next button
3 Read and accept the License Agreement and enter the registration key on the R-Studio Emergency Activation dialog box and click the Next button
Click to enlarge

R-Studio Emergency Activation dialog box

4 Insert a blank CD/DVD disk into the CD/DVD recorder and click the Next button
Click to enlarge

Insert a CD/DVD disc dialog box

> R-Studio Emergency Startup Media Creator will start creating the startup CD/DVD disc showing the progress on the Creating startup media dialog box
Click to enlarge

Creating startup media dialog box

When R-Studio Emergency Startup Media Creator finishes creating the startup CD/DVD disc, the R-Studio Emergency Startup Media Creation is Finished message will appear

You may either exit R-Studio Emergency Startup Media Creator by clicking the Finish button or create another startup media by clicking the Back button.

Click to enlarge

R-Studio Emergency Startup Media Creation is Finished message

To create an ISO image of a startup CD/DVD disc

1 Run R-Studio Emergency
2 Select ISO Image for a startup CD/DVD on the R-Studio Emergency Startup Media Creator dialog box and click the Next button
3 Read and accept the License Agreement and enter the registration key on the R-Studio Emergency Activation dialog box and click the Next button
4 Select a place and file name for the ISO image of the startup CD/DVD and click the Save button
> When R-Studio Emergency Startup Media Creator finishes writing the file with the ISO image, the R-Studio Emergency Startup Media Creation is Finished message will appear

You may either exit R-Studio Emergency Startup Media Creator by clicking the Finish button or create another startup media by clicking the Next button.

Click to enlarge

R-Studio Emergency Startup Media Creation is Finished dialog box

5 Create the startup CD/DVD using your favorite CD/DVD creation software

Load the created ISO image into the CD/DVD creation software. Consult documentation for the software for details.

To create a startup FAT/FAT32 removable device

1 Run R-Studio Emergency
2 Select the removable device on the Startup media type selection dialog box and click the Next button
3 Read and accept the License Agreement and enter the registration key on the R-Studio Emergency Activation dialog box and click the Next button
4 Check that the FAT/FAT32-formatted device is ready and click the Next button
Click to enlarge

Ready to create startup media dialog box

> R-Studio Emergency Startup Media Creator will start creating the startup USB disk showing the progress on the Creating startup media dialog box

When R-Studio Emergency Startup Media Creator finishes creating the startup device, the R-Studio Emergency Startup Media Creation is Finished message will appear

You may either exit R-Studio Emergency Startup Media Creator by clicking the Finish button or create another startup media by clicking the Next button.

Click to enlarge

R-Studio Emergency Startup Media Creation is Finished dialog box

To create floppy disks:

You will need 5 floppy disks.

1 Run R-Studio Emergency
2 Select Floppy Disk for the startup floppy disks on the R-Studio Emergency Startup Media Creator dialog box and click the Next button
3 Read and accept the License Agreement and enter the registration key on the R-Studio Emergency Activation dialog box and click the Next button
4 Insert the first floppy disk and click the Next button on the Ready to create startup media dialog box
Click to enlarge

R-Studio Emergency Startup Media Creation- Floppy Disk message

> R-Studio Emergency Startup Media Creator will start creating the first startup floppy disk showing the progress on the Creating startup media dialog box
5 Insert the second floppy disk and click the OK button when the Please insert formatted diskette #2 into drive A: message will appear
> When R-Studio Emergency Startup Media Creator finishes creating the second startup floppy disk, the R-Studio Emergency Startup Media Creation is Finished message will appear

You may either exit R-Studio Emergency Startup Media Creator by clicking the Finish button or create another startup media by clicking the Next button.

Click to enlarge

R-Studio Emergency Startup Media Creation is Finished message

Startup Media Troubleshooting Options

Those options will help you if you have problems with starting you computer up from the R-Studiostartup disks. Please, contact the R-Studio Technical Support Team for more information.

Click to enlarge

R-Studio Startup Media Troubleshooting Options dialog box

Display kernel startup messages | if this checkbox is enabled, R-Studio Emergency displays all startup messages. That may be useful to locate the source of the problem when your system hangs during R-Studio Emergency startup.
Disables ACPI Disables APIC | Select these checkboxes when your system detects some hardware incorrectly during R-Studio Emergency startup and displays messages like: hda: lost interrupt
Disables USB device support | Select this checkbox if your system experiences problems with USB devices during R-Studio Emergency startup.
Disables SCSI device support | Select this checkbox if your system experiences problems with SCSI devices during R-Studio Emergency startup.
Disables PCMCIA device support | Select this checkbox if your system experiences problems with PCMCIA devices during R-Studio Emergency startup.
Disables DMA for all IDE disk drives | Select this checkbox if your system experiences problems with IDE disks during R-Studio Emergency startup.
IRQ polling mode | Select this checkbox to enable the IRQ polling mode to prevent locking the system because a device generates too much interrupts for the system to handle.
PCI BIOS | Select an appropriate option if your system experiences problems with PCI cards.
BIOS RAIDS | Select an appropriate option if your system experiences problems with RAIDs built in the system board.


Creating Startup Disks on Mac and Linux Computers

To start a Mac or a Linux computer, you may use the following devices:

1. A USB device created using the R-Studio Emergency Startup Media Creator for Windows. See the Creating Startup Disks Using R-Studio Emergency Startup Media Creator page for more details.

2. A USB device created using a Mac or Linux computer. To create such device, download the ZIP archive of R-Studio Emergency, unzip it, and write files to a FAT32-formatted USB device.

Please note that you cannot use this disk to start non-UEFI computers (old Macs, for example), nor can you just copy those files to a CD/DVD disc to create an R-Studio Emergency startup disc. If you need a CD/DVD disk, burn it using the ISO image.

3. A startup CD/DVD disc. Download the ISO image of that disk and burn it or use the R-Studio Emergency Startup Media Creator for Windows to burn it on a Windows computer.


R-Studio Emergency Operation

Starting a Computer with the R-Studio Emergency Startup Disks

File Recovery

Searching for a File

Disk Scan

Disk Images

Using R-Studio Emergency as Emergency Agent

Technical Information

Properties and Text/Hexadecimal Viewer

Network Drives

Log

Devices to Store Recovered Files

Hardware Compatibility List

R-Studio Emergency

Contact Information and Technical Support

Installing R-Studio Emergency Startup Media Creator

Creating Startup Disks


Starting a Computer with the R-Studio Emergency Startup Disks

We recommended that you print out this help page and have the hardcopy on hand while you are performing this action.

If there is a non-IDE disk controller in your system, or you plan to use network disks or external hardware devices, first check the Hardware Compatibility List.

If you plan to use any external device, turn it on before starting the system.

If the motherboard in your computer supports the Serial ATA (SATA) devices, but IDE disks are also present, only the SATA devices should be set to the Enhanced Mode in BIOS.

To start the computer with the R-Studio Emergency startup CD/DVD disc or any removable device,

1 Make sure that the first startup device in the system BIOS is the CD/DVD drive or the removable device

Disable "Secure boot" in the system BIOS if your computer is certified to run Windows 8. Refer to your system documentation for details.

2 Insert the R-Studio Emergency startup CD/DVD disc and start your computer

Click to expand/collapse If you have a Mac computer

To start a Mac computer with the R-Studio Emergency startup disk,

1. Insert a CD/DVD disc or connect a USB disk

2. Switch the Mac on.

3. While loading, press the Option key on the Mac keyboard (the Alt key if you use a non-Apple keyboard).

Click to enlarge/collapse

The Options key

4. Select the EFI boot disk and press Enter.

Click to enlarge/collapse

The R-Studio Emergency startup disk

R-Studio Emergency will start loading.

Then a startup screen will appear:

Click to enlarge/collapse

Startup Options

Select the R-Studio Emergency GUI (Graphic Mode) to run R-Studio Emergency in the graphic mode in which its user interface is similar to the Windows version. If R-Studio Emergency cannot run in this mode, restart the system in the Safe VGA mode (only VESA-compliant) which is compatible with most video cards and monitors. If it fails too, select the Text mode in which the R-Studio Emergency user interface is shown in the pseudo-graphic mode compatible with all video cards. The help describes this pseudo-graphic mode.

> R-Studio Emergency will start and its Device/Disk panel will appear

To start the computer with the R-Studio Emergency startup floppy disks,

1 Make sure that the first startup device in the system BIOS is A (Floppy)

Refer to your system documentation for details.

2 Insert the first startup floppy disk and start your computer
> The following text will appear on the screen:

Loading

Uncompressing ... OK, starting the kernel

VFS: Insert the second boot disk and press ENTER
3 Insert the second disk and press ENTER.
> R-Studio Emergency will start and its Device/Disk panel will appear


File Recovery

To recover files,

1 Select a partition on the Device/Disk panel on which the files to recover reside and press the Enter key
> R-Studiowill change its panel showing the disk's folders/files structure
2 Select the file to recover on the Files View panel. Use the Tab key to switch between panes
Click to enlarge/collapse

Files View panel

3 Press the F2 key and specify the output folder on the Recover dialog box
Click to enlarge/collapse

Recover dialog box

External USB drives with the NTFS file system: R-Studio Emergency can save recovered files on such disks if they are properly disconnected in a Windows system using the Safely Remove Hardware icon in the system tray or while shutting Windows down.

Searching for a File

Mapping Network Drives

Viewing object properties


Searching for a File

To search for a file,

1 Select Find on the Tools menu (or press the Alt+F key)
2 Specify a file name or mask
Click to enlarge/collapse

Find dialog box

Look at dialog box

Deleted files: | If it is selected, R-Studio makes a search among deleted files/folders.
Existing files: | If it is selected, R-Studio makes a search among existing files/folders.
Files: | If it is selected, R-Studio includes files into a search.
Folders: | If it is selected, R-Studio includes folders into a search.

To find the next file corresponding to the specified file mask,

* Press the Alt+N key


Disk Scan

To scan an object

1 Select an object on the Device/Disk panel and press the F6 key
2 Specify the required parameters on the Scan dialog box and press the Enter key
Click to enlarge/collapse

Scan dialog box

Scan dialog box

Start: | Sets the start point of the area to be scanned.
Size: | Sets the size of the area to be scanned.
Numbers in these fields can be in bytes or sectors. If no letters are after the numbers, R-Studioassumes the numbers in bytes. The following case-ignoring notation is possible:
b kb mb gb tb | Bytes Kilobytes Megabytes Gigabytes Terabytes
> When an object is scanned, it may be searched for files, and found files may be recovered the same way as for a regular object
Click to enlarge/collapse

Scan results

Found objects:

Extra Found Files | Entries of known file types have been found
Recognized1 | Records and file entries are found for this partition
Recognized2 | Only file entries are found for this partition
Recognized3 | Only boot records are found for this partition

To save scan information

1 Select an object with scan information
2 Press the Alt+D key and select Save Scan Information on the Drive menu
3 Specify the output folder and file name on the Save Scan Information dialog box

Mapping Network Drives

To open scan information

1 Select an object to which scan information is to be opened
2 Press the Alt+D key and select Open Scan Information on the Drive menu
3 Specify the folder and file name with the scan information on the Open Scan Information dialog box

Mapping Network Drives

To delete scan information

1 Select an object to which scan information is to be deleted
2 Press the Alt+D key and select Delete Scan Information on the Drive menu


Disk Images

To create an image file

1 Select an object on the Device/Disk panel
2 Press the Alt+D key and select Create Plain Image File or Create Compressed Image File on the Drive menu
Click to enlarge/collapse

Create Image dialog box

Plain Image | If this option is selected, R-Studio will create a simple exact copy of the object. This image format is compatible with the previous versions of R-Studio.
Compressed Image | If this option is selected, R-Studio will create an image file compatible with the images created by R-Drive Image, but incompatible with the previous versions of R-Studio.
3 Specify the output folder and file name on the Create Image File dialog box

Mapping Network Drives

To load an image file

1 Press the Alt+D key and select Open Image File on the Drive menu
2 Specify the folder and file name with the image on the Open Image File dialog box

Mapping Network Drives


Using R-Studio Emergency as an Emergency Agent

R-Studio Emergency can be used as an emergency agent for R-Studio. Moreover, if you have a Mac computer, this is the only way to start it with R-Studio Agent Emergency.

To start the computer with the R-Studio Emergency/Agent startup CD/DVD disc or any removable device ,

1 Make sure that the first startup device in the system BIOS is the CD/DVD drive or the removable device

Disable "Secure boot" in the system BIOS if your computer is certified to run Windows 8. Refer to your system documentation for details.

2 Insert the R-Studio Emergency startup CD/DVD disc or the removable device and start your computer

Click to expand/collapse If you have a Mac computer

To start a Mac computer with the R-Studio Emergency startup disk,

1. Insert a CD/DVD disc or connect a USB disk

2. Switch the Mac on.

3. While loading, press the Option key on the Mac keyboard (the Alt key if you use a non-Apple keyboard).

Click to enlarge/collapse

The Options key

4. Select the EFI boot disk and press Enter.

Click to enlarge/collapse

The R-Studio Emergency startup disk

R-Studio Emergency will start loading.

Then a startup screen will appear:

Click to enlarge/collapse

Startup Options

2 Select the R-Studio Agent Emergency to run R-Studio Emergency as an emergency agent.
> R-Studio Agent Emergency will start and its prompt will appear
Click to enlarge/collapse

R-Studio Emergency as an Emergency Agent

If your network has a DHCP server

The computer running R-Studio Agent Emergency will be assigned an IP address automatically

A prompt with a computer address will appear. You need to remember it to access the computer via network.

If your network does not have a DHCP server

You need to configure the interfaces and IP addresses manually.

1. Press Enter to start configuring the settings. A prompt to select an interface will appear. Enter the selected interface name and press Enter.

2. A prompt to enter its IP address and optional subnet mask will appear. Enter the IP address and optional subnet mask and press Enter.

Click to enlarge/collapse

Network Setting Configuration

3. A prompt to configure another interface, gateway, or to finish configuring the interfaces will appear. Enter gw, enter the IP address of the gateway, and press Enter.

Click to enlarge/collapse

Network Setting Configuration

4. Press Enter to finish configuring the interfaces, or enter the name of the next interface to configure.

> R-Studio Agent Emergency will show a prompt that is ready to accept connections
Click to enlarge/collapse

R-Studio Emergency as an Emergency Agent

Now the computer may be accessed by R-Studio via network.


R-Studio Emergency Technical Information

Network Drives

Properties and Text/Hexadecimal Viewer

Log

Devices to Store Recovered Files

R-Studio Emergency

Contact Information and Technical Support

Installing R-Studio Emergency Startup Media Creator

Creating Startup Disks

R-Studio Emergency Operation

Starting a Computer with the R-Studio Emergency Startup Disks

File Recovery

Searching for a File

Disk Scan

Disk Images

Using R-Studio Emergency as Emergency Agent

Hardware Compatibility List


Properties and Text/Hexadecimal Viewer

To view object properties,

1 Select an object
2 Press the F7 key

To view an object

1 Select an object
2 Press the F3 key
3 Press the F6 key to view and select file attributes

Press the Esc key to close the viewer.


Network Drives

To map a network drive,

1 On a dialog box with Map Network Drive, press the Alt+M key
> The Querying DHCP message will appear

If the network has a DHCP server, the computer will obtain an IP address automatically. A list of adapters and their IP addresses will appear on the Network Adapters dialog box.

If the network does not have a DHCP server, select a network adapter on the Network Adapters dialog box and press the F4 key. Enter the IP address and network mask and press the Enter button.

Click to enlarge/collapse

Network Addresses dialog box

2 Select a configured network adapter and press the Enter key
3 Enter the required information on the Map Network Drive message message
Click to enlarge/collapse

Map Network Drive dialog box

Server IP Address: | IP address of the computer where the network drive is to reside.
Server Share Name: | Name of the shared folder where the network drive is to reside.
Login: | Username of a user on the computer where the network drive is to reside.
Password: | User's password on the computer where the network drive is to reside.

For the network drive's path //SERVER/Net_Drive,

Server IP address: The IP address of the SERVER computer (192.168.1.20)

Server share name: Net_Drive.

> The mounted network disk will appear

To disconnect a mounted network drive

1 Select a mounted network drive
2 Switch to the Disconnect button and press the Enter key


Log

To clear log information

* Select Clear Log on the Tools menu

To save log information to a file

* Select Save Log To File on the Tools menu


Devices to Store Recovered Files

R-Studio Emergency can write recovered files to the following devices:

·FAT devices such as USB sticks, memory cards, and other similar devices. Such devices are inexpensive and easily available, they can be fully accessed by all operating systems, but they have one important drawback: they cannot store files larger that 2GB. So, if you plan to recover large video files, this is not your option.

·NTFS disks (primarily used in Windows computers).

Access without any third-party software:

Windows computers: full.

Mac computers: read.

Linux computers: full.

·HFS/HFS+ disks (used in Mac computers).

Access without any third-party software:

Windows computers: no.

Mac computers: full. Some access problems may appear for files written by R-Studio Emergency.

Linux computers: full. Some access problems may appear for files written by R-Studio Emergency.

·Network disks. Such disks may be on other network computers or NAS devices. See the Network Drives page for more details

Click to expand/collapse How to solve file access problems on Macs

Finder in the OSX system shows such inaccessible folders and files in the following way:

Click to enlarge/collapse

Inaccessible folders in Finder

To get access to such data, do the following:

1. Under an administrator account, right-click the folder and select Get Info on the contextual menu.

Click to enlarge/collapse

Info of an inaccessible folder

Click the Lock icon in the Sharing & Permissions section to unlock the folder properties. The system will ask you for the account password.

2. Click the Privilege column and select Read & Write on the contextual menu.

Click to enlarge/collapse

Setting the access rights for the folder

3. If this is a folder with other folders and files, click the Properties icon and select Apply to enclosed items.

Click to enlarge/collapse

Setting access rights for enclosed items in the folder

Then click the Lock icon to lock the properties back.


R-Studio Emergency Hardware Compatibility List

R-Studio Emergency supports the following hardware devices:

Data Storage Devices

Networking Devices

Serial ATA and Parallel ATA drivers

ACPI firmware driver for PATA

AHCI SATA

ALi PATA

AMD/NVidia PATA

ARTOP 6210/6260 PATA

ARTOP/Acard ATP867X PATA

ATI PATA

CMD / Silicon Image 680 PATA

CMD640 PCI PATA

CMD64x PATA

CS5510/5520 PATA

CS5530 PATA

CS5535 PATA

CS5536 PATA

Compaq Triflex PATA

Cypress CY82C693 PATA

EFAR SLC90E66

Generic ATA

HPT 343/363 PATA

HPT 366/368 PATA

HPT 370/370A/371/372/374/302 PATA

HPT 372N/302N PATA

IT8211/2 PATA

IT8213 PATA

Initio 162x SATA

Intel ESB, ICH, PIIX3, PIIX4 PATA/SATA

Intel PATA MPIIX

Intel PATA old PIIX

Intel SCH PATA

JMicron PATA

Legacy ISA PATA

Marvell PATA support via legacy mode

Marvell SATA

NETCELL Revolution RAID

NVIDIA SATA

Nat Semi NS87410 PATA

Nat Semi NS87415 PATA

Ninja32/Delkin Cardbus ATA

OPTI FireStar PATA

OPTI621/6215 PATA

Older Promise PATA controller

PCMCIA PATA

Pacific Digital ADMA

Pacific Digital SATA QStor

Platform AHCI SATA

Promise PATA 2027x

Promise SATA SX4

Promise SATA TX2/TX4

QDI VLB PATA

RADISYS 82600 PATA

RDC PATA

SC1200 PATA

SERVERWORKS OSB4/CSB5/CSB6/HT1000 PATA

ServerWorks Frodo / Apple K2 SATA

SiS 964/965/966/180 SATA

SiS PATA

Silicon Image 3124/3132 SATA

Silicon Image SATA

ULi Electronics SATA

VIA PATA

VIA SATA

VITESSE VSC-7174 / INTEL 31244 SATA

Winbond SL82C105 PATA

Winbond W83759A VLB PATA

SCSI low-level drivers

3ware 5/6/7/8xxx ATA-RAID

3ware 97xx SAS/SATA-RAID

3ware 9xxx SATA-RAID

7000FASST SCSI

ACARD SCSI

ARECA (ARC11xx/12xx/13xx/16xx) SATA/SAS RAID Host Adapter

Adaptec AACRAID

Adaptec AHA152X/2825

Adaptec AHA1542

Adaptec AIC79xx U320

Adaptec AIC7xxx

Adaptec AIC7xxx Fast -> U160

Adaptec AIC94xx SAS/SATA

Adaptec I2O RAID

AdvanSys SCSI

Always IN2000 SCSI

BusLogic SCSI

DMX3191D SCSI

DTC3180/3280 SCSI

EATA ISA/EISA/PCI (DPT and generic EATA/DMA-compliant boards)

Emulex LightPulse Fibre Channel Support

Future Domain 16xx SCSI/AHA-2920A

Generic NCR5380/53c400 SCSI MMIO

Generic NCR5380/53c400 SCSI PIO

HP Smart Array SCSI driver

HighPoint RocketRAID 3xxx/4xxx Controller

IBM Power Linux RAID adapter

IBM ServeRAID

Initio 9100U(W)

Initio INI-A100U2W

Intel/ICP (former GDT SCSI Disk Array) RAID Controller

LSI Logic Legacy MegaRAID Driver

LSI Logic Management Module

LSI Logic MegaRAID Driver

LSI Logic MegaRAID SAS RAID Module

LSI MPT Fusion SAS 2.0 Device Driver

Marvell 88SE64XX/88SE94XX SAS/SATA

NCR53c406a SCSI

PAS16 SCSI

PMC SIERRA Linux MaxRAID adapter

PMC-Sierra SPC 8001 SAS/SATA Based Host Adapter driver

Promise SuperTrak EX Series

QLogic ISP4XXX host adapter family

QLogic QLA2XXX Fibre Channel Support

Qlogic FAS SCSI

Qlogic QLA 1240/1x80/1x160 SCSI

SYM53C8XX Version 2 SCSI

Symbios 53c416 SCSI

Tekram DC390(T) and Am53/79C974 SCSI

Tekram DC395(U/UW/F) and DC315(U) SCSI

Trantor T128/T128F/T228 SCSI

UltraStor 14F/34F

UltraStor SCSI

VMware PVSCSI driver

Workbit NinjaSCSI-32Bi/UDE

USB support

Cypress C67x00 HCD

Datafab Compact Flash Reader

Freecom USB/ATAPI Bridge

ISD-200 USB/ATA Bridge

ISP 1760 HCD

ISP116X HCD

ISP1362 HCD

Lexar Jumpshot Compact Flash Reader

OXU210HP HCD

Olympus MAUSB-10/Fuji DPC-R1

R8A66597 HCD

SL811HS HCD

SanDisk SDDR-09 (and other SmartMedia, including DPCM)

SanDisk SDDR-55 SmartMedia

USB 2.0

USB Mass Storage

USB Monitor

USBAT/USBAT02-based storage

xHCI HCD (USB 3.0)

Block devices

Compaq SMART2

Compaq Smart Array 5xxx

Mylex DAC960/DAC1100 PCI RAID Controller

Normal floppy disk

Promise SATA SX8

IEEE 1394 (FireWire) support

Legacy alternative FireWire driver stack

Storage devices (SBP-2 protocol)

PCMCIA network device support

3Com 3c574 PCMCIA

3Com 3c589 PCMCIA

Asix AX88190 PCMCIA

COM20020 ARCnet PCMCIA

Fujitsu FMV-J18x PCMCIA

NE2000 compatible PCMCIA

New Media PCMCIA

SMC 91Cxx PCMCIA

Xircom 16-bit PCMCIA

Other devices

Microsoft Hyper-V Utilities driver

Microsoft Hyper-V client drivers

Microsoft Hyper-V virtual block driver

Microsoft Hyper-V virtual network driver

Microsoft Hyper-V virtual storage driver

Ethernet (10 or 100Mbit)

3c501 `EtherLink`

3c503 `EtherLink II`

3c505 `EtherLink Plus`

3c507 `EtherLink 16`

3c509/3c529 (MCA)/3c579 `EtherLink III`

3c515 ISA `Fast EtherLink`

3c590/3c900 series (592/595/597) `Vortex/Boomerang`

3cr990 series `Typhoon`

AMD 8111 (new PCI lance)

AMD LANCE and PCnet (AT1500 and NE2100)

AMD PCnet32 PCI

AT1700/1720

Adaptec Starfire/DuraLAN

Ansel Communications EISA 3200

Apricot Xen-II on board Ethernet

Atheros L2 Fast Ethernet

Broadcom 440x/47xx ethernet

CS89x0

Cabletron E21xx

DECchip Tulip (dc2114x) PCI

Dave ethernet support (DNET)

Davicom DM910x/DM980x

Early DECchip Tulip (dc2104x) PCI

EtherExpress 16

EtherExpressPro support/EtherExpress 10 (i82595)

Generic DECchip & DIGITAL EtherWORKS PCI/EISA

HP 10/100VG PCLAN (ISA, EISA, PCI)

HP PCLAN (27245 and other 27xxx series)

HP PCLAN+ (27247B and 27252A)

ICL EtherTeam 16i/32

Intel(R) PRO/100+

LP486E on board Ethernet

Myson MTD-8xx PCI Ethernet

NE2000/NE1000

NI5010

NI5210

NI6510

National Semiconductor DP8381x series PCI Ethernet

OpenCores 10/100 Mbps Ethernet MAC

PCI NE2000 and clones support (see help)

RDC R6040 Fast Ethernet Adapter

RealTek RTL-8129/8130/8139 PCI Fast Ethernet Adapter

RealTek RTL-8139 C+ PCI Fast Ethernet Adapter

SEEQ8005

SMC 9194

SMC EtherPower II

SMC Ultra

SMSC LAN9420 PCI ethernet adapter

SiS 900/7016 PCI Fast Ethernet Adapter

Silan SC92031 PCI Fast Ethernet Adapter driver

Sun Cassini

Sun GEM

Sun Happy Meal 10/100baseT

Sundance Alta

TI ThunderLAN

ULi M526x controller

VIA Rhine

WD80*3

Winbond W89c840 Ethernet

Zenith Z-Note

nForce Ethernet

Ethernet (1000 Mbit)

Alteon AceNIC/3Com 3C985/NetGear GA620 Gigabit

Atheros L1C Gigabit Ethernet

Atheros L1E Gigabit Ethernet

Atheros/Attansic L1 Gigabit Ethernet

Broadcom CNIC

Broadcom NetXtremeII

Broadcom Tigon3

DL2000/TC902x-based Gigabit Ethernet

IP1000 Gigabit Ethernet

Intel(R) 82575/82576 PCI-Express Gigabit Ethernet

Intel(R) 82576 Virtual Function Ethernet

Intel(R) PRO/1000 Gigabit Ethernet

Intel(R) PRO/1000 PCI-Express Gigabit Ethernet

JMicron(R) PCI-Express Gigabit Ethernet

National Semiconductor DP83820

New SysKonnect GigaEthernet

Packet Engines Hamachi GNIC-II

Packet Engines Yellowfin Gigabit-NIC

QLogic QLA3XXX Network Driver Support

Realtek 8169 gigabit ethernet

SiS190/SiS191 gigabit ethernet

SysKonnect Yukon2

VIA Velocity

Ethernet (10000 Mbit)

Broadcom NetXtremeII 10Gb

Chelsio 10Gb Ethernet

Chelsio Communications T3 10Gb Ethernet

Chelsio Communications T4 Ethernet

Cisco VIC Ethernet NIC Support

Intel(R) 10GbE PCI Express adapters

Intel(R) PRO/10GbE

Mellanox Technologies 10Gbit Ethernet

Myricom Myri-10G Ethernet

NetXen Multi port (1/10) Gigabit Ethernet NIC

Neterion X3100 Series 10GbE PCIe Server Adapter

QLOGIC QLCNIC 1/10Gb Converged Ethernet NIC Support

QLogic QLGE 10Gb Ethernet Driver Support

S2IO 10Gbe XFrame NIC

ServerEngines' 10Gbps NIC - BladeEngine

Solarflare Solarstorm SFC4000/SFC9000-family

Sun Neptune 10Gbit Ethernet

Tehuti Networks 10G Ethernet

Token Ring driver support

3Com 3C359 Token Link Velocity XL adapter

Generic TMS380 PCI

Generic TMS380 Token Ring ISA/PCI adapter

IBM Lanstreamer chipset PCI adapter

IBM Olympic chipset PCI adapter

IBM Tropic chipset based adapter

Madge Smart 16/4 PCI Mk2

Proteon ISA

SMC ISA/MCA adapter

SysKonnect TR4/16 ISA

USB Network Adapters

ASIX AX88xxx Based USB 2.0 Ethernet Adapters

CDC EEM

CDC Ethernet support (smart devices such as cable modems)

Davicom DM9601 based USB 1.1 10/100 ethernet devices

GeneSys GL620USB-A based cables

Host for RNDIS and ActiveSync devices

MosChip MCS7830 based Ethernet adapters

NetChip 1080 based cables (Laplink, ...)

Prolific PL-2301/2302 based cables

SMSC LAN95XX based USB 2.0 10/100 ethernet devices

Sharp Zaurus (stock ROMs) and compatible

Simple USB Network Links (CDC Ethernet subset)

USB CATC NetMate-based Ethernet device

USB KLSI KL5USB101-based ethernet device

USB Pegasus/Pegasus-II based ethernet device

USB RTL8150 based ethernet device


R-Studio Agent Emergency

R-Studio Agent Emergency is a tool that allows you to start a network computer with a damaged startup disk and recover data stored on its hard drives. Then restored data can be transferred to a working computer via the network.

It works very simple: Just start the computer with the R-Studio Agent Emergency startup disk(s) and, if necessary, manually configure a network interface for R-Studio Agent Emergency. When started, the computer and its hard drives can be accessed by R-Studio installed on another computer on the network.

Contact Information and Technical Support

Installing R-Studio Agent Emergency Startup Media Creator

Creating Startup Disks

Starting a Computer with the R-Studio Agent Emergency Startup Disk

Hardware Compatibility List

Disk Controllers

Network Cards


Contact Information and Technical Support

To obtain the latest version of R-Studio Agent Emergency, go to:

Product Site: http://www.r-tt.com

Sales Department: sales@r-tt.com

R-Studio Technical Support Team is available 24 hours a day, seven days a week, and has an average response time less than 4 hours.

Tech. Support: support@r-tt.com

Send your support request to: http://www.r-tt.com/Support_request.html


Installing R-Studio Agent Emergency Startup Media Creator

Attention Windows NT/2000/XP/2003/Vista/2008/7 users! You must have administrative privileges to install R-Studio Agent Emergency Startup Media Creator.

If you are not sure whether you have such privileges, you almost certainly do not have them. Contact your system administrator for assistance.

1. Run the setup file.
2. Follow the on-screen instructions.

You may create startup disks even before the installation ends.


Creating Startup Disks

You need to create either

·A startup CD/DVD disc. You may create an ISO image, or write the disc directly from R-Studio Emergency Startup Media Creator, if there is a CD/DVD recorder in your system.

or

·A startup FAT/FAT32 removable device recognized by your system as a bootable one. The total available size of the device should be more than 10 MB.

or

·4 formatted floppy disks

Check the Hardware Compatibility List.

When R-Studio Agent Emergency Startup Media Creator starts, its Welcome dialog box appears:

Welcome to R-Studio Agent Emergency Startup Media Creator dialog box

Click to enlarge

R-Studio Agent Emergency Startup Media Creator dialog box

click the Next button to see the list of all devices on which startup disks may be created.

Click to enlarge

Startup media type selection dialog box

To create a startup CD/DVD disc directly on your CD/DVD writer (if present):

1 Run R-Studio Agent Emergency
2 Select the CD/DVD writer on the Startup media type selection dialog box and click the Next button
3 Read and accept the License Agreement and enter the R-Studio Agent registration key on the R-Studio Agent Emergency Activation dialog box and click the Next button

Note: You should enter the registration key of R-Studio Agent, not R-Studio itself.

Click to enlarge

R-Studio Agent Emergency License Agreement dialog box

Click to enlarge

R-Studio Agent Emergency Activation dialog box

if you do not enter the registration key, R-Studio Agent Emergency will work in the Demo mode. You may enter the key later when R-Studio Agent Emergency and R-Studio establish a connection

4 Insert a blank CD/DVD disk into the CD/DVD recorder and click the Next button
Click to enlarge

Insert media disc dialog box

> R-Studio Agent Emergency Startup Media Creator will start creating the startup CD/DVD disc showing the progress on the Creating startup media dialog box
Click to enlarge

Creating startup media dialog box

When R-Studio Agent Emergency Startup Media Creator finishes creating the startup CD/DVD disc, the R-Studio Agent Emergency Startup Media Creation is Finished message will appear

You may either exit R-Studio Emergency Startup Media Creator by clicking the Finish button or create another startup media by clicking the Back button.

Click to enlarge

R-Studio Agent Emergency Startup Media Creation is Finished message

To create an ISO image of a startup CD/DVD disc

1 Run R-Studio Agent Emergency
2 Select ISO Image for a startup CD/DVD on the R-Studio Agent Emergency Startup Media Creator dialog box and click the Next button
3 Read and accept the License Agreement and enter the R-Studio Agent registration key on the R-Studio Agent Emergency Activation dialog box and click the Next button

Note: You should enter the registration key of R-Studio Agent, not R-Studio itself.

if you do not enter the registration key, R-Studio Agent Emergency will work in the Demo mode. You may enter the key later when R-Studio Agent Emergency and R-Studio establish a connection.

4 Select a place and file name for the ISO image of the startup CD/DVD and click the Save button
> When R-Studio Bootable Startup Media Creator finishes writing the file with the ISO image, the R-Studio Agent Emergency Startup Media Creation is Finished message will appear

You may either exit R-Studio Bootable Startup Media Creator by clicking the Finish button or create another startup media by clicking the Back button.

Click to enlarge

R-Studio Agent Emergency Startup Media Creation is Finished dialog box

5 Create the startup CD/DVD using your favorite CD/DVD creation software

Load the created ISO image into the CD/DVD creation software. Consult documentation for the software for details.

To create a startup FAT/FAT32 removable device

1 Run R-Studio Agent Emergency
2 Select the removable device on the Startup media type selection dialog box and click the Next button
3 Read and accept the License Agreement and enter the registration key on the R-Studio Agent Emergency Activation dialog box and click the Next button
4 Check that the correct FAT/FAT32-formatted device is selected and click the Next button
Click to enlarge

Confirm device selection dialog box

> R-Studio Agent Emergency Startup Media Creator will start creating the startup USB disk showing the progress on the Creating startup media dialog box

When R-Studio Agent Emergency Startup Media Creator finishes creating the startup device, the R-Studio Agent Emergency Startup Media Creation is Finished message will appear

You may either exit R-Studio Emergency Startup Media Creator by clicking the Finish button or create another startup media by clicking the Back button.

Click to enlarge

R-Studio Agent Emergency Startup Media Creation is Finished dialog box

To create floppy disks:

You will need 4 formatted floppy disks.

1 Run R-Studio Agent Emergency
2 Select Floppy Disk for the startup floppy disk on the R-Studio Agent Emergency Startup Media Creator dialog box and click the Next button
3 Enter the registration information and number on the Registration dialog box and click the Next button

If you leave all the field blank, R-Studio Agent Emergency will work with the Demo-version limitations

4 Insert the floppy disk and click the Next button on the Insert floppy dialog box
Click to enlarge

Insert floppy dialog box

> R-Studio Agent Emergency Startup Media Creator will start creating the startup floppy disk showing the progress on the Creating startup media dialog box
Click to enlarge

Creating startup media dialog box

5 Insert the second floppy disk and click the OK button when the Please insert formatted diskette #2 into drive A: message will appear

Do it with the next 2 floppy disks.

> When R-Studio Startup Media Creator finishes creating the startup floppy disk, the R-Studio Agent Emergency Startup Media Creation is Finished message will appear. You may either exit R-Studio Startup Media Creator by clicking the Finish button or create another startup media by clicking the Back button.
Click to enlarge

R-Studio Agent Emergency Startup Media Creation is Finished dialog box


Starting a Computer with the R-Studio Agent Emergency Startup Disk

We recommended that you print out this help page and have the hardcopy on hand while you are performing this action.

Before you start the computer you should be aware that your network has a DHCP server or you know the computer's IP address and network mask.

If there is a non-IDE disk controller in your system, or you plan to use network disks or external hardware devices, first check the Hardware Compatibility List.

If you plan to use any external device, turn it on before starting the system.

If the motherboard in your computer supports the Serial ATA (SATA) devices, but IDE disks are also present, only the SATA devices should be set to the Enhanced Mode in BIOS.

To start the computer with the R-Studio Agent Emergency startup disks

1 Make sure that the first startup device in the system BIOS is the device from which you plan to start your computer (a CD/DVD drive or A (Floppy))

Disable "Secure boot" in the system BIOS if your computer is certified to run Windows 8. Refer to your system documentation for details. Refer to your system documentation for details.

2 Insert the R-Studio Agent Emergency startup CD/DVD disc, a removable device, or the first floppy disk and start your computer
> R-Studio Agent Emergency will start and its prompt will appear

If you start your computer with floppy disks, you'll see prompts to insert a next floppy disk.

-----------------------------------------------------------------

Booting R-Studio Emergency. Please wait...

Waiting 8 seconds for PCMCIA devices to settle

Booting R-Studio Agent Emergency. Now you may remove floppy.

-----------------------------------------------------------------

Querying DHCP to configure network interfaces...

Press ENTER within 10 seconds to configure them manually.

If your network has a DHCP server

The computer running R-Studio Agent Emergency will be assigned an IP address automatically

A prompt with a computer address will appear. You need to remember it to access the computer via network.

If your network does not have a DHCP server

You need to configure the interfaces and IP addresses manually.

1. A prompt to select an interface will appear. Enter the selected interface name and press Enter.

2. A prompt to enter its IP address and optional subnet mask will appear. Enter the IP address and optional subnet mask and press Enter.

------------------------[ List of Interfaces ]--------------------------------

Name IP Address NETMASK Vendor

------------------------------------------------------------------------------

re0 Unconfigured RealTek 8139C+

------------------------------------------------------------------------------

# Enter interface name, 'gw' for default gateway or just press ENTER to finish

#>re0

# Enter IP address and optional NETMASK delimited by space

#>192.168.0.10 255.255.255.0

3. A prompt to configure another interface, gateway, or to finish configuring the interfaces will appear. Enter gw, enter the IP address of the gateway, and press Enter.

------------------------[ List of Interfaces ]--------------------------------

Name IP Address NETMASK Vendor

------------------------------------------------------------------------------

re0 Unconfigured RealTek 8139C+

------------------------------------------------------------------------------

# Enter interface name, 'gw' for default gateway or just press ENTER to finish

#>re0

# Enter IP address and optional NETMASK delimited by space

#>192.168.0.10 255.255.255.0

------------------------[ List of Interfaces ]--------------------------------

Name IP Address NETMASK Vendor

------------------------------------------------------------------------------

re0 192.168.0.10 255.255.255.0 RealTek 8139C+

gw Unconfigured Default gateway

------------------------------------------------------------------------------

# Enter interface name, 'gw' for default gateway or just press ENTER to finish

#>gw

# Enter default gateway IP Address

#>192.168.0.1

------------------------[ List of Interfaces ]--------------------------------

Name IP Address NETMASK Vendor

------------------------------------------------------------------------------

re0 192.168.0.10 255.255.255.0 RealTek 8139C+

gw 192.168.0.1 Default gateway

------------------------------------------------------------------------------

# Enter interface name, 'gw' for default gateway or just press ENTER to finish

#>

4. Press Enter to finish configuring the interfaces, or enter the name of the next interface to configure.

> R-Studio Agent Emergency will show a prompt that is ready to accept connections

* R-Studio Agent started and ready to accept connections...

* You may press ENTER to start to remote R-Studio...

Now the computer may be accessed by R-Studio via network.

Starting a Connection from R-Studio Agent Emergency

When you need to connect R-Studio and R-Studio Agent Emergency over the Internet, it may be necessary to start the connection from the computer where R-Studio Agent Emergency is running.

To connect to R-Studio's computer,

1 Press the Enter key and enter the IP address of the computer where R-Studio is running as IPaddress:port.

* R-Studio Agent started and ready to accept connections...

* You may press ENTER to start connection to remote R-Studio...

# Enter R-Studio IP address or just press ENTER to cancel> 192.168.0.25:80

The default port is 8080, and you don't have to specify it.

2 Enter the password if required, and press the Enter key.

* R-Studio Agent started and ready to accept connections...

* You may press ENTER to start connection to remote R-Studio...

# Enter R-Studio IP address or just press ENTER to cancel> 192.168.0.25:80

# Enter password or just press ENTER to connect without one>PaSsWoRd1234
> When the connection is established successfully, R-Studio Agent Emergency will notify you about this.

* R-Studio Agent started and ready to accept connections...

* You may press ENTER to start connection to remote R-Studio...

# Enter R-Studio IP address or just press ENTER to cancel> 192.168.0.25:80

# Enter password or just press ENTER to connect without one>PaSsWoRd1234

Connection with 192.168.0.25:80 is established successfully.


R-Studio Agent Emergency Hardware Compatibility List

Disk Controllers

Network Cards

R-Studio Agent Emergency

Contact Information and Technical Support

Installing R-Studio Agent Emergency Startup Media Creator

Creating Startup Disks

Starting a Computer with the R-Studio Agent Emergency Startup Disk


Disk Controllers

R-Studio Agent Emergency is based on the FreeBSD 5.3 kernel and supports devices from the list published at http://www.freebsd.org/releases/5.3R/hardware-i386.html.

*: Supported in the floppy version

Disk controllers

IDE/ATA controllers ( ata driver) *

The adapters supported by the aic driver include:

Adaptec AHA-1505 (ISA)

Adaptec AHA-1510A, AHA-1510B (ISA)

Adaptec AHA-1520A, AHA-1520B (ISA)

Adaptec AHA-1522A, AHA-1522B (ISA)

Adaptec AHA-1535 (ISA)

Creative Labs SoundBlaster SCSI host adapter (ISA)

Adaptec AHA-1460, AHA-1460B, AHA-1460C, AHA-1460D (PC Card)

Adaptec AHA-1030B, AHA-1030P (PC98)

NEC PC-9801-100 (PC98)

The aha driver supports the following SCSI host adapters:

Adaptec AHA-154xB

Adaptec AHA-154xC

Adaptec AHA-154xCF

Adaptec AHA-154xCP

Adaptec AHA-1640

Adaptec AHA-174x in 154x emulation mode

DTC 3290 SCSI controller in 1542 emulation mode

Tekram SCSI controllers in 154x emulation mode

The ahb driver supports the following SCSI host adapters:

Adaptec AHA-1740

Adaptec AHA-1742

Adaptec AHA-1740A

Adaptec AHA-1742A

The ahc driver supports the following SCSI host adapter chips and SCSI controller cards:

Adaptec AIC7770 host adapter chip

Adaptec AIC7850 host adapter chip

Adaptec AIC7860 host adapter chip

Adaptec AIC7870 host adapter chip

Adaptec AIC7880 host adapter chip

Adaptec AIC7890 host adapter chip

Adaptec AIC7891 host adapter chip

Adaptec AIC7892 host adapter chip

Adaptec AIC7895 host adapter chip

Adaptec AIC7896 host adapter chip

Adaptec AIC7897 host adapter chip

Adaptec AIC7899 host adapter chip

Adaptec 274X(W)

Adaptec 274X(T)

Adaptec 284X

Adaptec 2910

Adaptec 2915

Adaptec 2920

Adaptec 2930C

Adaptec 2930U2

Adaptec 2940

Adaptec 2940J

Adaptec 2940N

Adaptec 2940U

Adaptec 2940AU

Adaptec 2940UW

Adaptec 2940UW Dual

Adaptec 2940UW Pro

Adaptec 2940U2W

Adaptec 2940U2B

Adaptec 2950U2W

Adaptec 2950U2B

Adaptec 19160B

Adaptec 29160B

Adaptec 29160N

Adaptec 3940

Adaptec 3940U

Adaptec 3940AU

Adaptec 3940UW

Adaptec 3940AUW

Adaptec 3940U2W

Adaptec 3950U2

Adaptec 3960

Adaptec 39160

Adaptec 3985

Adaptec 4944UW

NEC PC-9821Xt13 (PC-98)

NEC RvII26 (PC-98)

NEC PC-9821X-B02L/B09 (PC-98)

NEC SV-98/2-B03 (PC-98)

Many motherboards with on-board SCSI support

The ahd driver supports the following:

Adaptec AIC7901 host adapter chip

Adaptec AIC7901A host adapter chip

Adaptec AIC7902 host adapter chip

Adaptec 29320 host adapter

Adaptec 39320 host adapter

Many motherboards with on-board SCSI support

Controllers supported by the aac driver include:

Adaptec AAC-364

Adaptec SCSI RAID 2120S

Adaptec SCSI RAID 2130S

Adaptec SCSI RAID 2200S

Adaptec SCSI RAID 2410SA

Adaptec SCSI RAID 2810SA

Adaptec SCSI RAID 5400S

Dell CERC SATA RAID 2

Dell PERC 2/Si

Dell PERC 2/QC

Dell PERC 3/Si

Dell PERC 3/Di

Dell PERC 320/DC

HP NetRAID 4M

The adv driver supports the following SCSI controllers:

AdvanSys ABP510/5150

AdvanSys ABP5140

AdvanSys ABP5142

AdvanSys ABP902/3902

AdvanSys ABP3905

AdvanSys ABP915

AdvanSys ABP920

AdvanSys ABP3922

AdvanSys ABP3925

AdvanSys ABP930, ABP930U, ABP930UA

AdvanSys ABP960, ABP960U

AdvanSys ABP542

AdvanSys ABP742

AdvanSys ABP842

AdvanSys ABP940

AdvanSys ABP940UA/3940UA

AdvanSys ABP940U

AdvanSys ABP3960UA

AdvanSys ABP970, ABP970U

AdvanSys ABP752

AdvanSys ABP852

AdvanSys ABP950

AdvanSys ABP980, ABP980U

AdvanSys ABP980UA/3980UA

MELCO IFC-USP (PC-98)

RATOC REX-PCI30 (PC-98)

@Nifty FNECHARD IFC-USUP-TX (PC-98)

The adw driver supports SCSI controllers including:

AdvanSys ABP940UW/ABP3940UW

AdvanSys ABP950UW

AdvanSys ABP970UW

AdvanSys ABP3940U2W

AdvanSys ABP3950U2W

The bt driver supports the following BusLogic MultiMaster ``W'', ``C'', ``S'', and ``A'' series and compatible SCSI host adapters:

BusLogic BT-445C

BusLogic BT-445S

BusLogic BT-540CF

BusLogic BT-542B

BusLogic BT-542B

BusLogic BT-542D

BusLogic BT-545C

BusLogic BT-545S

BusLogic/BusTek BT-640

BusLogic BT-742A

BusLogic BT-742A

BusLogic BT-747C

BusLogic BT-747D

BusLogic BT-747S

BusLogic BT-757C

BusLogic BT-757CD

BusLogic BT-757D

BusLogic BT-757S

BusLogic BT-946C

BusLogic BT-948

BusLogic BT-956C

BusLogic BT-956CD

BusLogic BT-958

BusLogic BT-958D

Storage Dimensions SDC3211B / SDC3211F

AMI FastDisk Host Adapters that are true BusLogic MultiMaster clones are also supported by the bt driver.

The dpt driver provides support for the following RAID adapters:

DPT Smart Cache Plus

Smart Cache II (PM2?2?, PM2022 [EISA], PM2024/PM2124 [PCI]) (Gen2)

Smart RAID II (PM3?2?, PM3021, PM3222)

Smart Cache III (PM2?3?)

Smart RAID III (PM3?3?, PM3332 [EISA], PM3334UW [PCI]) (Gen3)

Smart Cache IV (PM2?4?, PM2042 [EISA], PM2044/PM2144 [PCI]) (Gen4)

Smart RAID IV

The adapters currently supported by the asr driver include the following:

Adaptec Zero-Channel SCSI RAID 2000S, 2005S, 2010S, 2015S

Adaptec SCSI RAID 2100S, 2110S

Adaptec ATA-100 RAID 2400A

Adaptec SCSI RAID 3200S, 3210S

Adaptec SCSI RAID 3400S, 3410S

Adaptec SmartRAID PM1554

Adaptec SmartRAID PM1564

Adaptec SmartRAID PM2554

Adaptec SmartRAID PM2564

Adaptec SmartRAID PM2664

Adaptec SmartRAID PM2754

Adaptec SmartRAID PM2865

Adaptec SmartRAID PM3754

Adaptec SmartRAID PM3755U2B / SmartRAID V Millennium

Adaptec SmartRAID PM3757

DEC KZPCC-AC (LVD 1-ch, 4MB or 16MB cache), DEC KZPCC-CE (LVD 3-ch, 64MB cache), DEC KZPCC-XC (LVD 1-ch, 16MB cache), DEC KZPCC-XE (LVD 3-ch, 64MB cache) -- rebadged SmartRAID V Millennium

The amr driver supports the following:

AMI MegaRAID 320-1

AMI MegaRAID 320-2

AMI MegaRAID 320-4X

AMI MegaRAID Series 418

AMI MegaRAID Enterprise 1200 (Series 428)

AMI MegaRAID Enterprise 1300 (Series 434)

AMI MegaRAID Enterprise 1400 (Series 438)

AMI MegaRAID Enterprise 1500 (Series 467)

AMI MegaRAID Enterprise 1600 (Series 471)

AMI MegaRAID Elite 1500 (Series 467)

AMI MegaRAID Elite 1600 (Series 493)

AMI MegaRAID Elite 1650 (Series 4xx)

AMI MegaRAID Express 100 (Series 466WS)

AMI MegaRAID Express 200 (Series 466)

AMI MegaRAID Express 300 (Series 490)

AMI MegaRAID Express 500 (Series 475)

Dell PERC

Dell PERC 2/SC

Dell PERC 2/DC

Dell PERC 3/DCL

Dell PERC 3/QC

Dell PERC 4/Di

HP NetRAID-1/Si

HP NetRAID-3/Si (D4943A)

HP Embedded NetRAID

Note: Booting from these controllers is supported. EISA adapters are not supported.

Controllers supported by the mlx driver include:

Mylex DAC960P

Mylex DAC960PD / DEC KZPSC (Fast Wide)

Mylex DAC960PDU

Mylex DAC960PL

Mylex DAC960PJ

Mylex DAC960PG

Mylex DAC960PU / DEC PZPAC (Ultra Wide)

Mylex AcceleRAID 150 (DAC960PRL)

Mylex AcceleRAID 250 (DAC960PTL1)

Mylex eXtremeRAID 1100 (DAC1164P)

RAIDarray 230 controllers, aka the Ultra-SCSI DEC KZPAC-AA (1-ch, 4MB cache), KZPAC-CA (3-ch, 4MB), KZPAC-CB (3-ch, 8MB cache)

All major firmware revisions (2.x, 3.x, 4.x and 5.x) are supported, however it is always advisable to upgrade to the most recent firmware available for the controller. Compatible Mylex controllers not listed should work, but have not been verified.

Note: Booting from these controllers is supported. EISA adapters are not supported.

Controllers supported by the mly driver include:

Mylex AcceleRAID 160

Mylex AcceleRAID 170

Mylex AcceleRAID 352

Mylex eXtremeRAID 2000

Mylex eXtremeRAID 3000

Compatible Mylex controllers not listed should work, but have not been verified.

The twe driver supports the following ATA RAID controllers:

AMCC's 3ware 5000 series

AMCC's 3ware 6000 series

AMCC's 3ware 7000-2

AMCC's 3ware 7006-2

AMCC's 3ware 7500-4LP

AMCC's 3ware 7500-8

AMCC's 3ware 7500-12

AMCC's 3ware 7506-4LP

AMCC's 3ware 7506-8

AMCC's 3ware 7506-12

AMCC's 3ware 8006-2LP

AMCC's 3ware 8500-4LP

AMCC's 3ware 8500-8

AMCC's 3ware 8500-12

AMCC's 3ware 8506-4LP

AMCC's 3ware 8506-8

AMCC's 3ware 8506-8MI

AMCC's 3ware 8506-12

AMCC's 3ware 8506-12MI

The twa driver supports the following PATA/SATA RAID controllers:

AMCC's 3ware 9500S-4LP

AMCC's 3ware 9500S-8

AMCC's 3ware 9500S-8MI

AMCC's 3ware 9500S-12

AMCC's 3ware 9500S-12MI

The ncr driver provides support for the following NCR/Symbios SCSI controller chips:

53C810

53C810A

53C815

53C820

53C825A

53C860

53C875

53C875J

53C885

53C895

53C895A

53C896

53C1510D

The following add-on boards are known to be supported:

I-O DATA SC-98/PCI (PC-98)

I-O DATA SC-PCI (PC-98)

The sym driver provides support for the following Symbios/LSI Logic PCI SCSI controllers:

53C810

53C810A

53C815

53C825

53C825A

53C860

53C875

53C876

53C895

53C895A

53C896

53C897

53C1000

53C1000R

53C1010-33

53C1010-66

53C1510D

The SCSI controllers supported by sym can be either embedded on a motherboard, or on one of the following add-on boards:

ASUS SC-200, SC-896

Data Technology DTC3130 (all variants)

DawiControl DC2976UW

Diamond FirePort (all)

I-O DATA SC-UPCI (PC-98)

Logitec LHA-521UA (PC-98)

NCR cards (all)

Symbios cards (all)

Tekram DC390W, 390U, 390F, 390U2B, 390U2W, 390U3D, and 390U3W

Tyan S1365

The following devices are currently supported by the ncv driver:

I-O DATA PCSC-DV

KME KXLC002 (TAXAN ICD-400PN, etc.), KXLC004, and UJDCD450

Macnica Miracle SCSI-II mPS110

Media Intelligent MSC-110, MSC-200

NEC PC-9801N-J03R

New Media Corporation BASICS SCSI

Qlogic Fast SCSI

RATOC REX-9530, REX-5572 (SCSI only)

Controllers supported by the stg driver include:

Adaptec 2920/A

Future Domain SCSI2GO

Future Domain TMC-18XX/3260

IBM SCSI PCMCIA Card

ICM PSC-2401 SCSI

MELCO IFC-SC

RATOC REX-5536, REX-5536AM, REX-5536M, REX-9836A

Note that the Adaptec 2920C is supported by the ahc driver.

Cards supported by the isp driver include:

ISP1000

PTI SBS440

ISP1020

ISP1040

PTI SBS450

Qlogic 1240

Qlogic 1020

Qlogic 1040

Qlogic 1080

Qlogic 1280

Qlogic 12160

Qlogic 2100

Qlogic 2102

Qlogic 2200

Qlogic 2202

Qlogic 2204

Qlogic 2300

Qlogic 2312

PTI SBS470

Antares P-0033

Controllers supported by the amd driver include:

MELCO IFC-DP (PC-98)

Tekram DC390

Tekram DC390T

Controllers supported by the nsp driver include:

Alpha-Data AD-PCS201

I-O DATA CBSC16

Adaptec AIC-7110 Parallel to SCSI interfaces ( vpo driver)

The following controllers are supported by the ida driver:

Compaq SMART Array 221

Compaq Integrated SMART Array Controller

Compaq SMART Array 4200

Compaq SMART Array 4250ES

Compaq SMART 3200 Controller

Compaq SMART 3100ES Controller

Compaq SMART-2/DH Controller

Compaq SMART-2/SL Controller

Compaq SMART-2/P Controller

Compaq SMART-2/E Controller

Compaq SMART Controller

Controllers supported by the ciss driver include:

Compaq Smart Array 5300

Compaq Smart Array 532

Compaq Smart Array 5i

HP Smart Array 5312

HP Smart Array 6i

HP Smart Array 641

HP Smart Array 642

HP Smart Array 6400

HP Smart Array 6400 EM

HP Smart Array 6422

HP Smart Array V100

HP Modular Smart Array 20 (MSA20)

HP Modular Smart Array 500 (MSA500)

Controllers supported by the iir driver include:

Intel RAID Controller SRCMR

Intel Server RAID Controller U3-l (SRCU31a)

Intel Server RAID Controller U3-1L (SRCU31La)

Intel Server RAID Controller U3-2 (SRCU32)

All past and future releases of Intel and ICP RAID Controllers.

Intel RAID Controller SRCU21 (discontinued)

Intel RAID Controller SRCU31 (older revision, not compatible)

Intel RAID Controller SRCU31L (older revision, not compatible)

The SRCU31 and SRCU31L can be updated via a firmware update available from Intel.

Promise SuperTrak ATA RAID controllers (pst driver)

The hptmv driver supports the HighPoint RocketRAID 182x SATA controllers.

Controllers supported by the ips driver include:

IBM ServeRAID 3H

ServeRAID 4L/4M/4H

ServeRAID Series 5

ServeRAID 6i/6M

The following controllers are supported by the mpt driver:

LSI Logic 53c1030 (Dual Ultra320 SCSI)

LSI Logic FC909 (1Gb/s Fibre Channel)

LSI Logic FC909A (Dual 1Gb/s Fibre Channel)

LSI Logic FC919 (2Gb/s Fibre Channel)

LSI Logic FC929 (Dual 2Gb/s Fibre Channel)

The SCSI controller chips supprted by the mpt driver can be found onboard on many systems including:

Dell PowerEdge 1750

IBM eServer xSeries 335

SCSI controllers supported by the trm driver include:

Tekram DC-315 PCI Ultra SCSI adapter without BIOS and internal SCSI connector

Tekram DC-315U PCI Ultra SCSI adapter without BIOS

Tekram DC-395F PCI Ultra-Wide SCSI adapter with flash BIOS and 68-pin external SCSI connector

Tekram DC-395U PCI Ultra SCSI adapter with flash BIOS

Tekram DC-395UW PCI Ultra-Wide SCSI adapter with flash BIOS

Tekram DC-395U2W PCI Ultra2-Wide SCSI adapter with flash BIOS

For the Tekram DC-310/U and DC-390F/U/UW/U2B/U2W/U3W PCI SCSI host adapters, use the sym driver.

The wds driver supports the WD7000 SCSI controller.


Network Cards

R-Studio Agent Emergency is based on the FreeBSD 5.3 kernel and supports devices from the list published at http://www.freebsd.org/releases/5.3R/hardware-i386.html.

*: Supported in the floppy version

Ethernet NICs

Adapters supported by the sf driver include:

ANA-62011 64-bit single port 10/100baseTX adapter

ANA-62022 64-bit dual port 10/100baseTX adapter

ANA-62044 64-bit quad port 10/100baseTX adapter

ANA-69011 32-bit single port 10/100baseTX adapter

ANA-62020 64-bit single port 100baseFX adapter

The ti driver supports Gigabit Ethernet adapters based on the Alteon Tigon I and II chips. The ti driver has been tested with the following adapters:

3Com 3c985-SX Gigabit Ethernet adapter (Tigon 1)

3Com 3c985B-SX Gigabit Ethernet adapter (Tigon 2)

Alteon AceNIC V Gigabit Ethernet adapter (1000baseSX)

Alteon AceNIC V Gigabit Ethernet adapter (1000baseT)

Digital EtherWORKS 1000SX PCI Gigabit adapter

Netgear GA620 Gigabit Ethernet adapter (1000baseSX)

Netgear GA620T Gigabit Ethernet adapter (1000baseT)

The following adapters should also be supported but have not yet been tested:

Asante GigaNIX1000T Gigabit Ethernet adapter

Asante PCI 1000BASE-SX Gigabit Ethernet adapter

Farallon PN9000SX Gigabit Ethernet adapter

NEC Gigabit Ethernet

Silicon Graphics PCI Gigabit Ethernet adapter

The pcn driver supports adapters and embedded controllers based on the AMD PCnet/FAST, PCnet/FAST+, PCnet/FAST III, PCnet/PRO and PCnet/Home Fast Ethernet chips:

AMD Am53C974/Am79C970/Am79C974 PCnet-PCI *

AMD Am79C970A PCnet-PCI II *

AMD Am79C971 PCnet-FAST *

AMD Am79C972 PCnet-FAST+ *

AMD Am79C973/Am79C975 PCnet-FAST III *

AMD Am79C976 PCnet-PRO *

AMD PCnet/Home HomePNA

Allied-Telesis LA-PCI

Contec C-NET(98)S (PC-98)

NEC SV-98/2-B05, B06

The lnc driver supports the following adapters:

Novell NE2100 *

Novell NE32-VL *

Isolan AT 4141-0 (16 bit)

Isolan BICC

Isolink 4110 (8 bit)

Diamond HomeFree

Digital DEPCA

Hewlett Packard Vectra 486/66XM

Hewlett Packard Vectra XU

Also supported are adapters working with the pcn driver. The lnc driver runs these in compatibility mode, thus the pcn driver should be preferred.

SMC 83c17x (EPIC)-based Ethernet NICs (tx driver)

The ed driver supports the following Ethernet NICs:

3Com 3c503 Etherlink II

AR-P500 Ethernet

Accton EN1644 (old model), EN1646 (old model), EN2203 (old model) (110pin) (flags 0xd00000)

Accton EN2212/EN2216/UE2216

Allied Telesis CentreCOM LA100-PCM_V2

Allied Telesis LA-98 (flags 0x000000) (PC-98)

Allied Telesis SIC-98, SIC-98NOTE (110pin), SIU-98 (flags 0x600000) (PC-98)

Allied Telesis SIU-98-D (flags 0x610000) (PC-98)

AmbiCom 10BaseT card

Bay Networks NETGEAR FA410TXC Fast Ethernet

CNet BC40 adapter

Compex Net-A adapter

Contec C-NET(98), RT-1007(98), C-NET(9N) (110pin) (flags 0xa00000) (PC-98)

Contec C-NET(98)E-A, C-NET(98)L-A, C-NET(98)P (flags 0x300000) (PC-98)

Corega Ether98-T (flags 0x000000) (PC-98)

Corega Ether PCC-T/EtherII PCC-T/FEther PCC-TXF/PCC-TXD

CyQ've ELA-010

DEC EtherWorks DE305

Danpex EN-6200P2

D-Link DE-298, DE-298P (flags 0x500000) (PC-98)

D-Link DE-650/660

D-Link IC-CARD/IC-CARD+ Ethernet

ELECOM LD-98P (flags 0x500000) (PC-98)

ELECOM LD-BDN, LD-NW801G (flags 0x200000) (PC-98)

ELECOM Laneed LD-CDL/TX, LD-CDF, LD-CDS, LD-10/100CD, LD-CDWA (DP83902A)

HP PC Lan+ 27247B and 27252A

IBM Creditcard Ethernet I/II

ICM AD-ET2-T, DT-ET-25, DT-ET-T5, IF-2766ET, IF-2771ET, NB-ET-T (110pin) (flags 0x500000) (PC-98)

I-O DATA LA/T-98, LA/T-98SB, LA2/T-98, ET/T-98 (flags 0x900000) (PC-98)

I-O DATA ET2/T-PCI

I-O DATA PCLATE

Kansai KLA-98C/T (flags 0x900000) (PC-98)

Kingston KNE-PC2, KNE-PCM/x Ethernet

Linksys EC2T/PCMPC100/PCM100, PCMLM56

Linksys EtherFast 10/100 PC Card, Combo PCMCIA Ethernet Card (PCMPC100 V2)

Logitec LAN-98T (flags 0xb00000) (PC-98)

MACNICA Ethernet ME1 for JEIDA

MACNICA ME98 (flags 0x900000) (PC-98)

MACNICA NE2098 (flags 0x400000) (PC-98)

MELCO EGY-98 (flags 0x300000) (PC-98)

MELCO LGH-98, LGY-98, LGY-98-N (110pin), IND-SP, IND-SS (flags 0x400000) (PC-98)

MELCO LGY-PCI-TR

MELCO LPC-T/LPC2-T/LPC2-CLT/LPC2-TX/LPC3-TX/LPC3-CLX

NDC Ethernet Instant-Link

NEC PC-9801-77, PC-9801-78 (flags 0x910000) (PC-98)

NEC PC-9801-107, PC-9801-108 (flags 0x800000) (PC-98)

National Semiconductor InfoMover NE4100

NetGear FA-410TX

NetVin 5000

Network Everywhere Ethernet 10BaseT PC Card

Networld 98X3 (flags 0xd00000) (PC-98)

Networld EC-98X, EP-98X (flags 0xd10000) (PC-98)

Novell NE1000/NE2000/NE2100

PLANEX ENW-8300-T

PLANEX EN-2298-C (flags 0x200000) (PC-98)

PLANEX EN-2298P-T, EN-2298-T (flags 0x500000) (PC-98)

PLANEX FNW-3600-T

RealTek 8029

SMC Elite 16 WD8013

SMC Elite Ultra

SMC EtherEZ98 (flags 0x000000) (PC-98)

SMC WD8003E/WD8003EBT/WD8003S/WD8003SBT/WD8003W/WD8013EBT/WD8013W and clones

Socket LP-E

Surecom EtherPerfect EP-427

Surecom NE-34

TDK LAK-CD031, Grey Cell GCS2000 Ethernet Card

Telecom Device SuperSocket RE450T

VIA VT86C926

Winbond W89C940

C-Bus, ISA, PCI and PC Card devices are supported.

Adapters supported by the rl driver include:

Accton ``Cheetah'' EN1207D (MPX 5030/5038; RealTek 8139 clone)

Allied Telesyn AT2550

Allied Telesyn AT2500TX

Belkin F5D5000

BUFFALO(Melco INC.) LPC-CB-CLX(CardBus)

Compaq HNE-300

CompUSA no-name 10/100 PCI Ethernet NIC

Corega FEther CB-TXD

Corega FEtherII CB-TXD

D-Link DFE-530TX+

D-Link DFE-538TX (same as 530+?)

D-Link DFE-690TXD

Edimax EP-4103DL CardBus

Encore ENL832-TX 10/100 M PCI

Farallon NetLINE 10/100 PCI

Genius GF100TXR,

GigaFast Ethernet EE100-AXP

KTX-9130TX 10/100 Fast Ethernet

LevelOne FPC-0106TX

Longshine LCS-8038TX-R

NDC Communications NE100TX-E

Netronix Inc. EA-1210 NetEther 10/100

Nortel Networks 10/100BaseTX

OvisLink LEF-8129TX

OvisLink LEF-8139TX

Peppercon AG ROL-F

Planex FNW-3800-TX

SMC EZ Card 10/100 PCI 1211-TX

SOHO(PRAGMATIC) UE-1211C

The wb driver supports Winbond W89C840F based Fast Ethernet adapters and embedded controllers including:

Trendware TE100-PCIE *

The vr driver supports VIA Technologies Rhine I, Rhine II, and Rhine III based Fast Ethernet adapters including:

D-Link DFE530-TX

Hawking Technologies PN102TX

AOpen/Acer ALN-320

The sis driver supports Silicon Integrated Systems SiS 900 * and SiS 7016 * based Fast Ethernet adapters and embedded controllers, as well as Fast Ethernet adapters based on the National Semiconductor DP83815 (MacPhyter) chip. Supported adapters include:

@Nifty FNECHARD IFC USUP-TX

MELCO LGY-PCI-TXC

Netgear FA311-TX (DP83815)

Netgear FA312-TX (DP83815)

SiS 630, 635, and 735 motherboard chipsets

The nge driver supports National Semiconductor DP83820 * and DP83821 based Gigabit Ethernet adapters including:

SMC EZ Card 1000 (SMC9462TX)

D-Link DGE-500T

Asante FriendlyNet GigaNIX 1000TA and 1000TPC

Addtron AEG320T

LinkSys EG1032 (32-bit PCI) and EG1064 (64-bit PCI)

Surecom Technology EP-320G-TX

Netgear GA622T

Netgear GA621

Ark PC SOHO-GA2500T (32-bit PCI) and SOHO-GA2000T (64-bit PCI)

Trendware TEG-PCITX (32-bit PCI) and TEG-PCITX2 (64-bit PCI)

The ste driver supports Sundance Technologies ST201 based Fast Ethernet adapters and embedded controllers including:

D-Link DFE-530TXS

D-Link DFE-550TX

Adapters supported by the sk driver include:

3COM 3C940 single port, 1000baseT adapter

Belkin F5D5005 single port, 1000baseT adapter

Linksys EG1032 single port, 1000baseT adapter

SK-9521 SK-NET GE-T single port, 1000baseT adapter

SK-9821 SK-NET GE-T single port, 1000baseT adapter *

SK-9822 SK-NET GE-T dual port, 1000baseT adapter *

SK-9841 SK-NET GE-LX single port, single mode fiber adapter *

SK-9842 SK-NET GE-LX dual port, single mode fiber adapter *

SK-9843 SK-NET GE-SX single port, multimode fiber adapter *

SK-9844 SK-NET GE-SX dual port, multimode fiber adapter *

SMC 9452TX single port, 1000baseT adapter

The tl driver supports Texas Instruments ThunderLAN based Ethernet and Fast Ethernet adapters including a large number of Compaq PCI Ethernet adapters. Also supported are:

Olicom OC-2135/2138 10/100 TX UTP adapter

Olicom OC-2325/OC-2326 10/100 TX UTP adapter

Racore 8148 10baseT/100baseTX/100baseFX adapter

Racore 8165 10/100baseTX adapter

The tl driver also supports the built-in Ethernet adapters of various Compaq Prosignia servers and Compaq Deskpro desktop machines including:

Compaq Netelligent 10

Compaq Netelligent 10 T PCI UTP/Coax

Compaq Netelligent 10/100

Compaq Netelligent 10/100 Dual-Port

Compaq Netelligent 10/100 Proliant

Compaq Netelligent 10/100 TX Embedded UTP

Compaq Netelligent 10/100 TX UTP

Compaq NetFlex 3P

Compaq NetFlex 3P Integrated

Compaq NetFlex 3P w/BNC

The dc driver provides support for the following chipsets: *

DEC/Intel 21143

ADMtek AL981 Comet, AN985 Centaur, ADM9511 Centaur II and ADM9513 Centaur II

ASIX Electronics AX88140A and AX88141

Conexant LANfinity RS7112 (miniPCI)

Davicom DM9009, DM9100, DM9102 and DM9102A

Lite-On 82c168 and 82c169 PNIC

Lite-On/Macronix 82c115 PNIC II

Macronix 98713, 98713A, 98715, 98715A, 98715AEC-C, 98725, 98727 and 98732

Xircom X3201 (cardbus only)

The following NICs are known to work with the dc driver at this time:

3Com OfficeConnect 10/100B (ADMtek AN985 Centaur-P)

Abocom FE2500

Accton EN1217 (98715A)

Accton EN2242 MiniPCI

Adico AE310TX (98715A)

Alfa Inc GFC2204 (ASIX AX88140A)

Built in 10Mbps only Ethernet on Compaq Presario 7900 series desktops (21143, non-MII)

Built in DE500-BA on DEC Alpha workstations (21143, non-MII)

Built in Sun DMFE 10/100 Mbps Ethernet on Sun Netra X1 and Sun Fire V100 (DM9102A, MII)

Built in Ethernet on LinkSys EtherFast 10/100 Instant GigaDrive (DM9102, MII)

CNet Pro110B (ASIX AX88140A)

CNet Pro120A (98715A or 98713A) and CNet Pro120B (98715)

Compex RL100-TX (98713 or 98713A)

D-Link DFE-570TX (21143, MII, quad port)

Digital DE500-BA 10/100 (21143, non-MII)

ELECOM Laneed LD-CBL/TXA (ADMtek AN985)

Hawking CB102 CardBus

IBM EtherJet Cardbus Adapter

Intel PRO/100 Mobile Cardbus (versions that use the X3201 chipset)

Jaton XpressNet (Davicom DM9102)

Kingston KNE100TX (21143, MII)

Kingston KNE110TX (PNIC 82c169)

LinkSys LNE100TX (PNIC 82c168, 82c169)

LinkSys LNE100TX v2.0 (PNIC II 82c115)

LinkSys LNE100TX v4.0/4.1 (ADMtek AN985 Centaur-P)

Matrox FastNIC 10/100 (PNIC 82c168, 82c169)

Melco LGY-PCI-TXL

Microsoft MN-120 10/100 CardBus (ADMTek Centaur-C)

Microsoft MN-130 10/100 PCI (ADMTek Centaur-P)

NDC SOHOware SFA110A (98713A)

NDC SOHOware SFA110A Rev B4 (98715AEC-C)

NetGear FA310-TX Rev. D1, D2 or D3 (PNIC 82c169)

Netgear FA511

PlaneX FNW-3602-T (ADMtek AN985)

SMC EZ Card 10/100 1233A-TX (ADMtek AN985)

SVEC PN102-TX (98713)

Xircom Cardbus Realport

Xircom Cardbus Ethernet 10/100

Xircom Cardbus Ethernet II 10/100

Adapters supported by the aue driver include:

Abocom UFE1000, DSB650TX_NA

Accton USB320-EC, SpeedStream

ADMtek AN986, AN8511

Billionton USB100, USB100LP, USB100EL, USBE100

Corega Ether FEther USB-T, FEther USB-TX, FEther USB-TXS

D-Link DSB-650, DSB-650TX, DSB-650TX-PNA

Elecom LD-USBL/TX

Elsa Microlink USB2Ethernet

HP hn210e

I-O Data USB ETTX

Kingston KNU101TX

LinkSys USB10T adapters that contain the AN986 Pegasus chipset, USB10TA, USB10TX, USB100TX, USB100H1

MELCO LUA-TX, LUA2-TX

Planex UE-200TX

Sandberg USB to Network Link (model number 133-06)

Siemens Speedstream

SmartBridges smartNIC

SMC 2202USB

SOHOware NUB100

The cue driver supports CATC USB-EL1210A based USB Ethernet adapters including:

Belkin F5U011/F5U111

CATC Netmate

CATC Netmate II

SmartBridges SmartLink

The kue driver supports Kawasaki LSI KL5KLUSB101B based USB Ethernet adapters including:

3Com 3c19250

3Com 3c460 HomeConnect Ethernet USB Adapter

ADS Technologies USB-10BT

AOX USB101

ATen UC10T

Abocom URE 450

Corega USB-T

D-Link DSB-650C

Entrega NET-USB-E45, NET-HUB-3U1E

I/O Data USB ETT

Kawasaki DU-H3E

LinkSys USB10T

Netgear EA101

Peracom USB Ethernet Adapter

SMC 2102USB, 2104USB

The axe driver supports ASIX Electronics AX88172 based USB Ethernet adapters including:

Buffalo (Melco Inc.) LUA-U2-KTX

D-Link DUBE100

LinkSys USB200M

Netgear FA120

System TALKS Inc. SGC-X2UL

The rue driver supports RealTek RTL8150 based USB Ethernet adapters including:

Buffalo (Melco Inc.) LUA-KTX

Green House GH-USB100B

LinkSys USB100M

Billionton 10/100 FastEthernet USBKR2

The udav driver supports the following adapters:

Corega FEther USB-TXC

Adapters supported by the de driver include:

Adaptec ANA-6944/TX

Cogent EM100FX and EM440TX

Corega FastEther PCI-TX

D-Link DFE-500TX

DEC DE435, DE425, DEC DE450, and DEC DE500

ELECOM LD-PCI2T, LD-PCITS

I-O DATA LA2/T-PCI

SMC Etherpower 8432, 9332 and 9334

ZNYX ZX3xx

Controllers and cards supported by the fe driver include:

Allied Telesis RE1000, RE1000Plus, ME1500 (110-pin)

CONTEC C-NET(98)P2, C-NET (9N)E (110-pin), C-NET(9N)C (ExtCard)

CONTEC C-NET(PC)C PCMCIA Ethernet

Eiger Labs EPX-10BT

Fujitsu FMV-J182, FMV-J182A

Fujitsu MB86960A, MB86965A

Fujitsu MBH10303, MBH10302 Ethernet PCMCIA

Fujitsu Towa LA501 Ethernet

HITACHI HT-4840-11

NextCom J Link NC5310

RATOC REX-5588, REX-9822, REX-4886, and REX-R280

RATOC REX-9880/9881/9882/9883

TDK LAC-98012, LAC-98013, LAC-98025, LAC-9N011 (110-pin)

TDK LAK-CD021, LAK-CD021A, LAK-CD021BX

Ungermann-Bass Access/PC N98C+(PC85152, PC85142), Access/NOTE N98(PC86132) (110-pin)

Adapters supported by the fxp driver include:

Intel EtherExpress PRO/10

Intel InBusiness 10/100

Intel PRO/100B / EtherExpressPRO/100 B PCI Adapter *

Intel PRO/100+ Management Adapter

Intel PRO/100 VE Desktop Adapter

Intel PRO/100 M Desktop Adapter

Intel PRO/100 S Desktop, Server and Dual-Port Server Adapters

Contec C-NET(PI)-100TX (PC-98)

NEC PC-9821Ra20, Rv20, Xv13, Xv20 internal 100Base-TX (PC-98)

NEC PC-9821X-B06 (PC-98)

Many on-board network interfaces on Intel motherboards

The ex driver supports the following Ethernet adapters:

Intel EtherExpress Pro/10

Intel EtherExpress Pro/10+

The Olicom OC2220

The ie driver provides supports the following 8 and 16bit ISA Ethernet cards that are based on the Intel i82586 chip:

3COM 3C507

AT&T EN100

AT&T Starlan 10

AT&T Starlan Fiber

Intel EtherExpress 16

RACAL Interlan NI5210

The ep driver supports Ethernet adapters based on the 3Com 3C5x9 Etherlink III Parallel Tasking chipset, including:

3Com 3C1 CF

3Com 3C509-TP, 3C509-BNC, 3C509-Combo, 3C509-TPO, 3C509-TPC ISA

3Com 3C509B-TP, 3C509B-BNC, 3C509B-Combo, 3C509B-TPO, 3C509B-TPC ISA

3Com 3C529, 3C529-TP MCA

3Com 3C562/3C563 PCMCIA

3Com 3C569B-J-TPO, 3C569B-J-COMBO CBUS

3Com 3C574-TX, 3CCFE574BT, 3CXFE574BT, 3C3FE574BT PCMCIA

3Com 3C579-TP, 3C579-BNC EISA

3Com 3C589, 3C589B, 3C589C, 3C589D, 3CXE589DT PCMCIA

3Com 3CCFEM556B, 3CCFEM556BI PCMCIA

3Com 3CXE589EC, 3CCE589EC, 3CXE589ET, 3CCE589ET PCMCIA

3Com Megahertz 3CCEM556, 3CXEM556, 3CCEM556B, 3CXEM556B PCMCIA

3Com OfficeConnect 3CXSH572BT, 3CCSH572BT PCMCIA

Farallon EtherMac PCMCIA

The el driver supports the 3Com 3c501 8bit ISA Ethernet card.

The xl driver supports the following hardware:

3Com 3c900-TPO *

3Com 3c900-COMBO *

3Com 3c905-TX *

3Com 3c905-T4 *

3Com 3c900B-TPO *

3Com 3c900B-TPC *

3Com 3c900B-FL *

3Com 3c900B-COMBO *

3Com 3c905B-T4 *

3Com 3c905B-TX *

3Com 3c905B-FX *

3Com 3c905B-COMBO *

3Com 3c905C-TX *

3Com 3c980, 3c980B, and 3c980C server adapters

3Com 3cSOHO100-TX OfficeConnect adapters

3Com 3c450 HomeConnect adapters

3Com 3c555, 3c556 and 3c556B mini-PCI adapters

3Com 3C3SH573BT, 3C575TX, 3CCFE575BT, 3CXFE575BT, 3CCFE575CT, 3CXFE575CT, 3CCFEM656, 3CCFEM656B, and 3CCFEM656C, 3CXFEM656, 3CXFEM656B, and 3CXFEM656C CardBus adapters

3Com 3c905-TX, 3c905B-TX 3c905C-TX, and 3c920B-EMB embedded adapters

Both the 3C656 family of CardBus cards and the 3C556 family of MiniPCI cards have a built-in proprietary modem. Neither the xl driver nor any other driver supports this modem.

The vx driver supports the following cards:

3Com 3c590 EtherLink III PCI *

3Com 3c592 EtherLink III EISA

3Com 3c595 Fast EtherLink III PCI in 10 Mbps mode *

3Com 3c597 Fast EtherLink III EISA in 10 Mbps mode

Crystal Semiconductor CS89x0-based NICs (cs driver)

The sn driver supports SMC9xxx based ISA and PCMCIA cards including:

3Com Megahertz X-Jack Ethernet PC-Card CC-10BT

The xe driver supports the following cards:

Xircom CreditCard Ethernet (PS-CE2-10)

Xircom CreditCard Ethernet + Modem 28 (PS-CEM-28)

Xircom CreditCard Ethernet + Modem 33 (CEM33)

Xircom CreditCard 10/100 (CE3, CE3B)

Xircom CreditCard Ethernet 10/100 + Modem 56 (CEM56)

Xircom RealPort Ethernet 10 (RE10)

Xircom RealPort Ethernet 10/100 (RE100)

Xircom RealPort Ethernet 10/100 + Modem 56 (REM56, REM56G)

Accton Fast EtherCard-16 (EN2226)

Compaq Netelligent 10/100 PC Card (CPQ-10/100)

Intel EtherExpress Pro/100 PC Card Mobile Adapter 16 (Pro/100 M16A)

Other similar devices using the same hardware may also be supported.

Adapters supported by the lge driver include:

SMC TigerCard 1000 (SMC9462SX) *

D-Link DGE-500SX *

The txp driver supports the following cards:

3Com 3CR990-TX-95 *

3Com 3CR990-TX-97 *

3Com 3cR990B-TXM *

3Com 3CR990SVR95 *

3Com 3CR990SVR97 *

3Com 3cR990B-SRV *

The bge driver provides support for various NICs based on the Broadcom BCM570x family of Gigabit Ethernet controller chips, including the following:

3Com 3c996-T (10/100/1000baseTX) *

Dell PowerEdge 1750 integrated BCM5704C NIC (10/100/1000baseTX) *

Dell PowerEdge 2550 integrated BCM5700 NIC (10/100/1000baseTX) *

Dell PowerEdge 2650 integrated BCM5703 NIC (10/100/1000baseTX) *

IBM x235 server integrated BCM5703x NIC (10/100/1000baseTX) *

HP ProLiant NC7760 embedded Gigabit NIC (10/100/1000baseTX) *

HP ProLiant NC7770 PCI-X Gigabit NIC (10/100/1000baseTX) *

HP ProLiant NC7781 embedded PCI-X Gigabit NIC (10/100/1000baseTX) *

Netgear GA302T (10/100/1000baseTX) *

SysKonnect SK-9D21 (10/100/1000baseTX) *

SysKonnect SK-9D41 (1000baseSX) *

The em driver supports Gigabit Ethernet adapters based on the Intel 82540, 82541PI, 82542, 82543, 82544, 82546, 82546EB and 82547 controller chips:

Intel PRO/1000 CT Network Connection (82547)

Intel PRO/1000 F Server Adapter (82543)

Intel PRO/1000 Gigabit Server Adapter (82542)*

Intel PRO/1000 GT Desktop Adapter (82541PI)

Intel PRO/1000 MF Dual Port Server Adapter (82546)

Intel PRO/1000 MF Server Adapter (82545)

Intel PRO/1000 MF Server Adapter (LX) (82545)

Intel PRO/1000 MT Desktop Adapter (82540)

Intel PRO/1000 MT Desktop Adapter (82541)

Intel PRO/1000 MT Dual Port Server Adapter (82546)

Intel PRO/1000 MT Quad Port Server Adapter (82546EB)

Intel PRO/1000 MT Server Adapter (82545)

Intel PRO/1000 T Desktop Adapter (82544)

Intel PRO/1000 T Server Adapter (82543)

Intel PRO/1000 XF Server Adapter (82544)

Intel PRO/1000 XT Server Adapter (82544)

The gx driver supports Gigabit Ethernet adapters based on the Intel 82542 and 82543 controller chips:

Intel PRO/1000 Gigabit Server Adapter (82542)

Intel PRO/1000 F Server Adapter (82543)

Intel PRO/1000 T Server Adapter (82543)

The hme driver supports the on-board Ethernet interfaces of many Sun UltraSPARC workstation and server models. Cards supported by the hme driver include:

Sun PCI SunSwift Adapter

Sun SBus SunSwift Adapter ``( hme'' and ``SUNW,hme'')

Sun PCI Sun100BaseT Adapter 2.0

Sun SBus Sun100BaseT 2.0

Sun PCI Quad FastEthernet Controller

Sun SBus Quad FastEthernet Controller

The my driver provides support for various NICs based on the Myson chipset. Supported models include:

Myson MTD800 PCI Fast Ethernet chip

Myson MTD803 PCI Fast Ethernet chip

Myson MTD89X PCI Gigabit Ethernet chip

Broadcom BCM4401 based Fast Ethernet adapters (bfe driver) *

The re driver supports RealTek RTL8139C+, RTL8169, RTL8169S and RTL8110S based Fast Ethernet and Gigabit Ethernet adapters including:

Alloy Computer Products EtherGOLD 1439E 10/100 (8139C+) *

Compaq Evo N1015v Integrated Ethernet (8139C+) *

Corega CG-LAPCIGT Gigabit Ethernet (8169S) *

Gigabyte 7N400 Pro2 Integrated Gigabit Ethernet (8110S) *

PLANEX COMMUNICATIONS Inc. GN-1200TC (8169S) *

Xterasys XN-152 10/100/1000 NIC (8169) *

The ixgb driver supports the following cards:

Intel PRO/10GbE LR Server Adapter *

Intel PRO/10GbE SR Server Adapter *


.topic 20225

.topic 20245
It may be impossible to start a Windows 8 certified computer with the R-Studio Agent Emergency startup disk without some additional actions. This happens because any computer should use a so-called "Secure boot" procedure to comply with Windows 8 hardware certification from Microsoft. In brief, this procedure prevents computer from booting into any operating system that isn't digitally signed with an appropriate digital signature. "Secure boot" is claimed to prevent unauthorized modification of the boot sector by bootkits, viruses, trojans, and other malicious software. To the date, only Windows 8, Windows Server 2012, and selected Linux distributions support this feature. As a side effect, it also prevents most LiveCDs, rescue disks (R-Studio and R-Drive Image included), and other OS from running.
Likely enough, the other requirement of Windows 8 hardware certification is to make it possible for the user to disable the Secure boot procedure. Those settings can be done through the system BIOS under the Boot options. Generally, it's enough to enable Legacy support in those options, but sometimes it may require additional actions. Please, refer to your system documentation to learn more about disabling/enabling Secure boot.
When Secure boot is disabled, it should be possible to start the computer with the R-Studio Agent Emergency startup disk.
Please note that you should enable this feature back after using the startup disks because Windows 8 or Server 2012 may not start properly without the Secure boot feature enabled.
.topic 408
This is a safeguard against the bug.
.topic 4848

.topic 150
You may also arrange the data as required: by their extensions, creation/modification time, or as a real file structure

See Find and Mark Multiple Files for more details
.topic 32
A sector containing information on partition's file system. May be used to boot a computer from this partition.
.topic 1388

Code pages
Turns supported code pages on/off.

Autoflow
Click this button to turn autoflow on.
.topic 468

Connect to Remote
Click this button to connect to a remote computer on a network.
.topic 568

Create Image
Click this button to create an image of a selected area.
.topic 608

Create Virtual RAID
Click this button to create a virtual volume set or RAID.
Select an appropriate type from the menu.
.topic 588

Create Region
Click this button to create a region on a selected disk.
.topic 628

Remove
Click this button to remove a selected object on the main panel.
.topic 888

Find
Click this button to find or/and mark a particular file/folder.
.topic 908

Find Next
Click this button to find the next object specified in the Find/Mark dialog box
.topic 928

Find Previous
Click this button to find the previous object specified in the Find/Mark dialog box.
.topic 948

File Mask
Click this button to specify a file mask.
.topic 528

Open Drive Files
Click this button to start searching for files on a selected object.
.topic 548

Open Image
Click this button to open a previously created image.
.topic 448

Open Local Drives
Click this button to return to drives on your local computer.
.topic 1748

Preview
Click this button to preview the selected file.
.topic 848

Recover
Click this button to recover selected folders/files.
.topic 868

Recover Marked
Click this button to recover marked folders/files.
.topic 488

Refresh
Click this button to refresh the panels.
.topic 828

Reopen Drive Files
Click this button to list files again.
.topic 508

Scan
Click this button to start scanning a selected object.
.topic 808

Select Drive
Click this button to return to the R-Studio main panel to select another drive.
.topic 648

Stop
Click this button to stop the current operation.
.topic 428
Buttons
.topic 968

Up
Click this button to move highlighting one folder up.
.topic 1368

Save Changes
Click this button to save changes.
.topic 65
A FAT folder containing data which also belong to other FAT folders.
.topic 3868

.topic 3848

.topic 5028

.topic 668
Drives panel:
You can select an object by clicking it.

A logical disk may be represented by its name or its partition.

.topic 2508

.topic 3928

.topic 3968

.topic 3948

.topic 2528

.topic 2548

.topic 2568

.topic 2588

.topic 3688

.topic 3708

.topic 3728

.topic 3288

.topic 4888

.topic 4908

.topic 2928

.topic 3388

.topic 1328

.topic 2728

.topic 2848

.topic 3308

.topic 1488

.topic 4008

.topic 4028

.topic 4048

.topic 1508

.topic 1528

.topic 4088

.topic 4108

.topic 4128

.topic 4168

.topic 4188

.topic 4208

.topic 2868

.topic 2888

.topic 2948

.topic 4328

.topic 4348

.topic 4368

.topic 3028

.topic 3068

.topic 3088

.topic 3108

.topic 4248

.topic 4268

.topic 4288

.topic 4388

.topic 4408

.topic 4428

.topic 688

.topic 1728

.topic 3788

.topic 3628

.topic 2688

.topic 2708

.topic 3328

.topic 2808

.topic 2828

.topic 3348

.topic 788

.topic 3188

.topic 1888

Previous Pattern
Click this button to go to the previous pattern.
.topic 1908

Next Pattern
Click this button to go to the next pattern.
.topic 2128
List of Bookmarks

.topic 2788

Next Bookmark
Click this button to move to the next bookmark.
.topic 2768

Previous Bookmark
Click this button to move to the previous bookmark
.
.topic 2748

Toggle Bookmark
Click this button to create a bookmark
.topic 2148
Find Results

.topic 2108
Data Shown as Various Digits

.topic 1348
Enter topic text here.
.topic 1428
Binary view

.topic 1408
Data Parsed According to the Selected Pattern

.topic 1448
Text/hexadecimal Editor status

.topic 1988
Object Properties

.topic 2008
Text view

.topic 1948
 Type an offset to which you want to go. You may select between bytes and sectors. See the Data Formats and Multipliers topic for more details on data formats.
If a file is opened in Text/hexadecimal Editor , you may select data representation for that file.

.topic 3748

.topic 1968
Object Sector Mapping

.topic 102
Ext2FS is a prime file system for Linux OS. It may also be created and supported by Hurd, Masix, FreeBSD, Lites.
.topic 31
A file table for the FAT file system, the prime file system for the Win 9x/ME OS/
.topic 748
Enter topic text here.
.topic 1008
Files panel:

Deleted file:

Marked deleted file

Selected deleted file

Target of a hard link

Hard link to a file

.topic 988
Folders panel

Deleted folder

Marked folder (all child objects in this folder are marked)

Partially marked folder (some child objects in this folder are marked)

Target of a symlinked folder

Symlink to a folder

Cross-linked folder (A FAT folder containing data which also belongs to other FAT folders.)

Questionable cross-linked deleted folder (A FAT folder found by R-Studio, but with apparently invalid content.)

.topic 2168
Find Results panel

.topic 27
A RAID, volume set, or stripe set created and supported by a hardware controller.
.topic 1828

.topic 3528

.topic 1808
Enter topic text here.
.topic 3508

.topic 25
A unique scan technology that allows R-Studio to find existing or existed partitions on the disk, and their file systems.
.topic 3468

.topic 29
A first record on a hard disk containing a boot code and partition information.
.topic 768
Enter topic text here.
.topic 30
A file table for the NTFS file system, the prime file system for the Windows NT/2000/XP/2003/Vista/2008/7/8/8.1/10 OS.
.topic 1548
Enter topic text here.
.topic 3768

.topic 1188
Drives panel after scanning:
You can select an object by clicking on it

.topic 1208

.topic 1228

.topic 728
Log panel

.topic 4708
S.M.A.R.T. panel. The hard drive is in a good state.

.topic 4968
S.M.A.R.T. panel. The hard drive is in a critical state.

.topic 4988
S.M.A.R.T. panel. The hard drive is in a warning state.

.topic 708
Properties tab:
This tab shows the properties of an object selected on the Drives panel.

Depending on the selected object, information on this Properties tab may vary.
The Properties tab names and values are described in detail on the Properties tab topic.
.topic 2028
Select pattern to parse the data
.topic 2048
Starting offset of the pattern.
.topic 3408

.topic 1268

.topic 66
A FAT folder founded by R-Studio, but with apparently invalid content.
.topic 1628

.topic 1468
Enter topic text here.
.topic 1708
Virtual objects representing real disk objects R-Studio believes exist or existed on the hard drive.
.topic 3268
Recovery progress indicator

.topic 4948

.topic 69
An area on an object selected by the user.
.topic 1588

.topic 4528

.topic 4608

.topic 4628

.topic 4648

.topic 4668

.topic 4688

.topic 4508

.topic 4548

.topic 4568

.topic 28
A program that gives R-Studio access to local disks on remote computers over network.
.topic 4728

.topic 3448

.topic 3148

.topic 26
A RAID, volume set, or stripe set created and supported by an operating system.
.topic 2228
Enter topic text here.
.topic 2268
Content panel with files/folders sorted by their extensions

.topic 2248
Folders panel for files sorted by their extensions

.topic 1028